package Module::OTRS::CoreList;

use strict;
use warnings;

our $VERSION = 0.03;

# ABSTRACT: what modules shipped with versions of OTRS (>= 2.3.x)


my %global = (
          'core' => {
                      'Kernel::Config::Defaults' => 46,
                      'Kernel::Language' => 46,
                      'Kernel::Language::ar_SA' => 46,
                      'Kernel::Language::bg' => 46,
                      'Kernel::Language::da' => 46,
                      'Kernel::Language::de' => 46,
                      'Kernel::Language::el' => 46,
                      'Kernel::Language::en' => 46,
                      'Kernel::Language::es' => 46,
                      'Kernel::Language::et' => 46,
                      'Kernel::Language::fa' => 46,
                      'Kernel::Language::fi' => 46,
                      'Kernel::Language::fr' => 46,
                      'Kernel::Language::hu' => 46,
                      'Kernel::Language::it' => 46,
                      'Kernel::Language::nb_NO' => 46,
                      'Kernel::Language::nl' => 46,
                      'Kernel::Language::pl' => 46,
                      'Kernel::Language::pt' => 46,
                      'Kernel::Language::pt_BR' => 46,
                      'Kernel::Language::ru' => 46,
                      'Kernel::Language::sk_SK' => 46,
                      'Kernel::Language::sv' => 46,
                      'Kernel::Language::tr' => 46,
                      'Kernel::Language::vi_VN' => 46,
                      'Kernel::Language::xx_AgentZoom' => 46,
                      'Kernel::Language::xx_Custom' => 46,
                      'Kernel::Language::zh_CN' => 46,
                      'Kernel::Modules::Admin' => 46,
                      'Kernel::Modules::AdminAttachment' => 46,
                      'Kernel::Modules::AdminAutoResponse' => 46,
                      'Kernel::Modules::AdminCustomerCompany' => 46,
                      'Kernel::Modules::AdminCustomerUser' => 46,
                      'Kernel::Modules::AdminCustomerUserGroup' => 46,
                      'Kernel::Modules::AdminCustomerUserService' => 46,
                      'Kernel::Modules::AdminEmail' => 46,
                      'Kernel::Modules::AdminGenericAgent' => 46,
                      'Kernel::Modules::AdminGroup' => 46,
                      'Kernel::Modules::AdminInit' => 46,
                      'Kernel::Modules::AdminLog' => 46,
                      'Kernel::Modules::AdminMailAccount' => 46,
                      'Kernel::Modules::AdminNotification' => 46,
                      'Kernel::Modules::AdminPGP' => 46,
                      'Kernel::Modules::AdminPackageManager' => 46,
                      'Kernel::Modules::AdminPerformanceLog' => 46,
                      'Kernel::Modules::AdminPostMasterFilter' => 46,
                      'Kernel::Modules::AdminPriority' => 46,
                      'Kernel::Modules::AdminQueue' => 46,
                      'Kernel::Modules::AdminQueueAutoResponse' => 46,
                      'Kernel::Modules::AdminQueueResponses' => 46,
                      'Kernel::Modules::AdminResponse' => 46,
                      'Kernel::Modules::AdminResponseAttachment' => 46,
                      'Kernel::Modules::AdminRole' => 46,
                      'Kernel::Modules::AdminRoleGroup' => 46,
                      'Kernel::Modules::AdminRoleUser' => 46,
                      'Kernel::Modules::AdminSLA' => 46,
                      'Kernel::Modules::AdminSMIME' => 46,
                      'Kernel::Modules::AdminSalutation' => 46,
                      'Kernel::Modules::AdminSelectBox' => 46,
                      'Kernel::Modules::AdminService' => 46,
                      'Kernel::Modules::AdminSession' => 46,
                      'Kernel::Modules::AdminSignature' => 46,
                      'Kernel::Modules::AdminState' => 46,
                      'Kernel::Modules::AdminSysConfig' => 46,
                      'Kernel::Modules::AdminSystemAddress' => 46,
                      'Kernel::Modules::AdminType' => 46,
                      'Kernel::Modules::AdminUser' => 46,
                      'Kernel::Modules::AdminUserGroup' => 46,
                      'Kernel::Modules::AgentBook' => 46,
                      'Kernel::Modules::AgentInfo' => 46,
                      'Kernel::Modules::AgentLinkObject' => 46,
                      'Kernel::Modules::AgentPreferences' => 46,
                      'Kernel::Modules::AgentSpelling' => 46,
                      'Kernel::Modules::AgentStats' => 46,
                      'Kernel::Modules::AgentTicketAttachment' => 46,
                      'Kernel::Modules::AgentTicketBounce' => 46,
                      'Kernel::Modules::AgentTicketBulk' => 46,
                      'Kernel::Modules::AgentTicketClose' => 46,
                      'Kernel::Modules::AgentTicketCompose' => 46,
                      'Kernel::Modules::AgentTicketCustomer' => 46,
                      'Kernel::Modules::AgentTicketEmail' => 46,
                      'Kernel::Modules::AgentTicketEscalationView' => 46,
                      'Kernel::Modules::AgentTicketForward' => 46,
                      'Kernel::Modules::AgentTicketFreeText' => 46,
                      'Kernel::Modules::AgentTicketHistory' => 46,
                      'Kernel::Modules::AgentTicketLock' => 46,
                      'Kernel::Modules::AgentTicketMerge' => 46,
                      'Kernel::Modules::AgentTicketMove' => 46,
                      'Kernel::Modules::AgentTicketNote' => 46,
                      'Kernel::Modules::AgentTicketOwner' => 46,
                      'Kernel::Modules::AgentTicketPending' => 46,
                      'Kernel::Modules::AgentTicketPhone' => 46,
                      'Kernel::Modules::AgentTicketPhoneOutbound' => 46,
                      'Kernel::Modules::AgentTicketPlain' => 46,
                      'Kernel::Modules::AgentTicketPrint' => 46,
                      'Kernel::Modules::AgentTicketPriority' => 46,
                      'Kernel::Modules::AgentTicketQueue' => 46,
                      'Kernel::Modules::AgentTicketResponsible' => 46,
                      'Kernel::Modules::AgentTicketSearch' => 46,
                      'Kernel::Modules::AgentTicketStatusView' => 46,
                      'Kernel::Modules::AgentTicketWatcher' => 46,
                      'Kernel::Modules::AgentTicketZoom' => 46,
                      'Kernel::Modules::AgentZoom' => 46,
                      'Kernel::Modules::CustomerAccept' => 46,
                      'Kernel::Modules::CustomerPreferences' => 46,
                      'Kernel::Modules::CustomerTicketAttachment' => 46,
                      'Kernel::Modules::CustomerTicketMessage' => 46,
                      'Kernel::Modules::CustomerTicketPrint' => 46,
                      'Kernel::Modules::CustomerTicketSearch' => 46,
                      'Kernel::Modules::CustomerTicketZoom' => 46,
                      'Kernel::Modules::Installer' => 46,
                      'Kernel::Modules::PublicRepository' => 46,
                      'Kernel::Modules::Test' => 46,
                      'Kernel::Output::HTML::ArticleAttachmentDownload' => 46,
                      'Kernel::Output::HTML::ArticleAttachmentHTMLViewer' => 46,
                      'Kernel::Output::HTML::ArticleCheckPGP' => 46,
                      'Kernel::Output::HTML::ArticleCheckSMIME' => 46,
                      'Kernel::Output::HTML::ArticleComposeCrypt' => 46,
                      'Kernel::Output::HTML::ArticleComposeSign' => 46,
                      'Kernel::Output::HTML::CustomerNewTicketQueueSelectionGeneric' => 46,
                      'Kernel::Output::HTML::CustomerUserGeneric' => 46,
                      'Kernel::Output::HTML::CustomerUserGenericTicket' => 46,
                      'Kernel::Output::HTML::HeaderMetaRefresh' => 46,
                      'Kernel::Output::HTML::HeaderMetaTicketSearch' => 46,
                      'Kernel::Output::HTML::Layout' => 46,
                      'Kernel::Output::HTML::LayoutAJAX' => 46,
                      'Kernel::Output::HTML::LayoutLinkObject' => 46,
                      'Kernel::Output::HTML::LayoutTicket' => 46,
                      'Kernel::Output::HTML::LinkObjectTicket' => 46,
                      'Kernel::Output::HTML::NavBarCustomerCompany' => 46,
                      'Kernel::Output::HTML::NavBarModuleAdmin' => 46,
                      'Kernel::Output::HTML::NotificationAgentOnline' => 46,
                      'Kernel::Output::HTML::NotificationAgentTicketEscalation' => 46,
                      'Kernel::Output::HTML::NotificationCustomerOnline' => 46,
                      'Kernel::Output::HTML::NotificationUIDCheck' => 46,
                      'Kernel::Output::HTML::OutputFilterTextURL' => 46,
                      'Kernel::Output::HTML::PreferencesCustomQueue' => 46,
                      'Kernel::Output::HTML::PreferencesGeneric' => 46,
                      'Kernel::Output::HTML::PreferencesLanguage' => 46,
                      'Kernel::Output::HTML::PreferencesPGP' => 46,
                      'Kernel::Output::HTML::PreferencesPassword' => 46,
                      'Kernel::Output::HTML::PreferencesSMIME' => 46,
                      'Kernel::Output::HTML::PreferencesTheme' => 46,
                      'Kernel::Output::HTML::PreferencesTimeZone' => 46,
                      'Kernel::Output::HTML::QueuePreferencesGeneric' => 46,
                      'Kernel::Output::HTML::TicketMenuGeneric' => 46,
                      'Kernel::Output::HTML::TicketMenuLock' => 46,
                      'Kernel::Output::HTML::TicketMenuResponsible' => 46,
                      'Kernel::Output::HTML::TicketMenuTicketWatcher' => 46,
                      'Kernel::System::Auth' => 46,
                      'Kernel::System::Auth::DB' => 46,
                      'Kernel::System::Auth::HTTPBasicAuth' => 46,
                      'Kernel::System::Auth::LDAP' => 46,
                      'Kernel::System::Auth::Radius' => 46,
                      'Kernel::System::AuthSession' => 46,
                      'Kernel::System::AuthSession::DB' => 46,
                      'Kernel::System::AuthSession::FS' => 46,
                      'Kernel::System::AutoResponse' => 46,
                      'Kernel::System::CSV' => 46,
                      'Kernel::System::Cache' => 46,
                      'Kernel::System::CheckItem' => 46,
                      'Kernel::System::Crypt' => 46,
                      'Kernel::System::Crypt::PGP' => 46,
                      'Kernel::System::Crypt::SMIME' => 46,
                      'Kernel::System::CustomerAuth' => 46,
                      'Kernel::System::CustomerAuth::DB' => 46,
                      'Kernel::System::CustomerAuth::HTTPBasicAuth' => 46,
                      'Kernel::System::CustomerAuth::LDAP' => 46,
                      'Kernel::System::CustomerAuth::Radius' => 46,
                      'Kernel::System::CustomerCompany' => 46,
                      'Kernel::System::CustomerGroup' => 46,
                      'Kernel::System::CustomerUser' => 46,
                      'Kernel::System::CustomerUser::DB' => 46,
                      'Kernel::System::CustomerUser::LDAP' => 46,
                      'Kernel::System::CustomerUser::Preferences::DB' => 46,
                      'Kernel::System::DB' => 46,
                      'Kernel::System::DB::db2' => 46,
                      'Kernel::System::DB::ingres' => 46,
                      'Kernel::System::DB::mssql' => 46,
                      'Kernel::System::DB::mysql' => 46,
                      'Kernel::System::DB::oracle' => 46,
                      'Kernel::System::DB::postgresql' => 46,
                      'Kernel::System::Email' => 46,
                      'Kernel::System::Email::DoNotSendEmail' => 46,
                      'Kernel::System::Email::SMTP' => 46,
                      'Kernel::System::Email::Sendmail' => 46,
                      'Kernel::System::EmailParser' => 46,
                      'Kernel::System::Encode' => 46,
                      'Kernel::System::FileTemp' => 46,
                      'Kernel::System::GenericAgent' => 46,
                      'Kernel::System::GenericAgent::AutoPriorityIncrease' => 46,
                      'Kernel::System::GenericAgent::NotifyAgentGroupOfCustomQueue' => 46,
                      'Kernel::System::GenericAgent::NotifyAgentGroupWithWritePermission' => 46,
                      'Kernel::System::Group' => 46,
                      'Kernel::System::LinkObject' => 46,
                      'Kernel::System::LinkObject::Ticket' => 46,
                      'Kernel::System::Lock' => 46,
                      'Kernel::System::Log' => 46,
                      'Kernel::System::Log::File' => 46,
                      'Kernel::System::Log::SysLog' => 46,
                      'Kernel::System::MailAccount' => 46,
                      'Kernel::System::MailAccount::IMAP' => 46,
                      'Kernel::System::MailAccount::IMAPS' => 46,
                      'Kernel::System::MailAccount::POP3' => 46,
                      'Kernel::System::MailAccount::POP3S' => 46,
                      'Kernel::System::Main' => 46,
                      'Kernel::System::Notification' => 46,
                      'Kernel::System::PDF' => 46,
                      'Kernel::System::PID' => 46,
                      'Kernel::System::Package' => 46,
                      'Kernel::System::PostMaster' => 46,
                      'Kernel::System::PostMaster::DestQueue' => 46,
                      'Kernel::System::PostMaster::Filter' => 46,
                      'Kernel::System::PostMaster::Filter::CMD' => 46,
                      'Kernel::System::PostMaster::Filter::Match' => 46,
                      'Kernel::System::PostMaster::Filter::MatchDBSource' => 46,
                      'Kernel::System::PostMaster::Filter::NewTicketReject' => 46,
                      'Kernel::System::PostMaster::FollowUp' => 46,
                      'Kernel::System::PostMaster::LoopProtection' => 46,
                      'Kernel::System::PostMaster::LoopProtection::DB' => 46,
                      'Kernel::System::PostMaster::LoopProtection::FS' => 46,
                      'Kernel::System::PostMaster::NewTicket' => 46,
                      'Kernel::System::PostMaster::Reject' => 46,
                      'Kernel::System::Priority' => 46,
                      'Kernel::System::Queue' => 46,
                      'Kernel::System::Queue::PreferencesDB' => 46,
                      'Kernel::System::SLA' => 46,
                      'Kernel::System::Salutation' => 46,
                      'Kernel::System::SearchProfile' => 46,
                      'Kernel::System::Service' => 46,
                      'Kernel::System::Signature' => 46,
                      'Kernel::System::Spelling' => 46,
                      'Kernel::System::State' => 46,
                      'Kernel::System::Stats' => 46,
                      'Kernel::System::Stats::Dynamic::Ticket' => 46,
                      'Kernel::System::StdAttachment' => 46,
                      'Kernel::System::SystemAddress' => 46,
                      'Kernel::System::Ticket' => 46,
                      'Kernel::System::Ticket::Acl::CloseParentAfterClosedChilds' => 46,
                      'Kernel::System::Ticket::Article' => 46,
                      'Kernel::System::Ticket::ArticleSearchIndex::RuntimeDB' => 46,
                      'Kernel::System::Ticket::ArticleSearchIndex::StaticDB' => 46,
                      'Kernel::System::Ticket::ArticleStorageDB' => 46,
                      'Kernel::System::Ticket::ArticleStorageFS' => 46,
                      'Kernel::System::Ticket::CustomerPermission::CustomerIDCheck' => 46,
                      'Kernel::System::Ticket::CustomerPermission::CustomerUserIDCheck' => 46,
                      'Kernel::System::Ticket::CustomerPermission::GroupCheck' => 46,
                      'Kernel::System::Ticket::Event::ArticleSearchIndex' => 46,
                      'Kernel::System::Ticket::Event::ForceOwnerReset' => 46,
                      'Kernel::System::Ticket::Event::ForceState' => 46,
                      'Kernel::System::Ticket::Event::ForceUnlock' => 46,
                      'Kernel::System::Ticket::Event::ResponsibleAutoSet' => 46,
                      'Kernel::System::Ticket::Event::Test' => 46,
                      'Kernel::System::Ticket::Event::TicketEscalationIndex' => 46,
                      'Kernel::System::Ticket::IndexAccelerator::RuntimeDB' => 46,
                      'Kernel::System::Ticket::IndexAccelerator::StaticDB' => 46,
                      'Kernel::System::Ticket::Number::AutoIncrement' => 46,
                      'Kernel::System::Ticket::Number::Date' => 46,
                      'Kernel::System::Ticket::Number::DateChecksum' => 46,
                      'Kernel::System::Ticket::Number::Random' => 46,
                      'Kernel::System::Ticket::Permission::GroupCheck' => 46,
                      'Kernel::System::Ticket::Permission::OwnerCheck' => 46,
                      'Kernel::System::Ticket::Permission::ResponsibleCheck' => 46,
                      'Kernel::System::Time' => 46,
                      'Kernel::System::Type' => 46,
                      'Kernel::System::UnitTest' => 46,
                      'Kernel::System::User' => 46,
                      'Kernel::System::User::Preferences::DB' => 46,
                      'Kernel::System::Valid' => 46,
                      'Kernel::System::Web::InterfaceAgent' => 46,
                      'Kernel::System::Web::InterfaceCustomer' => 46,
                      'Kernel::System::Web::InterfacePublic' => 46,
                      'Kernel::System::Web::Request' => 46,
                      'Kernel::System::Web::UploadCache' => 46,
                      'Kernel::System::Web::UploadCache::DB' => 46,
                      'Kernel::System::Web::UploadCache::FS' => 46,
                      'Kernel::System::XML' => 46,
                      'Kernel::System::XMLMaster' => 46
                    },
          'cpan' => {
                      'Algorithm::Diff' => 46,
                      'Algorithm::DiffOld' => 46,
                      'Authen::SASL' => 46,
                      'Authen::SASL::CRAM_MD5' => 46,
                      'Authen::SASL::EXTERNAL' => 46,
                      'Authen::SASL::Perl' => 46,
                      'Authen::SASL::Perl::ANONYMOUS' => 46,
                      'Authen::SASL::Perl::CRAM_MD5' => 46,
                      'Authen::SASL::Perl::DIGEST_MD5' => 46,
                      'Authen::SASL::Perl::EXTERNAL' => 46,
                      'Authen::SASL::Perl::GSSAPI' => 46,
                      'Authen::SASL::Perl::LOGIN' => 46,
                      'Authen::SASL::Perl::PLAIN' => 46,
                      'Crypt::PasswdMD5' => 46,
                      'Date::Pcalc' => 46,
                      'File::Temp' => 46,
                      'IO::AtomicFile' => 46,
                      'IO::InnerFile' => 46,
                      'IO::Lines' => 46,
                      'IO::Scalar' => 46,
                      'IO::ScalarArray' => 46,
                      'IO::Stringy' => 46,
                      'IO::Wrap' => 46,
                      'IO::WrapTie' => 46,
                      'MIME::Body' => 46,
                      'MIME::Decoder' => 46,
                      'MIME::Decoder::Base64' => 46,
                      'MIME::Decoder::BinHex' => 46,
                      'MIME::Decoder::Binary' => 46,
                      'MIME::Decoder::Gzip64' => 46,
                      'MIME::Decoder::NBit' => 46,
                      'MIME::Decoder::QuotedPrint' => 46,
                      'MIME::Decoder::UU' => 46,
                      'MIME::Entity' => 46,
                      'MIME::Field::ConTraEnc' => 46,
                      'MIME::Field::ContDisp' => 46,
                      'MIME::Field::ContType' => 46,
                      'MIME::Field::ParamVal' => 46,
                      'MIME::Head' => 46,
                      'MIME::Parser' => 46,
                      'MIME::Parser::Filer' => 46,
                      'MIME::Parser::Reader' => 46,
                      'MIME::Parser::Results' => 46,
                      'MIME::Tools' => 46,
                      'MIME::WordDecoder' => 46,
                      'MIME::Words' => 46,
                      'Mail::Address' => 46,
                      'Mail::Cap' => 46,
                      'Mail::Field' => 46,
                      'Mail::Field::AddrList' => 46,
                      'Mail::Field::Date' => 46,
                      'Mail::Field::Generic' => 46,
                      'Mail::Filter' => 46,
                      'Mail::Header' => 46,
                      'Mail::Internet' => 46,
                      'Mail::Mailer' => 46,
                      'Mail::Mailer::qmail' => 46,
                      'Mail::Mailer::rfc822' => 46,
                      'Mail::Mailer::sendmail' => 46,
                      'Mail::Mailer::smtp' => 46,
                      'Mail::Mailer::testfile' => 46,
                      'Mail::Send' => 46,
                      'Mail::Util' => 46,
                      'Net::IMAP::Simple' => 46,
                      'Net::IMAP::Simple::SSL' => 46,
                      'Net::POP3::SSLWrapper' => 46,
                      'Text::CSV' => 46,
                      'Text::CSV_PP' => 46,
                      'Text::Diff' => 46,
                      'Text::Diff::Table' => 46,
                      'XML::Parser::Lite' => 46,
    },
);

my %modules = (
          '2.3.1' => {
                       'core' => {
                                   'Kernel::Language::bb' => 1,
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::cz' => 1,
                                   'Kernel::Modules::AgentCalendarSmall' => 1,
                                   'Kernel::Modules::AgentLookup' => 1,
                                   'Kernel::Modules::AgentTicketCustomerFollowUp' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::CustomerCalendarSmall' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Output::HTML::NavBarLockedTickets' => 1,
                                   'Kernel::Output::HTML::NavBarTicketBulkAction' => 1,
                                   'Kernel::Output::HTML::NavBarTicketWatcher' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicket' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicketSeen' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterActiveElement' => 1,
                                   'Kernel::System::AuthSession::IPC' => 1,
                                   'Kernel::System::Cache::File' => 1,
                                   'Kernel::System::Config' => 1,
                                   'Kernel::System::DB::maxdb' => 1,
                                   'Kernel::System::PostMaster::Filter::AgentInterface' => 1,
                                   'Kernel::System::StdResponse' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1
                                 },
                       'cpan' => {
                                   'HTML::Safe' => 1
                                 }
                     },
          '2.3.2' => {
                       'core' => {
                                   'Kernel::Language::bb' => 1,
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::cz' => 1,
                                   'Kernel::Modules::AgentCalendarSmall' => 1,
                                   'Kernel::Modules::AgentLookup' => 1,
                                   'Kernel::Modules::AgentTicketCustomerFollowUp' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::CustomerCalendarSmall' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Output::HTML::NavBarLockedTickets' => 1,
                                   'Kernel::Output::HTML::NavBarTicketBulkAction' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::NavBarTicketWatcher' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicket' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicketSeen' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterActiveElement' => 1,
                                   'Kernel::System::AuthSession::IPC' => 1,
                                   'Kernel::System::Cache::File' => 1,
                                   'Kernel::System::Config' => 1,
                                   'Kernel::System::DB::maxdb' => 1,
                                   'Kernel::System::PostMaster::Filter::AgentInterface' => 1,
                                   'Kernel::System::StdResponse' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1
                                 },
                       'cpan' => {
                                   'HTML::Safe' => 1
                                 }
                     },
          '2.3.3' => {
                       'core' => {
                                   'Kernel::Language::bb' => 1,
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::cz' => 1,
                                   'Kernel::Modules::AgentCalendarSmall' => 1,
                                   'Kernel::Modules::AgentLookup' => 1,
                                   'Kernel::Modules::AgentTicketCustomerFollowUp' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::CustomerCalendarSmall' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Output::HTML::NavBarLockedTickets' => 1,
                                   'Kernel::Output::HTML::NavBarTicketBulkAction' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::NavBarTicketWatcher' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicket' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicketSeen' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterActiveElement' => 1,
                                   'Kernel::System::AuthSession::IPC' => 1,
                                   'Kernel::System::Cache::File' => 1,
                                   'Kernel::System::Config' => 1,
                                   'Kernel::System::DB::maxdb' => 1,
                                   'Kernel::System::PostMaster::Filter::AgentInterface' => 1,
                                   'Kernel::System::StdResponse' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1
                                 },
                       'cpan' => {
                                   'HTML::Safe' => 1,
                                   'Mail::POP3Client' => 1
                                 }
                     },
          '2.3.4' => {
                       'core' => {
                                   'Kernel::Language::bb' => 1,
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::cz' => 1,
                                   'Kernel::Modules::AgentCalendarSmall' => 1,
                                   'Kernel::Modules::AgentLookup' => 1,
                                   'Kernel::Modules::AgentTicketCustomerFollowUp' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::CustomerCalendarSmall' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Output::HTML::NavBarLockedTickets' => 1,
                                   'Kernel::Output::HTML::NavBarTicketBulkAction' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::NavBarTicketWatcher' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicket' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicketSeen' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterActiveElement' => 1,
                                   'Kernel::System::AuthSession::IPC' => 1,
                                   'Kernel::System::Cache::File' => 1,
                                   'Kernel::System::Config' => 1,
                                   'Kernel::System::DB::maxdb' => 1,
                                   'Kernel::System::PostMaster::Filter::AgentInterface' => 1,
                                   'Kernel::System::StdResponse' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1
                                 },
                       'cpan' => {
                                   'HTML::Safe' => 1,
                                   'Mail::POP3Client' => 1
                                 }
                     },
          '2.3.5' => {
                       'core' => {
                                   'Kernel::Language::bb' => 1,
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::cz' => 1,
                                   'Kernel::Modules::AgentCalendarSmall' => 1,
                                   'Kernel::Modules::AgentLookup' => 1,
                                   'Kernel::Modules::AgentTicketCustomerFollowUp' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::CustomerCalendarSmall' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Output::HTML::NavBarLockedTickets' => 1,
                                   'Kernel::Output::HTML::NavBarTicketBulkAction' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::NavBarTicketWatcher' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicket' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicketSeen' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterActiveElement' => 1,
                                   'Kernel::System::AuthSession::IPC' => 1,
                                   'Kernel::System::Cache::File' => 1,
                                   'Kernel::System::Config' => 1,
                                   'Kernel::System::DB::maxdb' => 1,
                                   'Kernel::System::PostMaster::Filter::AgentInterface' => 1,
                                   'Kernel::System::StdResponse' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1
                                 },
                       'cpan' => {
                                   'HTML::Safe' => 1,
                                   'Mail::POP3Client' => 1
                                 }
                     },
          '2.3.6' => {
                       'core' => {
                                   'Kernel::Language::bb' => 1,
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::cz' => 1,
                                   'Kernel::Modules::AgentCalendarSmall' => 1,
                                   'Kernel::Modules::AgentLookup' => 1,
                                   'Kernel::Modules::AgentTicketCustomerFollowUp' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::CustomerCalendarSmall' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Output::HTML::NavBarLockedTickets' => 1,
                                   'Kernel::Output::HTML::NavBarTicketBulkAction' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::NavBarTicketWatcher' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicket' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicketSeen' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterActiveElement' => 1,
                                   'Kernel::System::AuthSession::IPC' => 1,
                                   'Kernel::System::Cache::File' => 1,
                                   'Kernel::System::Config' => 1,
                                   'Kernel::System::DB::maxdb' => 1,
                                   'Kernel::System::PostMaster::Filter::AgentInterface' => 1,
                                   'Kernel::System::StdResponse' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1
                                 },
                       'cpan' => {
                                   'HTML::Safe' => 1,
                                   'Mail::POP3Client' => 1
                                 }
                     },
          '2.4.1' => {
                       'core' => {
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::cz' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AgentCalendarSmall' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentLookup' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerCalendarSmall' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::NavBarLockedTickets' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::NavBarTicketWatcher' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicket' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicketSeen' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::AuthSession::IPC' => 1,
                                   'Kernel::System::Cache::File' => 1,
                                   'Kernel::System::Config' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::StdResponse' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Mail::POP3Client' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1
                                 }
                     },
          '2.4.10' => {
                        'core' => {
                                    'Kernel::Language::ct' => 1,
                                    'Kernel::Language::cz' => 1,
                                    'Kernel::Language::en_CA' => 1,
                                    'Kernel::Language::en_GB' => 1,
                                    'Kernel::Language::lv' => 1,
                                    'Kernel::Language::uk' => 1,
                                    'Kernel::Language::zh_TW' => 1,
                                    'Kernel::Modules::AdminNotificationEvent' => 1,
                                    'Kernel::Modules::AgentCalendarSmall' => 1,
                                    'Kernel::Modules::AgentCustomerSearch' => 1,
                                    'Kernel::Modules::AgentDashboard' => 1,
                                    'Kernel::Modules::AgentLookup' => 1,
                                    'Kernel::Modules::AgentTicketLockedView' => 1,
                                    'Kernel::Modules::AgentTicketMailbox' => 1,
                                    'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                    'Kernel::Modules::AgentTicketWatchView' => 1,
                                    'Kernel::Modules::CustomerCalendarSmall' => 1,
                                    'Kernel::Modules::CustomerTicketOverView' => 1,
                                    'Kernel::Modules::CustomerZoom' => 1,
                                    'Kernel::Modules::PictureUpload' => 1,
                                    'Kernel::Modules::PublicDefault' => 1,
                                    'Kernel::Modules::SpellingInline' => 1,
                                    'Kernel::Output::HTML::DashboardCalendar' => 1,
                                    'Kernel::Output::HTML::DashboardImage' => 1,
                                    'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                    'Kernel::Output::HTML::DashboardRSS' => 1,
                                    'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                    'Kernel::Output::HTML::NavBarLockedTickets' => 1,
                                    'Kernel::Output::HTML::NavBarTicketSearchFulltext' => 1,
                                    'Kernel::Output::HTML::NavBarTicketSearchProfile' => 1,
                                    'Kernel::Output::HTML::NavBarTicketWatcher' => 1,
                                    'Kernel::Output::HTML::NotificationAgentTicket' => 1,
                                    'Kernel::Output::HTML::NotificationAgentTicketSeen' => 1,
                                    'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                    'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                    'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                    'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                    'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                    'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                    'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                    'Kernel::System::Auth::Sync::LDAP' => 1,
                                    'Kernel::System::AuthSession::IPC' => 1,
                                    'Kernel::System::Cache::File' => 1,
                                    'Kernel::System::Config' => 1,
                                    'Kernel::System::Email::SMTPS' => 1,
                                    'Kernel::System::HTMLUtils' => 1,
                                    'Kernel::System::NotificationEvent' => 1,
                                    'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                    'Kernel::System::SLA::PreferencesDB' => 1,
                                    'Kernel::System::Service::PreferencesDB' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                    'Kernel::System::Stats::Static::StateAction' => 1,
                                    'Kernel::System::StdResponse' => 1,
                                    'Kernel::System::TemplateGenerator' => 1,
                                    'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                    'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                    'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                    'Kernel::System::Web::InterfaceInstaller' => 1,
                                    'Kernel::System::WebUserAgent' => 1
                                  },
                        'cpan' => {
                                    'Apache2::Reload' => 1,
                                    'Apache::Reload' => 1,
                                    'Mail::POP3Client' => 1,
                                    'Net::SMTP::SSL' => 1,
                                    'XML::FeedPP' => 1,
                                    'XML::TreePP' => 1
                                  }
                      },
          '2.4.11' => {
                        'core' => {
                                    'Kernel::Language::ct' => 1,
                                    'Kernel::Language::cz' => 1,
                                    'Kernel::Language::en_CA' => 1,
                                    'Kernel::Language::en_GB' => 1,
                                    'Kernel::Language::lv' => 1,
                                    'Kernel::Language::uk' => 1,
                                    'Kernel::Language::zh_TW' => 1,
                                    'Kernel::Modules::AdminNotificationEvent' => 1,
                                    'Kernel::Modules::AgentCalendarSmall' => 1,
                                    'Kernel::Modules::AgentCustomerSearch' => 1,
                                    'Kernel::Modules::AgentDashboard' => 1,
                                    'Kernel::Modules::AgentLookup' => 1,
                                    'Kernel::Modules::AgentTicketLockedView' => 1,
                                    'Kernel::Modules::AgentTicketMailbox' => 1,
                                    'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                    'Kernel::Modules::AgentTicketWatchView' => 1,
                                    'Kernel::Modules::CustomerCalendarSmall' => 1,
                                    'Kernel::Modules::CustomerTicketOverView' => 1,
                                    'Kernel::Modules::CustomerZoom' => 1,
                                    'Kernel::Modules::PictureUpload' => 1,
                                    'Kernel::Modules::PublicDefault' => 1,
                                    'Kernel::Modules::SpellingInline' => 1,
                                    'Kernel::Output::HTML::DashboardCalendar' => 1,
                                    'Kernel::Output::HTML::DashboardImage' => 1,
                                    'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                    'Kernel::Output::HTML::DashboardRSS' => 1,
                                    'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                    'Kernel::Output::HTML::NavBarLockedTickets' => 1,
                                    'Kernel::Output::HTML::NavBarTicketSearchFulltext' => 1,
                                    'Kernel::Output::HTML::NavBarTicketSearchProfile' => 1,
                                    'Kernel::Output::HTML::NavBarTicketWatcher' => 1,
                                    'Kernel::Output::HTML::NotificationAgentTicket' => 1,
                                    'Kernel::Output::HTML::NotificationAgentTicketSeen' => 1,
                                    'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                    'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                    'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                    'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                    'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                    'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                    'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                    'Kernel::System::Auth::Sync::LDAP' => 1,
                                    'Kernel::System::AuthSession::IPC' => 1,
                                    'Kernel::System::Cache::File' => 1,
                                    'Kernel::System::Config' => 1,
                                    'Kernel::System::Email::SMTPS' => 1,
                                    'Kernel::System::HTMLUtils' => 1,
                                    'Kernel::System::NotificationEvent' => 1,
                                    'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                    'Kernel::System::SLA::PreferencesDB' => 1,
                                    'Kernel::System::Service::PreferencesDB' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                    'Kernel::System::Stats::Static::StateAction' => 1,
                                    'Kernel::System::StdResponse' => 1,
                                    'Kernel::System::TemplateGenerator' => 1,
                                    'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                    'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                    'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                    'Kernel::System::Web::InterfaceInstaller' => 1,
                                    'Kernel::System::WebUserAgent' => 1
                                  },
                        'cpan' => {
                                    'Apache2::Reload' => 1,
                                    'Apache::Reload' => 1,
                                    'Mail::POP3Client' => 1,
                                    'Net::SMTP::SSL' => 1,
                                    'XML::FeedPP' => 1,
                                    'XML::TreePP' => 1
                                  }
                      },
          '2.4.12' => {
                        'core' => {
                                    'Kernel::Language::ct' => 1,
                                    'Kernel::Language::cz' => 1,
                                    'Kernel::Language::en_CA' => 1,
                                    'Kernel::Language::en_GB' => 1,
                                    'Kernel::Language::lv' => 1,
                                    'Kernel::Language::uk' => 1,
                                    'Kernel::Language::zh_TW' => 1,
                                    'Kernel::Modules::AdminNotificationEvent' => 1,
                                    'Kernel::Modules::AgentCalendarSmall' => 1,
                                    'Kernel::Modules::AgentCustomerSearch' => 1,
                                    'Kernel::Modules::AgentDashboard' => 1,
                                    'Kernel::Modules::AgentLookup' => 1,
                                    'Kernel::Modules::AgentTicketLockedView' => 1,
                                    'Kernel::Modules::AgentTicketMailbox' => 1,
                                    'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                    'Kernel::Modules::AgentTicketWatchView' => 1,
                                    'Kernel::Modules::CustomerCalendarSmall' => 1,
                                    'Kernel::Modules::CustomerTicketOverView' => 1,
                                    'Kernel::Modules::CustomerZoom' => 1,
                                    'Kernel::Modules::PictureUpload' => 1,
                                    'Kernel::Modules::PublicDefault' => 1,
                                    'Kernel::Modules::SpellingInline' => 1,
                                    'Kernel::Output::HTML::DashboardCalendar' => 1,
                                    'Kernel::Output::HTML::DashboardImage' => 1,
                                    'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                    'Kernel::Output::HTML::DashboardRSS' => 1,
                                    'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                    'Kernel::Output::HTML::NavBarLockedTickets' => 1,
                                    'Kernel::Output::HTML::NavBarTicketSearchFulltext' => 1,
                                    'Kernel::Output::HTML::NavBarTicketSearchProfile' => 1,
                                    'Kernel::Output::HTML::NavBarTicketWatcher' => 1,
                                    'Kernel::Output::HTML::NotificationAgentTicket' => 1,
                                    'Kernel::Output::HTML::NotificationAgentTicketSeen' => 1,
                                    'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                    'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                    'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                    'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                    'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                    'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                    'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                    'Kernel::System::Auth::Sync::LDAP' => 1,
                                    'Kernel::System::AuthSession::IPC' => 1,
                                    'Kernel::System::Cache::File' => 1,
                                    'Kernel::System::Config' => 1,
                                    'Kernel::System::Email::SMTPS' => 1,
                                    'Kernel::System::HTMLUtils' => 1,
                                    'Kernel::System::NotificationEvent' => 1,
                                    'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                    'Kernel::System::SLA::PreferencesDB' => 1,
                                    'Kernel::System::Service::PreferencesDB' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                    'Kernel::System::Stats::Static::StateAction' => 1,
                                    'Kernel::System::StdResponse' => 1,
                                    'Kernel::System::TemplateGenerator' => 1,
                                    'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                    'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                    'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                    'Kernel::System::Web::InterfaceInstaller' => 1,
                                    'Kernel::System::WebUserAgent' => 1
                                  },
                        'cpan' => {
                                    'Apache2::Reload' => 1,
                                    'Apache::Reload' => 1,
                                    'Mail::POP3Client' => 1,
                                    'Net::SMTP::SSL' => 1,
                                    'XML::FeedPP' => 1,
                                    'XML::TreePP' => 1
                                  }
                      },
          '2.4.13' => {
                        'core' => {
                                    'Kernel::Language::ct' => 1,
                                    'Kernel::Language::cz' => 1,
                                    'Kernel::Language::en_CA' => 1,
                                    'Kernel::Language::en_GB' => 1,
                                    'Kernel::Language::lv' => 1,
                                    'Kernel::Language::uk' => 1,
                                    'Kernel::Language::zh_TW' => 1,
                                    'Kernel::Modules::AdminNotificationEvent' => 1,
                                    'Kernel::Modules::AgentCalendarSmall' => 1,
                                    'Kernel::Modules::AgentCustomerSearch' => 1,
                                    'Kernel::Modules::AgentDashboard' => 1,
                                    'Kernel::Modules::AgentLookup' => 1,
                                    'Kernel::Modules::AgentTicketLockedView' => 1,
                                    'Kernel::Modules::AgentTicketMailbox' => 1,
                                    'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                    'Kernel::Modules::AgentTicketWatchView' => 1,
                                    'Kernel::Modules::CustomerCalendarSmall' => 1,
                                    'Kernel::Modules::CustomerTicketOverView' => 1,
                                    'Kernel::Modules::CustomerZoom' => 1,
                                    'Kernel::Modules::PictureUpload' => 1,
                                    'Kernel::Modules::PublicDefault' => 1,
                                    'Kernel::Modules::SpellingInline' => 1,
                                    'Kernel::Output::HTML::DashboardCalendar' => 1,
                                    'Kernel::Output::HTML::DashboardImage' => 1,
                                    'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                    'Kernel::Output::HTML::DashboardRSS' => 1,
                                    'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                    'Kernel::Output::HTML::NavBarLockedTickets' => 1,
                                    'Kernel::Output::HTML::NavBarTicketSearchFulltext' => 1,
                                    'Kernel::Output::HTML::NavBarTicketSearchProfile' => 1,
                                    'Kernel::Output::HTML::NavBarTicketWatcher' => 1,
                                    'Kernel::Output::HTML::NotificationAgentTicket' => 1,
                                    'Kernel::Output::HTML::NotificationAgentTicketSeen' => 1,
                                    'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                    'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                    'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                    'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                    'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                    'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                    'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                    'Kernel::System::Auth::Sync::LDAP' => 1,
                                    'Kernel::System::AuthSession::IPC' => 1,
                                    'Kernel::System::Cache::File' => 1,
                                    'Kernel::System::Config' => 1,
                                    'Kernel::System::Email::SMTPS' => 1,
                                    'Kernel::System::HTMLUtils' => 1,
                                    'Kernel::System::NotificationEvent' => 1,
                                    'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                    'Kernel::System::SLA::PreferencesDB' => 1,
                                    'Kernel::System::Service::PreferencesDB' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                    'Kernel::System::Stats::Static::StateAction' => 1,
                                    'Kernel::System::StdResponse' => 1,
                                    'Kernel::System::TemplateGenerator' => 1,
                                    'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                    'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                    'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                    'Kernel::System::Web::InterfaceInstaller' => 1,
                                    'Kernel::System::WebUserAgent' => 1
                                  },
                        'cpan' => {
                                    'Apache2::Reload' => 1,
                                    'Apache::Reload' => 1,
                                    'Mail::POP3Client' => 1,
                                    'Net::SMTP::SSL' => 1,
                                    'XML::FeedPP' => 1,
                                    'XML::TreePP' => 1
                                  }
                      },
          '2.4.14' => {
                        'core' => {
                                    'Kernel::Language::ct' => 1,
                                    'Kernel::Language::cz' => 1,
                                    'Kernel::Language::en_CA' => 1,
                                    'Kernel::Language::en_GB' => 1,
                                    'Kernel::Language::lv' => 1,
                                    'Kernel::Language::uk' => 1,
                                    'Kernel::Language::zh_TW' => 1,
                                    'Kernel::Modules::AdminNotificationEvent' => 1,
                                    'Kernel::Modules::AgentCalendarSmall' => 1,
                                    'Kernel::Modules::AgentCustomerSearch' => 1,
                                    'Kernel::Modules::AgentDashboard' => 1,
                                    'Kernel::Modules::AgentLookup' => 1,
                                    'Kernel::Modules::AgentTicketLockedView' => 1,
                                    'Kernel::Modules::AgentTicketMailbox' => 1,
                                    'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                    'Kernel::Modules::AgentTicketWatchView' => 1,
                                    'Kernel::Modules::CustomerCalendarSmall' => 1,
                                    'Kernel::Modules::CustomerTicketOverView' => 1,
                                    'Kernel::Modules::CustomerZoom' => 1,
                                    'Kernel::Modules::PictureUpload' => 1,
                                    'Kernel::Modules::PublicDefault' => 1,
                                    'Kernel::Modules::SpellingInline' => 1,
                                    'Kernel::Output::HTML::DashboardCalendar' => 1,
                                    'Kernel::Output::HTML::DashboardImage' => 1,
                                    'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                    'Kernel::Output::HTML::DashboardRSS' => 1,
                                    'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                    'Kernel::Output::HTML::NavBarLockedTickets' => 1,
                                    'Kernel::Output::HTML::NavBarTicketSearchFulltext' => 1,
                                    'Kernel::Output::HTML::NavBarTicketSearchProfile' => 1,
                                    'Kernel::Output::HTML::NavBarTicketWatcher' => 1,
                                    'Kernel::Output::HTML::NotificationAgentTicket' => 1,
                                    'Kernel::Output::HTML::NotificationAgentTicketSeen' => 1,
                                    'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                    'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                    'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                    'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                    'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                    'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                    'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                    'Kernel::System::Auth::Sync::LDAP' => 1,
                                    'Kernel::System::AuthSession::IPC' => 1,
                                    'Kernel::System::Cache::File' => 1,
                                    'Kernel::System::Config' => 1,
                                    'Kernel::System::Email::SMTPS' => 1,
                                    'Kernel::System::HTMLUtils' => 1,
                                    'Kernel::System::NotificationEvent' => 1,
                                    'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                    'Kernel::System::SLA::PreferencesDB' => 1,
                                    'Kernel::System::Service::PreferencesDB' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                    'Kernel::System::Stats::Static::StateAction' => 1,
                                    'Kernel::System::StdResponse' => 1,
                                    'Kernel::System::TemplateGenerator' => 1,
                                    'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                    'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                    'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                    'Kernel::System::Web::InterfaceInstaller' => 1,
                                    'Kernel::System::WebUserAgent' => 1
                                  },
                        'cpan' => {
                                    'Apache2::Reload' => 1,
                                    'Apache::Reload' => 1,
                                    'Mail::POP3Client' => 1,
                                    'Net::SMTP::SSL' => 1,
                                    'XML::FeedPP' => 1,
                                    'XML::TreePP' => 1
                                  }
                      },
          '2.4.2' => {
                       'core' => {
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::cz' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AgentCalendarSmall' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentLookup' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerCalendarSmall' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::NavBarLockedTickets' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::NavBarTicketWatcher' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicket' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicketSeen' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::AuthSession::IPC' => 1,
                                   'Kernel::System::Cache::File' => 1,
                                   'Kernel::System::Config' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::StdResponse' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Mail::POP3Client' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1
                                 }
                     },
          '2.4.3' => {
                       'core' => {
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::cz' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AgentCalendarSmall' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentLookup' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerCalendarSmall' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::NavBarLockedTickets' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::NavBarTicketWatcher' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicket' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicketSeen' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::AuthSession::IPC' => 1,
                                   'Kernel::System::Cache::File' => 1,
                                   'Kernel::System::Config' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::StdResponse' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Mail::POP3Client' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1
                                 }
                     },
          '2.4.4' => {
                       'core' => {
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::cz' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AgentCalendarSmall' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentLookup' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerCalendarSmall' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::NavBarLockedTickets' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::NavBarTicketWatcher' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicket' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicketSeen' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::AuthSession::IPC' => 1,
                                   'Kernel::System::Cache::File' => 1,
                                   'Kernel::System::Config' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::StdResponse' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::Reload' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1
                                 }
                     },
          '2.4.5' => {
                       'core' => {
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::cz' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AgentCalendarSmall' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentLookup' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerCalendarSmall' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::NavBarLockedTickets' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::NavBarTicketWatcher' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicket' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicketSeen' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::AuthSession::IPC' => 1,
                                   'Kernel::System::Cache::File' => 1,
                                   'Kernel::System::Config' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::StdResponse' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::Reload' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1
                                 }
                     },
          '2.4.6' => {
                       'core' => {
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::cz' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AgentCalendarSmall' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentLookup' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerCalendarSmall' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::NavBarLockedTickets' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::NavBarTicketWatcher' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicket' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicketSeen' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::AuthSession::IPC' => 1,
                                   'Kernel::System::Cache::File' => 1,
                                   'Kernel::System::Config' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::StdResponse' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::Reload' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1
                                 }
                     },
          '2.4.7' => {
                       'core' => {
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::cz' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AgentCalendarSmall' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentLookup' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerCalendarSmall' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::NavBarLockedTickets' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::NavBarTicketWatcher' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicket' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicketSeen' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::AuthSession::IPC' => 1,
                                   'Kernel::System::Cache::File' => 1,
                                   'Kernel::System::Config' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::StdResponse' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::Reload' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1
                                 }
                     },
          '2.4.8' => {
                       'core' => {
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::cz' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AgentCalendarSmall' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentLookup' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerCalendarSmall' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::NavBarLockedTickets' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::NavBarTicketWatcher' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicket' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicketSeen' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::AuthSession::IPC' => 1,
                                   'Kernel::System::Cache::File' => 1,
                                   'Kernel::System::Config' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::StdResponse' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::Reload' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1
                                 }
                     },
          '2.4.9' => {
                       'core' => {
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::cz' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AgentCalendarSmall' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentLookup' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerCalendarSmall' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::NavBarLockedTickets' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::NavBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::NavBarTicketWatcher' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicket' => 1,
                                   'Kernel::Output::HTML::NotificationAgentTicketSeen' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::AuthSession::IPC' => 1,
                                   'Kernel::System::Cache::File' => 1,
                                   'Kernel::System::Config' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::StdResponse' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::Reload' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1
                                 }
                     },
          '3.0.1' => {
                       'core' => {
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::cz' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::es_MX' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::sr_Cyrl' => 1,
                                   'Kernel::Language::sr_Latn' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentHTMLReference' => 1,
                                   'Kernel::Modules::AgentSearch' => 1,
                                   'Kernel::Modules::AgentTicketActionCommon' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardIFrame' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardMOTD' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                   'Kernel::Output::HTML::LayoutLoader' => 1,
                                   'Kernel::Output::HTML::LayoutPopup' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesSkin' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketMenuMove' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::Output::HTML::ToolBarLink' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::Cache::FileRaw' => 1,
                                   'Kernel::System::Cache::FileStorable' => 1,
                                   'Kernel::System::CacheInternal' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::Email::SMTPTLS' => 1,
                                   'Kernel::System::EventHandler' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::JSON' => 1,
                                   'Kernel::System::Loader' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::StandardResponse' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::SysConfig' => 1,
                                   'Kernel::System::SysConfig::PriorityValidate' => 1,
                                   'Kernel::System::SysConfig::QueueValidate' => 1,
                                   'Kernel::System::SysConfig::StateValidate' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                   'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::VirtualFS' => 1,
                                   'Kernel::System::VirtualFS::DB' => 1,
                                   'Kernel::System::VirtualFS::FS' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::Reload' => 1,
                                   'CGI' => 1,
                                   'CGI::Apache' => 1,
                                   'CGI::Carp' => 1,
                                   'CGI::Cookie' => 1,
                                   'CGI::Fast' => 1,
                                   'CGI::Pretty' => 1,
                                   'CGI::Push' => 1,
                                   'CGI::Switch' => 1,
                                   'CGI::Util' => 1,
                                   'CSS::Minifier' => 1,
                                   'Digest::SHA::PurePerl' => 1,
                                   'JSON' => 1,
                                   'JSON::PP' => 1,
                                   'JSON::PP5005' => 1,
                                   'JSON::PP56' => 1,
                                   'JSON::PP58' => 1,
                                   'JSON::PP::Boolean' => 1,
                                   'JavaScript::Minifier' => 1,
                                   'Mail::Mailer::smtps' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Net::IMAP::Simple::PipeSocket' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'Net::SMTP::TLS' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1
                                 }
                     },
          '3.0.10' => {
                        'core' => {
                                    'Kernel::Language::cs' => 1,
                                    'Kernel::Language::ct' => 1,
                                    'Kernel::Language::en_CA' => 1,
                                    'Kernel::Language::en_GB' => 1,
                                    'Kernel::Language::es_MX' => 1,
                                    'Kernel::Language::hi' => 1,
                                    'Kernel::Language::hr' => 1,
                                    'Kernel::Language::ja' => 1,
                                    'Kernel::Language::lt' => 1,
                                    'Kernel::Language::lv' => 1,
                                    'Kernel::Language::sr_Cyrl' => 1,
                                    'Kernel::Language::sr_Latn' => 1,
                                    'Kernel::Language::uk' => 1,
                                    'Kernel::Language::zh_TW' => 1,
                                    'Kernel::Modules::AdminNotificationEvent' => 1,
                                    'Kernel::Modules::AgentCustomerSearch' => 1,
                                    'Kernel::Modules::AgentDashboard' => 1,
                                    'Kernel::Modules::AgentHTMLReference' => 1,
                                    'Kernel::Modules::AgentSearch' => 1,
                                    'Kernel::Modules::AgentTicketActionCommon' => 1,
                                    'Kernel::Modules::AgentTicketLockedView' => 1,
                                    'Kernel::Modules::AgentTicketMailbox' => 1,
                                    'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                    'Kernel::Modules::AgentTicketWatchView' => 1,
                                    'Kernel::Modules::CustomerTicketOverView' => 1,
                                    'Kernel::Modules::CustomerZoom' => 1,
                                    'Kernel::Modules::PictureUpload' => 1,
                                    'Kernel::Modules::PublicDefault' => 1,
                                    'Kernel::Modules::SpellingInline' => 1,
                                    'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                    'Kernel::Output::HTML::DashboardCalendar' => 1,
                                    'Kernel::Output::HTML::DashboardIFrame' => 1,
                                    'Kernel::Output::HTML::DashboardImage' => 1,
                                    'Kernel::Output::HTML::DashboardMOTD' => 1,
                                    'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                    'Kernel::Output::HTML::DashboardRSS' => 1,
                                    'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                    'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                    'Kernel::Output::HTML::LayoutLoader' => 1,
                                    'Kernel::Output::HTML::LayoutPopup' => 1,
                                    'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                    'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                    'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                    'Kernel::Output::HTML::PreferencesSkin' => 1,
                                    'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                    'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::TicketMenuMove' => 1,
                                    'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                    'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                    'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                    'Kernel::Output::HTML::ToolBarLink' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                    'Kernel::System::Auth::Sync::LDAP' => 1,
                                    'Kernel::System::Cache::FileRaw' => 1,
                                    'Kernel::System::Cache::FileStorable' => 1,
                                    'Kernel::System::CacheInternal' => 1,
                                    'Kernel::System::Email::SMTPS' => 1,
                                    'Kernel::System::Email::SMTPTLS' => 1,
                                    'Kernel::System::EventHandler' => 1,
                                    'Kernel::System::HTMLUtils' => 1,
                                    'Kernel::System::JSON' => 1,
                                    'Kernel::System::Loader' => 1,
                                    'Kernel::System::NotificationEvent' => 1,
                                    'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                    'Kernel::System::SLA::PreferencesDB' => 1,
                                    'Kernel::System::Service::PreferencesDB' => 1,
                                    'Kernel::System::StandardResponse' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                    'Kernel::System::Stats::Static::StateAction' => 1,
                                    'Kernel::System::SysConfig' => 1,
                                    'Kernel::System::SysConfig::PriorityValidate' => 1,
                                    'Kernel::System::SysConfig::QueueValidate' => 1,
                                    'Kernel::System::SysConfig::StateValidate' => 1,
                                    'Kernel::System::TemplateGenerator' => 1,
                                    'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                    'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                    'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                    'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                    'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                    'Kernel::System::UnitTest::Helper' => 1,
                                    'Kernel::System::UnitTest::Selenium' => 1,
                                    'Kernel::System::VirtualFS' => 1,
                                    'Kernel::System::VirtualFS::DB' => 1,
                                    'Kernel::System::VirtualFS::FS' => 1,
                                    'Kernel::System::Web::InterfaceInstaller' => 1,
                                    'Kernel::System::WebUserAgent' => 1
                                  },
                        'cpan' => {
                                    'Apache2::Reload' => 1,
                                    'Apache::DBI' => 1,
                                    'Apache::Reload' => 1,
                                    'CGI' => 1,
                                    'CGI::Apache' => 1,
                                    'CGI::Carp' => 1,
                                    'CGI::Cookie' => 1,
                                    'CGI::Fast' => 1,
                                    'CGI::Pretty' => 1,
                                    'CGI::Push' => 1,
                                    'CGI::Switch' => 1,
                                    'CGI::Util' => 1,
                                    'CSS::Minifier' => 1,
                                    'Digest::SHA::PurePerl' => 1,
                                    'JSON' => 1,
                                    'JSON::PP' => 1,
                                    'JSON::PP::Boolean' => 1,
                                    'JSON::backportPP' => 1,
                                    'JSON::backportPP::Boolean' => 1,
                                    'JSON::backportPP::Compat5005' => 1,
                                    'JSON::backportPP::Compat5006' => 1,
                                    'JavaScript::Minifier' => 1,
                                    'Mail::Mailer::smtps' => 1,
                                    'Mail::POP3Client' => 1,
                                    'Net::IMAP::Simple::PipeSocket' => 1,
                                    'Net::SMTP::SSL' => 1,
                                    'Net::SMTP::TLS::ButMaintained' => 1,
                                    'XML::FeedPP' => 1,
                                    'XML::TreePP' => 1
                                  }
                      },
          '3.0.11' => {
                        'core' => {
                                    'Kernel::Language::cs' => 1,
                                    'Kernel::Language::ct' => 1,
                                    'Kernel::Language::en_CA' => 1,
                                    'Kernel::Language::en_GB' => 1,
                                    'Kernel::Language::es_MX' => 1,
                                    'Kernel::Language::hi' => 1,
                                    'Kernel::Language::hr' => 1,
                                    'Kernel::Language::ja' => 1,
                                    'Kernel::Language::lt' => 1,
                                    'Kernel::Language::lv' => 1,
                                    'Kernel::Language::sr_Cyrl' => 1,
                                    'Kernel::Language::sr_Latn' => 1,
                                    'Kernel::Language::uk' => 1,
                                    'Kernel::Language::zh_TW' => 1,
                                    'Kernel::Modules::AdminNotificationEvent' => 1,
                                    'Kernel::Modules::AgentCustomerSearch' => 1,
                                    'Kernel::Modules::AgentDashboard' => 1,
                                    'Kernel::Modules::AgentHTMLReference' => 1,
                                    'Kernel::Modules::AgentSearch' => 1,
                                    'Kernel::Modules::AgentTicketActionCommon' => 1,
                                    'Kernel::Modules::AgentTicketLockedView' => 1,
                                    'Kernel::Modules::AgentTicketMailbox' => 1,
                                    'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                    'Kernel::Modules::AgentTicketWatchView' => 1,
                                    'Kernel::Modules::CustomerTicketOverView' => 1,
                                    'Kernel::Modules::CustomerZoom' => 1,
                                    'Kernel::Modules::PictureUpload' => 1,
                                    'Kernel::Modules::PublicDefault' => 1,
                                    'Kernel::Modules::SpellingInline' => 1,
                                    'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                    'Kernel::Output::HTML::DashboardCalendar' => 1,
                                    'Kernel::Output::HTML::DashboardIFrame' => 1,
                                    'Kernel::Output::HTML::DashboardImage' => 1,
                                    'Kernel::Output::HTML::DashboardMOTD' => 1,
                                    'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                    'Kernel::Output::HTML::DashboardRSS' => 1,
                                    'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                    'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                    'Kernel::Output::HTML::LayoutLoader' => 1,
                                    'Kernel::Output::HTML::LayoutPopup' => 1,
                                    'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                    'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                    'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                    'Kernel::Output::HTML::PreferencesSkin' => 1,
                                    'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                    'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::TicketMenuMove' => 1,
                                    'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                    'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                    'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                    'Kernel::Output::HTML::ToolBarLink' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                    'Kernel::System::Auth::Sync::LDAP' => 1,
                                    'Kernel::System::Cache::FileRaw' => 1,
                                    'Kernel::System::Cache::FileStorable' => 1,
                                    'Kernel::System::CacheInternal' => 1,
                                    'Kernel::System::Email::SMTPS' => 1,
                                    'Kernel::System::Email::SMTPTLS' => 1,
                                    'Kernel::System::EventHandler' => 1,
                                    'Kernel::System::HTMLUtils' => 1,
                                    'Kernel::System::JSON' => 1,
                                    'Kernel::System::Loader' => 1,
                                    'Kernel::System::NotificationEvent' => 1,
                                    'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                    'Kernel::System::SLA::PreferencesDB' => 1,
                                    'Kernel::System::Service::PreferencesDB' => 1,
                                    'Kernel::System::StandardResponse' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                    'Kernel::System::Stats::Static::StateAction' => 1,
                                    'Kernel::System::SysConfig' => 1,
                                    'Kernel::System::SysConfig::PriorityValidate' => 1,
                                    'Kernel::System::SysConfig::QueueValidate' => 1,
                                    'Kernel::System::SysConfig::StateValidate' => 1,
                                    'Kernel::System::TemplateGenerator' => 1,
                                    'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                    'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                    'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                    'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                    'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                    'Kernel::System::UnitTest::Helper' => 1,
                                    'Kernel::System::UnitTest::Selenium' => 1,
                                    'Kernel::System::VirtualFS' => 1,
                                    'Kernel::System::VirtualFS::DB' => 1,
                                    'Kernel::System::VirtualFS::FS' => 1,
                                    'Kernel::System::Web::InterfaceInstaller' => 1,
                                    'Kernel::System::WebUserAgent' => 1
                                  },
                        'cpan' => {
                                    'Apache2::Reload' => 1,
                                    'Apache::DBI' => 1,
                                    'Apache::Reload' => 1,
                                    'CGI' => 1,
                                    'CGI::Apache' => 1,
                                    'CGI::Carp' => 1,
                                    'CGI::Cookie' => 1,
                                    'CGI::Fast' => 1,
                                    'CGI::Pretty' => 1,
                                    'CGI::Push' => 1,
                                    'CGI::Switch' => 1,
                                    'CGI::Util' => 1,
                                    'CSS::Minifier' => 1,
                                    'Digest::SHA::PurePerl' => 1,
                                    'JSON' => 1,
                                    'JSON::PP' => 1,
                                    'JSON::PP::Boolean' => 1,
                                    'JSON::backportPP' => 1,
                                    'JSON::backportPP::Boolean' => 1,
                                    'JSON::backportPP::Compat5005' => 1,
                                    'JSON::backportPP::Compat5006' => 1,
                                    'JavaScript::Minifier' => 1,
                                    'Mail::Mailer::smtps' => 1,
                                    'Mail::POP3Client' => 1,
                                    'Net::IMAP::Simple::PipeSocket' => 1,
                                    'Net::SMTP::SSL' => 1,
                                    'Net::SMTP::TLS::ButMaintained' => 1,
                                    'XML::FeedPP' => 1,
                                    'XML::TreePP' => 1
                                  }
                      },
          '3.0.12' => {
                        'core' => {
                                    'Kernel::Language::cs' => 1,
                                    'Kernel::Language::ct' => 1,
                                    'Kernel::Language::en_CA' => 1,
                                    'Kernel::Language::en_GB' => 1,
                                    'Kernel::Language::es_MX' => 1,
                                    'Kernel::Language::hi' => 1,
                                    'Kernel::Language::hr' => 1,
                                    'Kernel::Language::ja' => 1,
                                    'Kernel::Language::lt' => 1,
                                    'Kernel::Language::lv' => 1,
                                    'Kernel::Language::sr_Cyrl' => 1,
                                    'Kernel::Language::sr_Latn' => 1,
                                    'Kernel::Language::uk' => 1,
                                    'Kernel::Language::zh_TW' => 1,
                                    'Kernel::Modules::AdminNotificationEvent' => 1,
                                    'Kernel::Modules::AgentCustomerSearch' => 1,
                                    'Kernel::Modules::AgentDashboard' => 1,
                                    'Kernel::Modules::AgentHTMLReference' => 1,
                                    'Kernel::Modules::AgentSearch' => 1,
                                    'Kernel::Modules::AgentTicketActionCommon' => 1,
                                    'Kernel::Modules::AgentTicketLockedView' => 1,
                                    'Kernel::Modules::AgentTicketMailbox' => 1,
                                    'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                    'Kernel::Modules::AgentTicketWatchView' => 1,
                                    'Kernel::Modules::CustomerTicketOverView' => 1,
                                    'Kernel::Modules::CustomerZoom' => 1,
                                    'Kernel::Modules::PictureUpload' => 1,
                                    'Kernel::Modules::PublicDefault' => 1,
                                    'Kernel::Modules::SpellingInline' => 1,
                                    'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                    'Kernel::Output::HTML::DashboardCalendar' => 1,
                                    'Kernel::Output::HTML::DashboardIFrame' => 1,
                                    'Kernel::Output::HTML::DashboardImage' => 1,
                                    'Kernel::Output::HTML::DashboardMOTD' => 1,
                                    'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                    'Kernel::Output::HTML::DashboardRSS' => 1,
                                    'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                    'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                    'Kernel::Output::HTML::LayoutLoader' => 1,
                                    'Kernel::Output::HTML::LayoutPopup' => 1,
                                    'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                    'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                    'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                    'Kernel::Output::HTML::PreferencesSkin' => 1,
                                    'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                    'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::TicketMenuMove' => 1,
                                    'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                    'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                    'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                    'Kernel::Output::HTML::ToolBarLink' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                    'Kernel::System::Auth::Sync::LDAP' => 1,
                                    'Kernel::System::Cache::FileRaw' => 1,
                                    'Kernel::System::Cache::FileStorable' => 1,
                                    'Kernel::System::CacheInternal' => 1,
                                    'Kernel::System::Email::SMTPS' => 1,
                                    'Kernel::System::Email::SMTPTLS' => 1,
                                    'Kernel::System::EventHandler' => 1,
                                    'Kernel::System::HTMLUtils' => 1,
                                    'Kernel::System::JSON' => 1,
                                    'Kernel::System::Loader' => 1,
                                    'Kernel::System::NotificationEvent' => 1,
                                    'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                    'Kernel::System::SLA::PreferencesDB' => 1,
                                    'Kernel::System::Service::PreferencesDB' => 1,
                                    'Kernel::System::StandardResponse' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                    'Kernel::System::Stats::Static::StateAction' => 1,
                                    'Kernel::System::SysConfig' => 1,
                                    'Kernel::System::SysConfig::PriorityValidate' => 1,
                                    'Kernel::System::SysConfig::QueueValidate' => 1,
                                    'Kernel::System::SysConfig::StateValidate' => 1,
                                    'Kernel::System::TemplateGenerator' => 1,
                                    'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                    'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                    'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                    'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                    'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                    'Kernel::System::UnitTest::Helper' => 1,
                                    'Kernel::System::UnitTest::Selenium' => 1,
                                    'Kernel::System::VirtualFS' => 1,
                                    'Kernel::System::VirtualFS::DB' => 1,
                                    'Kernel::System::VirtualFS::FS' => 1,
                                    'Kernel::System::Web::InterfaceInstaller' => 1,
                                    'Kernel::System::WebUserAgent' => 1
                                  },
                        'cpan' => {
                                    'Apache2::Reload' => 1,
                                    'Apache::DBI' => 1,
                                    'Apache::Reload' => 1,
                                    'CGI' => 1,
                                    'CGI::Apache' => 1,
                                    'CGI::Carp' => 1,
                                    'CGI::Cookie' => 1,
                                    'CGI::Fast' => 1,
                                    'CGI::Pretty' => 1,
                                    'CGI::Push' => 1,
                                    'CGI::Switch' => 1,
                                    'CGI::Util' => 1,
                                    'CSS::Minifier' => 1,
                                    'Digest::SHA::PurePerl' => 1,
                                    'JSON' => 1,
                                    'JSON::PP' => 1,
                                    'JSON::PP::Boolean' => 1,
                                    'JSON::backportPP' => 1,
                                    'JSON::backportPP::Boolean' => 1,
                                    'JSON::backportPP::Compat5005' => 1,
                                    'JSON::backportPP::Compat5006' => 1,
                                    'JavaScript::Minifier' => 1,
                                    'Mail::Mailer::smtps' => 1,
                                    'Mail::POP3Client' => 1,
                                    'Net::IMAP::Simple::PipeSocket' => 1,
                                    'Net::SMTP::SSL' => 1,
                                    'Net::SMTP::TLS::ButMaintained' => 1,
                                    'XML::FeedPP' => 1,
                                    'XML::TreePP' => 1
                                  }
                      },
          '3.0.13' => {
                        'core' => {
                                    'Kernel::Language::cs' => 1,
                                    'Kernel::Language::ct' => 1,
                                    'Kernel::Language::en_CA' => 1,
                                    'Kernel::Language::en_GB' => 1,
                                    'Kernel::Language::es_MX' => 1,
                                    'Kernel::Language::hi' => 1,
                                    'Kernel::Language::hr' => 1,
                                    'Kernel::Language::ja' => 1,
                                    'Kernel::Language::lt' => 1,
                                    'Kernel::Language::lv' => 1,
                                    'Kernel::Language::sr_Cyrl' => 1,
                                    'Kernel::Language::sr_Latn' => 1,
                                    'Kernel::Language::uk' => 1,
                                    'Kernel::Language::zh_TW' => 1,
                                    'Kernel::Modules::AdminNotificationEvent' => 1,
                                    'Kernel::Modules::AgentCustomerSearch' => 1,
                                    'Kernel::Modules::AgentDashboard' => 1,
                                    'Kernel::Modules::AgentHTMLReference' => 1,
                                    'Kernel::Modules::AgentSearch' => 1,
                                    'Kernel::Modules::AgentTicketActionCommon' => 1,
                                    'Kernel::Modules::AgentTicketLockedView' => 1,
                                    'Kernel::Modules::AgentTicketMailbox' => 1,
                                    'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                    'Kernel::Modules::AgentTicketWatchView' => 1,
                                    'Kernel::Modules::CustomerTicketOverView' => 1,
                                    'Kernel::Modules::CustomerZoom' => 1,
                                    'Kernel::Modules::PictureUpload' => 1,
                                    'Kernel::Modules::PublicDefault' => 1,
                                    'Kernel::Modules::SpellingInline' => 1,
                                    'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                    'Kernel::Output::HTML::DashboardCalendar' => 1,
                                    'Kernel::Output::HTML::DashboardIFrame' => 1,
                                    'Kernel::Output::HTML::DashboardImage' => 1,
                                    'Kernel::Output::HTML::DashboardMOTD' => 1,
                                    'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                    'Kernel::Output::HTML::DashboardRSS' => 1,
                                    'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                    'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                    'Kernel::Output::HTML::LayoutLoader' => 1,
                                    'Kernel::Output::HTML::LayoutPopup' => 1,
                                    'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                    'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                    'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                    'Kernel::Output::HTML::PreferencesSkin' => 1,
                                    'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                    'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::TicketMenuMove' => 1,
                                    'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                    'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                    'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                    'Kernel::Output::HTML::ToolBarLink' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                    'Kernel::System::Auth::Sync::LDAP' => 1,
                                    'Kernel::System::Cache::FileRaw' => 1,
                                    'Kernel::System::Cache::FileStorable' => 1,
                                    'Kernel::System::CacheInternal' => 1,
                                    'Kernel::System::Email::SMTPS' => 1,
                                    'Kernel::System::Email::SMTPTLS' => 1,
                                    'Kernel::System::EventHandler' => 1,
                                    'Kernel::System::HTMLUtils' => 1,
                                    'Kernel::System::JSON' => 1,
                                    'Kernel::System::Loader' => 1,
                                    'Kernel::System::NotificationEvent' => 1,
                                    'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                    'Kernel::System::SLA::PreferencesDB' => 1,
                                    'Kernel::System::Service::PreferencesDB' => 1,
                                    'Kernel::System::StandardResponse' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                    'Kernel::System::Stats::Static::StateAction' => 1,
                                    'Kernel::System::SysConfig' => 1,
                                    'Kernel::System::SysConfig::PriorityValidate' => 1,
                                    'Kernel::System::SysConfig::QueueValidate' => 1,
                                    'Kernel::System::SysConfig::StateValidate' => 1,
                                    'Kernel::System::TemplateGenerator' => 1,
                                    'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                    'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                    'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                    'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                    'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                    'Kernel::System::UnitTest::Helper' => 1,
                                    'Kernel::System::UnitTest::Selenium' => 1,
                                    'Kernel::System::VirtualFS' => 1,
                                    'Kernel::System::VirtualFS::DB' => 1,
                                    'Kernel::System::VirtualFS::FS' => 1,
                                    'Kernel::System::Web::InterfaceInstaller' => 1,
                                    'Kernel::System::WebUserAgent' => 1
                                  },
                        'cpan' => {
                                    'Apache2::Reload' => 1,
                                    'Apache::DBI' => 1,
                                    'Apache::Reload' => 1,
                                    'CGI' => 1,
                                    'CGI::Apache' => 1,
                                    'CGI::Carp' => 1,
                                    'CGI::Cookie' => 1,
                                    'CGI::Fast' => 1,
                                    'CGI::Pretty' => 1,
                                    'CGI::Push' => 1,
                                    'CGI::Switch' => 1,
                                    'CGI::Util' => 1,
                                    'CSS::Minifier' => 1,
                                    'Digest::SHA::PurePerl' => 1,
                                    'JSON' => 1,
                                    'JSON::PP' => 1,
                                    'JSON::PP::Boolean' => 1,
                                    'JSON::backportPP' => 1,
                                    'JSON::backportPP::Boolean' => 1,
                                    'JSON::backportPP::Compat5005' => 1,
                                    'JSON::backportPP::Compat5006' => 1,
                                    'JavaScript::Minifier' => 1,
                                    'Mail::Mailer::smtps' => 1,
                                    'Mail::POP3Client' => 1,
                                    'Net::IMAP::Simple::PipeSocket' => 1,
                                    'Net::SMTP::SSL' => 1,
                                    'Net::SMTP::TLS::ButMaintained' => 1,
                                    'XML::FeedPP' => 1,
                                    'XML::TreePP' => 1
                                  }
                      },
          '3.0.14' => {
                        'core' => {
                                    'Kernel::Language::cs' => 1,
                                    'Kernel::Language::ct' => 1,
                                    'Kernel::Language::en_CA' => 1,
                                    'Kernel::Language::en_GB' => 1,
                                    'Kernel::Language::es_MX' => 1,
                                    'Kernel::Language::hi' => 1,
                                    'Kernel::Language::hr' => 1,
                                    'Kernel::Language::ja' => 1,
                                    'Kernel::Language::lt' => 1,
                                    'Kernel::Language::lv' => 1,
                                    'Kernel::Language::sr_Cyrl' => 1,
                                    'Kernel::Language::sr_Latn' => 1,
                                    'Kernel::Language::uk' => 1,
                                    'Kernel::Language::zh_TW' => 1,
                                    'Kernel::Modules::AdminNotificationEvent' => 1,
                                    'Kernel::Modules::AgentCustomerSearch' => 1,
                                    'Kernel::Modules::AgentDashboard' => 1,
                                    'Kernel::Modules::AgentHTMLReference' => 1,
                                    'Kernel::Modules::AgentSearch' => 1,
                                    'Kernel::Modules::AgentTicketActionCommon' => 1,
                                    'Kernel::Modules::AgentTicketLockedView' => 1,
                                    'Kernel::Modules::AgentTicketMailbox' => 1,
                                    'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                    'Kernel::Modules::AgentTicketWatchView' => 1,
                                    'Kernel::Modules::CustomerTicketOverView' => 1,
                                    'Kernel::Modules::CustomerZoom' => 1,
                                    'Kernel::Modules::PictureUpload' => 1,
                                    'Kernel::Modules::PublicDefault' => 1,
                                    'Kernel::Modules::SpellingInline' => 1,
                                    'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                    'Kernel::Output::HTML::DashboardCalendar' => 1,
                                    'Kernel::Output::HTML::DashboardIFrame' => 1,
                                    'Kernel::Output::HTML::DashboardImage' => 1,
                                    'Kernel::Output::HTML::DashboardMOTD' => 1,
                                    'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                    'Kernel::Output::HTML::DashboardRSS' => 1,
                                    'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                    'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                    'Kernel::Output::HTML::LayoutLoader' => 1,
                                    'Kernel::Output::HTML::LayoutPopup' => 1,
                                    'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                    'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                    'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                    'Kernel::Output::HTML::PreferencesSkin' => 1,
                                    'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                    'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::TicketMenuMove' => 1,
                                    'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                    'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                    'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                    'Kernel::Output::HTML::ToolBarLink' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                    'Kernel::System::Auth::Sync::LDAP' => 1,
                                    'Kernel::System::Cache::FileRaw' => 1,
                                    'Kernel::System::Cache::FileStorable' => 1,
                                    'Kernel::System::CacheInternal' => 1,
                                    'Kernel::System::Email::SMTPS' => 1,
                                    'Kernel::System::Email::SMTPTLS' => 1,
                                    'Kernel::System::EventHandler' => 1,
                                    'Kernel::System::HTMLUtils' => 1,
                                    'Kernel::System::JSON' => 1,
                                    'Kernel::System::Loader' => 1,
                                    'Kernel::System::NotificationEvent' => 1,
                                    'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                    'Kernel::System::SLA::PreferencesDB' => 1,
                                    'Kernel::System::Service::PreferencesDB' => 1,
                                    'Kernel::System::StandardResponse' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                    'Kernel::System::Stats::Static::StateAction' => 1,
                                    'Kernel::System::SysConfig' => 1,
                                    'Kernel::System::SysConfig::PriorityValidate' => 1,
                                    'Kernel::System::SysConfig::QueueValidate' => 1,
                                    'Kernel::System::SysConfig::StateValidate' => 1,
                                    'Kernel::System::TemplateGenerator' => 1,
                                    'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                    'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                    'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                    'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                    'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                    'Kernel::System::UnitTest::Helper' => 1,
                                    'Kernel::System::UnitTest::Selenium' => 1,
                                    'Kernel::System::VirtualFS' => 1,
                                    'Kernel::System::VirtualFS::DB' => 1,
                                    'Kernel::System::VirtualFS::FS' => 1,
                                    'Kernel::System::Web::InterfaceInstaller' => 1,
                                    'Kernel::System::WebUserAgent' => 1
                                  },
                        'cpan' => {
                                    'Apache2::Reload' => 1,
                                    'Apache::DBI' => 1,
                                    'Apache::Reload' => 1,
                                    'CGI' => 1,
                                    'CGI::Apache' => 1,
                                    'CGI::Carp' => 1,
                                    'CGI::Cookie' => 1,
                                    'CGI::Fast' => 1,
                                    'CGI::Pretty' => 1,
                                    'CGI::Push' => 1,
                                    'CGI::Switch' => 1,
                                    'CGI::Util' => 1,
                                    'CSS::Minifier' => 1,
                                    'Digest::SHA::PurePerl' => 1,
                                    'JSON' => 1,
                                    'JSON::PP' => 1,
                                    'JSON::PP::Boolean' => 1,
                                    'JSON::backportPP' => 1,
                                    'JSON::backportPP::Boolean' => 1,
                                    'JSON::backportPP::Compat5005' => 1,
                                    'JSON::backportPP::Compat5006' => 1,
                                    'JavaScript::Minifier' => 1,
                                    'Mail::Mailer::smtps' => 1,
                                    'Mail::POP3Client' => 1,
                                    'Net::IMAP::Simple::PipeSocket' => 1,
                                    'Net::SMTP::SSL' => 1,
                                    'Net::SMTP::TLS::ButMaintained' => 1,
                                    'XML::FeedPP' => 1,
                                    'XML::TreePP' => 1
                                  }
                      },
          '3.0.15' => {
                        'core' => {
                                    'Kernel::Language::cs' => 1,
                                    'Kernel::Language::ct' => 1,
                                    'Kernel::Language::en_CA' => 1,
                                    'Kernel::Language::en_GB' => 1,
                                    'Kernel::Language::es_MX' => 1,
                                    'Kernel::Language::hi' => 1,
                                    'Kernel::Language::hr' => 1,
                                    'Kernel::Language::ja' => 1,
                                    'Kernel::Language::lt' => 1,
                                    'Kernel::Language::lv' => 1,
                                    'Kernel::Language::sr_Cyrl' => 1,
                                    'Kernel::Language::sr_Latn' => 1,
                                    'Kernel::Language::uk' => 1,
                                    'Kernel::Language::zh_TW' => 1,
                                    'Kernel::Modules::AdminNotificationEvent' => 1,
                                    'Kernel::Modules::AgentCustomerSearch' => 1,
                                    'Kernel::Modules::AgentDashboard' => 1,
                                    'Kernel::Modules::AgentHTMLReference' => 1,
                                    'Kernel::Modules::AgentSearch' => 1,
                                    'Kernel::Modules::AgentTicketActionCommon' => 1,
                                    'Kernel::Modules::AgentTicketLockedView' => 1,
                                    'Kernel::Modules::AgentTicketMailbox' => 1,
                                    'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                    'Kernel::Modules::AgentTicketWatchView' => 1,
                                    'Kernel::Modules::CustomerTicketOverView' => 1,
                                    'Kernel::Modules::CustomerZoom' => 1,
                                    'Kernel::Modules::PictureUpload' => 1,
                                    'Kernel::Modules::PublicDefault' => 1,
                                    'Kernel::Modules::SpellingInline' => 1,
                                    'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                    'Kernel::Output::HTML::DashboardCalendar' => 1,
                                    'Kernel::Output::HTML::DashboardIFrame' => 1,
                                    'Kernel::Output::HTML::DashboardImage' => 1,
                                    'Kernel::Output::HTML::DashboardMOTD' => 1,
                                    'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                    'Kernel::Output::HTML::DashboardRSS' => 1,
                                    'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                    'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                    'Kernel::Output::HTML::LayoutLoader' => 1,
                                    'Kernel::Output::HTML::LayoutPopup' => 1,
                                    'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                    'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                    'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                    'Kernel::Output::HTML::PreferencesSkin' => 1,
                                    'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                    'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::TicketMenuMove' => 1,
                                    'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                    'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                    'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                    'Kernel::Output::HTML::ToolBarLink' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                    'Kernel::System::Auth::Sync::LDAP' => 1,
                                    'Kernel::System::Cache::FileRaw' => 1,
                                    'Kernel::System::Cache::FileStorable' => 1,
                                    'Kernel::System::CacheInternal' => 1,
                                    'Kernel::System::Email::SMTPS' => 1,
                                    'Kernel::System::Email::SMTPTLS' => 1,
                                    'Kernel::System::EventHandler' => 1,
                                    'Kernel::System::HTMLUtils' => 1,
                                    'Kernel::System::JSON' => 1,
                                    'Kernel::System::Loader' => 1,
                                    'Kernel::System::NotificationEvent' => 1,
                                    'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                    'Kernel::System::SLA::PreferencesDB' => 1,
                                    'Kernel::System::Service::PreferencesDB' => 1,
                                    'Kernel::System::StandardResponse' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                    'Kernel::System::Stats::Static::StateAction' => 1,
                                    'Kernel::System::SysConfig' => 1,
                                    'Kernel::System::SysConfig::PriorityValidate' => 1,
                                    'Kernel::System::SysConfig::QueueValidate' => 1,
                                    'Kernel::System::SysConfig::StateValidate' => 1,
                                    'Kernel::System::TemplateGenerator' => 1,
                                    'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                    'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                    'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                    'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                    'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                    'Kernel::System::UnitTest::Helper' => 1,
                                    'Kernel::System::UnitTest::Selenium' => 1,
                                    'Kernel::System::VirtualFS' => 1,
                                    'Kernel::System::VirtualFS::DB' => 1,
                                    'Kernel::System::VirtualFS::FS' => 1,
                                    'Kernel::System::Web::InterfaceInstaller' => 1,
                                    'Kernel::System::WebUserAgent' => 1
                                  },
                        'cpan' => {
                                    'Apache2::Reload' => 1,
                                    'Apache::DBI' => 1,
                                    'Apache::Reload' => 1,
                                    'CGI' => 1,
                                    'CGI::Apache' => 1,
                                    'CGI::Carp' => 1,
                                    'CGI::Cookie' => 1,
                                    'CGI::Fast' => 1,
                                    'CGI::Pretty' => 1,
                                    'CGI::Push' => 1,
                                    'CGI::Switch' => 1,
                                    'CGI::Util' => 1,
                                    'CSS::Minifier' => 1,
                                    'Digest::SHA::PurePerl' => 1,
                                    'JSON' => 1,
                                    'JSON::PP' => 1,
                                    'JSON::PP::Boolean' => 1,
                                    'JSON::backportPP' => 1,
                                    'JSON::backportPP::Boolean' => 1,
                                    'JSON::backportPP::Compat5005' => 1,
                                    'JSON::backportPP::Compat5006' => 1,
                                    'JavaScript::Minifier' => 1,
                                    'Mail::Mailer::smtps' => 1,
                                    'Mail::POP3Client' => 1,
                                    'Net::IMAP::Simple::PipeSocket' => 1,
                                    'Net::SMTP::SSL' => 1,
                                    'Net::SMTP::TLS::ButMaintained' => 1,
                                    'XML::FeedPP' => 1,
                                    'XML::TreePP' => 1
                                  }
                      },
          '3.0.16' => {
                        'core' => {
                                    'Kernel::Language::cs' => 1,
                                    'Kernel::Language::ct' => 1,
                                    'Kernel::Language::en_CA' => 1,
                                    'Kernel::Language::en_GB' => 1,
                                    'Kernel::Language::es_MX' => 1,
                                    'Kernel::Language::hi' => 1,
                                    'Kernel::Language::hr' => 1,
                                    'Kernel::Language::ja' => 1,
                                    'Kernel::Language::lt' => 1,
                                    'Kernel::Language::lv' => 1,
                                    'Kernel::Language::sr_Cyrl' => 1,
                                    'Kernel::Language::sr_Latn' => 1,
                                    'Kernel::Language::uk' => 1,
                                    'Kernel::Language::zh_TW' => 1,
                                    'Kernel::Modules::AdminNotificationEvent' => 1,
                                    'Kernel::Modules::AgentCustomerSearch' => 1,
                                    'Kernel::Modules::AgentDashboard' => 1,
                                    'Kernel::Modules::AgentHTMLReference' => 1,
                                    'Kernel::Modules::AgentSearch' => 1,
                                    'Kernel::Modules::AgentTicketActionCommon' => 1,
                                    'Kernel::Modules::AgentTicketLockedView' => 1,
                                    'Kernel::Modules::AgentTicketMailbox' => 1,
                                    'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                    'Kernel::Modules::AgentTicketWatchView' => 1,
                                    'Kernel::Modules::CustomerTicketOverView' => 1,
                                    'Kernel::Modules::CustomerZoom' => 1,
                                    'Kernel::Modules::PictureUpload' => 1,
                                    'Kernel::Modules::PublicDefault' => 1,
                                    'Kernel::Modules::SpellingInline' => 1,
                                    'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                    'Kernel::Output::HTML::DashboardCalendar' => 1,
                                    'Kernel::Output::HTML::DashboardIFrame' => 1,
                                    'Kernel::Output::HTML::DashboardImage' => 1,
                                    'Kernel::Output::HTML::DashboardMOTD' => 1,
                                    'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                    'Kernel::Output::HTML::DashboardRSS' => 1,
                                    'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                    'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                    'Kernel::Output::HTML::LayoutLoader' => 1,
                                    'Kernel::Output::HTML::LayoutPopup' => 1,
                                    'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                    'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                    'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                    'Kernel::Output::HTML::PreferencesSkin' => 1,
                                    'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                    'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::TicketMenuMove' => 1,
                                    'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                    'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                    'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                    'Kernel::Output::HTML::ToolBarLink' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                    'Kernel::System::Auth::Sync::LDAP' => 1,
                                    'Kernel::System::Cache::FileRaw' => 1,
                                    'Kernel::System::Cache::FileStorable' => 1,
                                    'Kernel::System::CacheInternal' => 1,
                                    'Kernel::System::Email::SMTPS' => 1,
                                    'Kernel::System::Email::SMTPTLS' => 1,
                                    'Kernel::System::EventHandler' => 1,
                                    'Kernel::System::HTMLUtils' => 1,
                                    'Kernel::System::JSON' => 1,
                                    'Kernel::System::Loader' => 1,
                                    'Kernel::System::NotificationEvent' => 1,
                                    'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                    'Kernel::System::SLA::PreferencesDB' => 1,
                                    'Kernel::System::Service::PreferencesDB' => 1,
                                    'Kernel::System::StandardResponse' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                    'Kernel::System::Stats::Static::StateAction' => 1,
                                    'Kernel::System::SysConfig' => 1,
                                    'Kernel::System::SysConfig::PriorityValidate' => 1,
                                    'Kernel::System::SysConfig::QueueValidate' => 1,
                                    'Kernel::System::SysConfig::StateValidate' => 1,
                                    'Kernel::System::TemplateGenerator' => 1,
                                    'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                    'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                    'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                    'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                    'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                    'Kernel::System::UnitTest::Helper' => 1,
                                    'Kernel::System::UnitTest::Selenium' => 1,
                                    'Kernel::System::VirtualFS' => 1,
                                    'Kernel::System::VirtualFS::DB' => 1,
                                    'Kernel::System::VirtualFS::FS' => 1,
                                    'Kernel::System::Web::InterfaceInstaller' => 1,
                                    'Kernel::System::WebUserAgent' => 1
                                  },
                        'cpan' => {
                                    'Apache2::Reload' => 1,
                                    'Apache::DBI' => 1,
                                    'Apache::Reload' => 1,
                                    'CGI' => 1,
                                    'CGI::Apache' => 1,
                                    'CGI::Carp' => 1,
                                    'CGI::Cookie' => 1,
                                    'CGI::Fast' => 1,
                                    'CGI::Pretty' => 1,
                                    'CGI::Push' => 1,
                                    'CGI::Switch' => 1,
                                    'CGI::Util' => 1,
                                    'CSS::Minifier' => 1,
                                    'Digest::SHA::PurePerl' => 1,
                                    'JSON' => 1,
                                    'JSON::PP' => 1,
                                    'JSON::PP::Boolean' => 1,
                                    'JSON::backportPP' => 1,
                                    'JSON::backportPP::Boolean' => 1,
                                    'JSON::backportPP::Compat5005' => 1,
                                    'JSON::backportPP::Compat5006' => 1,
                                    'JavaScript::Minifier' => 1,
                                    'Mail::Mailer::smtps' => 1,
                                    'Mail::POP3Client' => 1,
                                    'Net::IMAP::Simple::PipeSocket' => 1,
                                    'Net::SMTP::SSL' => 1,
                                    'Net::SMTP::TLS::ButMaintained' => 1,
                                    'XML::FeedPP' => 1,
                                    'XML::TreePP' => 1
                                  }
                      },
          '3.0.2' => {
                       'core' => {
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::cz' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::es_MX' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::sr_Cyrl' => 1,
                                   'Kernel::Language::sr_Latn' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentHTMLReference' => 1,
                                   'Kernel::Modules::AgentSearch' => 1,
                                   'Kernel::Modules::AgentTicketActionCommon' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardIFrame' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardMOTD' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                   'Kernel::Output::HTML::LayoutLoader' => 1,
                                   'Kernel::Output::HTML::LayoutPopup' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesSkin' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketMenuMove' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::Output::HTML::ToolBarLink' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::Cache::FileRaw' => 1,
                                   'Kernel::System::Cache::FileStorable' => 1,
                                   'Kernel::System::CacheInternal' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::Email::SMTPTLS' => 1,
                                   'Kernel::System::EventHandler' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::JSON' => 1,
                                   'Kernel::System::Loader' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::StandardResponse' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::SysConfig' => 1,
                                   'Kernel::System::SysConfig::PriorityValidate' => 1,
                                   'Kernel::System::SysConfig::QueueValidate' => 1,
                                   'Kernel::System::SysConfig::StateValidate' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                   'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::VirtualFS' => 1,
                                   'Kernel::System::VirtualFS::DB' => 1,
                                   'Kernel::System::VirtualFS::FS' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::Reload' => 1,
                                   'CGI' => 1,
                                   'CGI::Apache' => 1,
                                   'CGI::Carp' => 1,
                                   'CGI::Cookie' => 1,
                                   'CGI::Fast' => 1,
                                   'CGI::Pretty' => 1,
                                   'CGI::Push' => 1,
                                   'CGI::Switch' => 1,
                                   'CGI::Util' => 1,
                                   'CSS::Minifier' => 1,
                                   'Digest::SHA::PurePerl' => 1,
                                   'JSON' => 1,
                                   'JSON::PP' => 1,
                                   'JSON::PP5005' => 1,
                                   'JSON::PP56' => 1,
                                   'JSON::PP58' => 1,
                                   'JSON::PP::Boolean' => 1,
                                   'JavaScript::Minifier' => 1,
                                   'Mail::Mailer::smtps' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Net::IMAP::Simple::PipeSocket' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'Net::SMTP::TLS' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1
                                 }
                     },
          '3.0.3' => {
                       'core' => {
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::cz' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::es_MX' => 1,
                                   'Kernel::Language::ja' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::sr_Cyrl' => 1,
                                   'Kernel::Language::sr_Latn' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentHTMLReference' => 1,
                                   'Kernel::Modules::AgentSearch' => 1,
                                   'Kernel::Modules::AgentTicketActionCommon' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardIFrame' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardMOTD' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                   'Kernel::Output::HTML::LayoutLoader' => 1,
                                   'Kernel::Output::HTML::LayoutPopup' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesSkin' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketMenuMove' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::Output::HTML::ToolBarLink' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::Cache::FileRaw' => 1,
                                   'Kernel::System::Cache::FileStorable' => 1,
                                   'Kernel::System::CacheInternal' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::Email::SMTPTLS' => 1,
                                   'Kernel::System::EventHandler' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::JSON' => 1,
                                   'Kernel::System::Loader' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::StandardResponse' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::SysConfig' => 1,
                                   'Kernel::System::SysConfig::PriorityValidate' => 1,
                                   'Kernel::System::SysConfig::QueueValidate' => 1,
                                   'Kernel::System::SysConfig::StateValidate' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                   'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::UnitTest::Selenium' => 1,
                                   'Kernel::System::VirtualFS' => 1,
                                   'Kernel::System::VirtualFS::DB' => 1,
                                   'Kernel::System::VirtualFS::FS' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::Reload' => 1,
                                   'CGI' => 1,
                                   'CGI::Apache' => 1,
                                   'CGI::Carp' => 1,
                                   'CGI::Cookie' => 1,
                                   'CGI::Fast' => 1,
                                   'CGI::Pretty' => 1,
                                   'CGI::Push' => 1,
                                   'CGI::Switch' => 1,
                                   'CGI::Util' => 1,
                                   'CSS::Minifier' => 1,
                                   'Digest::SHA::PurePerl' => 1,
                                   'JSON' => 1,
                                   'JSON::PP' => 1,
                                   'JSON::PP5005' => 1,
                                   'JSON::PP56' => 1,
                                   'JSON::PP58' => 1,
                                   'JSON::PP::Boolean' => 1,
                                   'JavaScript::Minifier' => 1,
                                   'Mail::Mailer::smtps' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Net::IMAP::Simple::PipeSocket' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'Net::SMTP::TLS' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1
                                 }
                     },
          '3.0.4' => {
                       'core' => {
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::cz' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::es_MX' => 1,
                                   'Kernel::Language::ja' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::sr_Cyrl' => 1,
                                   'Kernel::Language::sr_Latn' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentHTMLReference' => 1,
                                   'Kernel::Modules::AgentSearch' => 1,
                                   'Kernel::Modules::AgentTicketActionCommon' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardIFrame' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardMOTD' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                   'Kernel::Output::HTML::LayoutLoader' => 1,
                                   'Kernel::Output::HTML::LayoutPopup' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesSkin' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketMenuMove' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::Output::HTML::ToolBarLink' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::Cache::FileRaw' => 1,
                                   'Kernel::System::Cache::FileStorable' => 1,
                                   'Kernel::System::CacheInternal' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::Email::SMTPTLS' => 1,
                                   'Kernel::System::EventHandler' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::JSON' => 1,
                                   'Kernel::System::Loader' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::StandardResponse' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::SysConfig' => 1,
                                   'Kernel::System::SysConfig::PriorityValidate' => 1,
                                   'Kernel::System::SysConfig::QueueValidate' => 1,
                                   'Kernel::System::SysConfig::StateValidate' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                   'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::UnitTest::Selenium' => 1,
                                   'Kernel::System::VirtualFS' => 1,
                                   'Kernel::System::VirtualFS::DB' => 1,
                                   'Kernel::System::VirtualFS::FS' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::Reload' => 1,
                                   'CGI' => 1,
                                   'CGI::Apache' => 1,
                                   'CGI::Carp' => 1,
                                   'CGI::Cookie' => 1,
                                   'CGI::Fast' => 1,
                                   'CGI::Pretty' => 1,
                                   'CGI::Push' => 1,
                                   'CGI::Switch' => 1,
                                   'CGI::Util' => 1,
                                   'CSS::Minifier' => 1,
                                   'Digest::SHA::PurePerl' => 1,
                                   'JSON' => 1,
                                   'JSON::PP' => 1,
                                   'JSON::PP5005' => 1,
                                   'JSON::PP56' => 1,
                                   'JSON::PP58' => 1,
                                   'JSON::PP::Boolean' => 1,
                                   'JavaScript::Minifier' => 1,
                                   'Mail::Mailer::smtps' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Net::IMAP::Simple::PipeSocket' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'Net::SMTP::TLS' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1
                                 }
                     },
          '3.0.5' => {
                       'core' => {
                                   'Kernel::Language::cs' => 1,
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::es_MX' => 1,
                                   'Kernel::Language::ja' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::sr_Cyrl' => 1,
                                   'Kernel::Language::sr_Latn' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentHTMLReference' => 1,
                                   'Kernel::Modules::AgentSearch' => 1,
                                   'Kernel::Modules::AgentTicketActionCommon' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardIFrame' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardMOTD' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                   'Kernel::Output::HTML::LayoutLoader' => 1,
                                   'Kernel::Output::HTML::LayoutPopup' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesSkin' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketMenuMove' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::Output::HTML::ToolBarLink' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::Cache::FileRaw' => 1,
                                   'Kernel::System::Cache::FileStorable' => 1,
                                   'Kernel::System::CacheInternal' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::Email::SMTPTLS' => 1,
                                   'Kernel::System::EventHandler' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::JSON' => 1,
                                   'Kernel::System::Loader' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::StandardResponse' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::SysConfig' => 1,
                                   'Kernel::System::SysConfig::PriorityValidate' => 1,
                                   'Kernel::System::SysConfig::QueueValidate' => 1,
                                   'Kernel::System::SysConfig::StateValidate' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                   'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::UnitTest::Helper' => 1,
                                   'Kernel::System::UnitTest::Selenium' => 1,
                                   'Kernel::System::VirtualFS' => 1,
                                   'Kernel::System::VirtualFS::DB' => 1,
                                   'Kernel::System::VirtualFS::FS' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::Reload' => 1,
                                   'CGI' => 1,
                                   'CGI::Apache' => 1,
                                   'CGI::Carp' => 1,
                                   'CGI::Cookie' => 1,
                                   'CGI::Fast' => 1,
                                   'CGI::Pretty' => 1,
                                   'CGI::Push' => 1,
                                   'CGI::Switch' => 1,
                                   'CGI::Util' => 1,
                                   'CSS::Minifier' => 1,
                                   'Digest::SHA::PurePerl' => 1,
                                   'JSON' => 1,
                                   'JSON::PP' => 1,
                                   'JSON::PP::Boolean' => 1,
                                   'JSON::backportPP' => 1,
                                   'JSON::backportPP::Boolean' => 1,
                                   'JSON::backportPP::Compat5005' => 1,
                                   'JSON::backportPP::Compat5006' => 1,
                                   'JavaScript::Minifier' => 1,
                                   'Mail::Mailer::smtps' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Net::IMAP::Simple::PipeSocket' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'Net::SMTP::TLS::ButMaintained' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1
                                 }
                     },
          '3.0.6' => {
                       'core' => {
                                   'Kernel::Language::cs' => 1,
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::es_MX' => 1,
                                   'Kernel::Language::ja' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::sr_Cyrl' => 1,
                                   'Kernel::Language::sr_Latn' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentHTMLReference' => 1,
                                   'Kernel::Modules::AgentSearch' => 1,
                                   'Kernel::Modules::AgentTicketActionCommon' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardIFrame' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardMOTD' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                   'Kernel::Output::HTML::LayoutLoader' => 1,
                                   'Kernel::Output::HTML::LayoutPopup' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesSkin' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketMenuMove' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::Output::HTML::ToolBarLink' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::Cache::FileRaw' => 1,
                                   'Kernel::System::Cache::FileStorable' => 1,
                                   'Kernel::System::CacheInternal' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::Email::SMTPTLS' => 1,
                                   'Kernel::System::EventHandler' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::JSON' => 1,
                                   'Kernel::System::Loader' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::StandardResponse' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::SysConfig' => 1,
                                   'Kernel::System::SysConfig::PriorityValidate' => 1,
                                   'Kernel::System::SysConfig::QueueValidate' => 1,
                                   'Kernel::System::SysConfig::StateValidate' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                   'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::UnitTest::Helper' => 1,
                                   'Kernel::System::UnitTest::Selenium' => 1,
                                   'Kernel::System::VirtualFS' => 1,
                                   'Kernel::System::VirtualFS::DB' => 1,
                                   'Kernel::System::VirtualFS::FS' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::DBI' => 1,
                                   'Apache::Reload' => 1,
                                   'CGI' => 1,
                                   'CGI::Apache' => 1,
                                   'CGI::Carp' => 1,
                                   'CGI::Cookie' => 1,
                                   'CGI::Fast' => 1,
                                   'CGI::Pretty' => 1,
                                   'CGI::Push' => 1,
                                   'CGI::Switch' => 1,
                                   'CGI::Util' => 1,
                                   'CSS::Minifier' => 1,
                                   'Digest::SHA::PurePerl' => 1,
                                   'JSON' => 1,
                                   'JSON::PP' => 1,
                                   'JSON::PP::Boolean' => 1,
                                   'JSON::backportPP' => 1,
                                   'JSON::backportPP::Boolean' => 1,
                                   'JSON::backportPP::Compat5005' => 1,
                                   'JSON::backportPP::Compat5006' => 1,
                                   'JavaScript::Minifier' => 1,
                                   'Mail::Mailer::smtps' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Net::IMAP::Simple::PipeSocket' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'Net::SMTP::TLS::ButMaintained' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1
                                 }
                     },
          '3.0.7' => {
                       'core' => {
                                   'Kernel::Language::cs' => 1,
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::es_MX' => 1,
                                   'Kernel::Language::hi' => 1,
                                   'Kernel::Language::ja' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::sr_Cyrl' => 1,
                                   'Kernel::Language::sr_Latn' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentHTMLReference' => 1,
                                   'Kernel::Modules::AgentSearch' => 1,
                                   'Kernel::Modules::AgentTicketActionCommon' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardIFrame' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardMOTD' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                   'Kernel::Output::HTML::LayoutLoader' => 1,
                                   'Kernel::Output::HTML::LayoutPopup' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesSkin' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketMenuMove' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::Output::HTML::ToolBarLink' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::Cache::FileRaw' => 1,
                                   'Kernel::System::Cache::FileStorable' => 1,
                                   'Kernel::System::CacheInternal' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::Email::SMTPTLS' => 1,
                                   'Kernel::System::EventHandler' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::JSON' => 1,
                                   'Kernel::System::Loader' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::StandardResponse' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::SysConfig' => 1,
                                   'Kernel::System::SysConfig::PriorityValidate' => 1,
                                   'Kernel::System::SysConfig::QueueValidate' => 1,
                                   'Kernel::System::SysConfig::StateValidate' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                   'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::UnitTest::Helper' => 1,
                                   'Kernel::System::UnitTest::Selenium' => 1,
                                   'Kernel::System::VirtualFS' => 1,
                                   'Kernel::System::VirtualFS::DB' => 1,
                                   'Kernel::System::VirtualFS::FS' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::DBI' => 1,
                                   'Apache::Reload' => 1,
                                   'CGI' => 1,
                                   'CGI::Apache' => 1,
                                   'CGI::Carp' => 1,
                                   'CGI::Cookie' => 1,
                                   'CGI::Fast' => 1,
                                   'CGI::Pretty' => 1,
                                   'CGI::Push' => 1,
                                   'CGI::Switch' => 1,
                                   'CGI::Util' => 1,
                                   'CSS::Minifier' => 1,
                                   'Digest::SHA::PurePerl' => 1,
                                   'JSON' => 1,
                                   'JSON::PP' => 1,
                                   'JSON::PP::Boolean' => 1,
                                   'JSON::backportPP' => 1,
                                   'JSON::backportPP::Boolean' => 1,
                                   'JSON::backportPP::Compat5005' => 1,
                                   'JSON::backportPP::Compat5006' => 1,
                                   'JavaScript::Minifier' => 1,
                                   'Mail::Mailer::smtps' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Net::IMAP::Simple::PipeSocket' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'Net::SMTP::TLS::ButMaintained' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1
                                 }
                     },
          '3.0.8' => {
                       'core' => {
                                   'Kernel::Language::cs' => 1,
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::es_MX' => 1,
                                   'Kernel::Language::hi' => 1,
                                   'Kernel::Language::hr' => 1,
                                   'Kernel::Language::ja' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::sr_Cyrl' => 1,
                                   'Kernel::Language::sr_Latn' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentHTMLReference' => 1,
                                   'Kernel::Modules::AgentSearch' => 1,
                                   'Kernel::Modules::AgentTicketActionCommon' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardIFrame' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardMOTD' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                   'Kernel::Output::HTML::LayoutLoader' => 1,
                                   'Kernel::Output::HTML::LayoutPopup' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesSkin' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketMenuMove' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::Output::HTML::ToolBarLink' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::Cache::FileRaw' => 1,
                                   'Kernel::System::Cache::FileStorable' => 1,
                                   'Kernel::System::CacheInternal' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::Email::SMTPTLS' => 1,
                                   'Kernel::System::EventHandler' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::JSON' => 1,
                                   'Kernel::System::Loader' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::StandardResponse' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::SysConfig' => 1,
                                   'Kernel::System::SysConfig::PriorityValidate' => 1,
                                   'Kernel::System::SysConfig::QueueValidate' => 1,
                                   'Kernel::System::SysConfig::StateValidate' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                   'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::UnitTest::Helper' => 1,
                                   'Kernel::System::UnitTest::Selenium' => 1,
                                   'Kernel::System::VirtualFS' => 1,
                                   'Kernel::System::VirtualFS::DB' => 1,
                                   'Kernel::System::VirtualFS::FS' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::DBI' => 1,
                                   'Apache::Reload' => 1,
                                   'CGI' => 1,
                                   'CGI::Apache' => 1,
                                   'CGI::Carp' => 1,
                                   'CGI::Cookie' => 1,
                                   'CGI::Fast' => 1,
                                   'CGI::Pretty' => 1,
                                   'CGI::Push' => 1,
                                   'CGI::Switch' => 1,
                                   'CGI::Util' => 1,
                                   'CSS::Minifier' => 1,
                                   'Digest::SHA::PurePerl' => 1,
                                   'JSON' => 1,
                                   'JSON::PP' => 1,
                                   'JSON::PP::Boolean' => 1,
                                   'JSON::backportPP' => 1,
                                   'JSON::backportPP::Boolean' => 1,
                                   'JSON::backportPP::Compat5005' => 1,
                                   'JSON::backportPP::Compat5006' => 1,
                                   'JavaScript::Minifier' => 1,
                                   'Mail::Mailer::smtps' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Net::IMAP::Simple::PipeSocket' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'Net::SMTP::TLS::ButMaintained' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1
                                 }
                     },
          '3.0.9' => {
                       'core' => {
                                   'Kernel::Language::cs' => 1,
                                   'Kernel::Language::ct' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::es_MX' => 1,
                                   'Kernel::Language::hi' => 1,
                                   'Kernel::Language::hr' => 1,
                                   'Kernel::Language::ja' => 1,
                                   'Kernel::Language::lt' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::sr_Cyrl' => 1,
                                   'Kernel::Language::sr_Latn' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentHTMLReference' => 1,
                                   'Kernel::Modules::AgentSearch' => 1,
                                   'Kernel::Modules::AgentTicketActionCommon' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketMailbox' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerTicketOverView' => 1,
                                   'Kernel::Modules::CustomerZoom' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardIFrame' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardMOTD' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                   'Kernel::Output::HTML::LayoutLoader' => 1,
                                   'Kernel::Output::HTML::LayoutPopup' => 1,
                                   'Kernel::Output::HTML::NotificationCharsetCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesSkin' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketMenuMove' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::Output::HTML::ToolBarLink' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::Cache::FileRaw' => 1,
                                   'Kernel::System::Cache::FileStorable' => 1,
                                   'Kernel::System::CacheInternal' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::Email::SMTPTLS' => 1,
                                   'Kernel::System::EventHandler' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::JSON' => 1,
                                   'Kernel::System::Loader' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::StandardResponse' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::SysConfig' => 1,
                                   'Kernel::System::SysConfig::PriorityValidate' => 1,
                                   'Kernel::System::SysConfig::QueueValidate' => 1,
                                   'Kernel::System::SysConfig::StateValidate' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketFreeFieldDefault' => 1,
                                   'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::UnitTest::Helper' => 1,
                                   'Kernel::System::UnitTest::Selenium' => 1,
                                   'Kernel::System::VirtualFS' => 1,
                                   'Kernel::System::VirtualFS::DB' => 1,
                                   'Kernel::System::VirtualFS::FS' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::DBI' => 1,
                                   'Apache::Reload' => 1,
                                   'CGI' => 1,
                                   'CGI::Apache' => 1,
                                   'CGI::Carp' => 1,
                                   'CGI::Cookie' => 1,
                                   'CGI::Fast' => 1,
                                   'CGI::Pretty' => 1,
                                   'CGI::Push' => 1,
                                   'CGI::Switch' => 1,
                                   'CGI::Util' => 1,
                                   'CSS::Minifier' => 1,
                                   'Digest::SHA::PurePerl' => 1,
                                   'JSON' => 1,
                                   'JSON::PP' => 1,
                                   'JSON::PP::Boolean' => 1,
                                   'JSON::backportPP' => 1,
                                   'JSON::backportPP::Boolean' => 1,
                                   'JSON::backportPP::Compat5005' => 1,
                                   'JSON::backportPP::Compat5006' => 1,
                                   'JavaScript::Minifier' => 1,
                                   'Mail::Mailer::smtps' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Net::IMAP::Simple::PipeSocket' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'Net::SMTP::TLS::ButMaintained' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1
                                 }
                     },
          '3.1.1' => {
                       'core' => {
                                   'Kernel::GenericInterface::Debugger' => 1,
                                   'Kernel::GenericInterface::Event::Handler' => 1,
                                   'Kernel::GenericInterface::Invoker' => 1,
                                   'Kernel::GenericInterface::Invoker::Test::Test' => 1,
                                   'Kernel::GenericInterface::Invoker::Test::TestSimple' => 1,
                                   'Kernel::GenericInterface::Mapping' => 1,
                                   'Kernel::GenericInterface::Mapping::Simple' => 1,
                                   'Kernel::GenericInterface::Mapping::Test' => 1,
                                   'Kernel::GenericInterface::Operation' => 1,
                                   'Kernel::GenericInterface::Operation::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Session::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Session::SessionCreate' => 1,
                                   'Kernel::GenericInterface::Operation::Test::Test' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketCreate' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketGet' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketSearch' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketUpdate' => 1,
                                   'Kernel::GenericInterface::Provider' => 1,
                                   'Kernel::GenericInterface::Requester' => 1,
                                   'Kernel::GenericInterface::Transport' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::REST' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::SOAP' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::Test' => 1,
                                   'Kernel::Language::ca' => 1,
                                   'Kernel::Language::cs' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::es_MX' => 1,
                                   'Kernel::Language::hi' => 1,
                                   'Kernel::Language::hr' => 1,
                                   'Kernel::Language::ja' => 1,
                                   'Kernel::Language::lt' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::sr_Cyrl' => 1,
                                   'Kernel::Language::sr_Latn' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminDynamicField' => 1,
                                   'Kernel::Modules::AdminDynamicFieldCheckbox' => 1,
                                   'Kernel::Modules::AdminDynamicFieldDateTime' => 1,
                                   'Kernel::Modules::AdminDynamicFieldDropdown' => 1,
                                   'Kernel::Modules::AdminDynamicFieldMultiselect' => 1,
                                   'Kernel::Modules::AdminDynamicFieldText' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceDebugger' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceInvokerDefault' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceMappingSimple' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceOperationDefault' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceTransportHTTPSOAP' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceWebservice' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceWebserviceHistory' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AdminScheduler' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentHTMLReference' => 1,
                                   'Kernel::Modules::AgentSearch' => 1,
                                   'Kernel::Modules::AgentTicketActionCommon' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketPhoneCommon' => 1,
                                   'Kernel::Modules::AgentTicketPhoneInbound' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerTicketOverview' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardIFrame' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardMOTD' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                   'Kernel::Output::HTML::LayoutLoader' => 1,
                                   'Kernel::Output::HTML::LayoutPopup' => 1,
                                   'Kernel::Output::HTML::NotificationGeneric' => 1,
                                   'Kernel::Output::HTML::NotificationOutofOfficeCheck' => 1,
                                   'Kernel::Output::HTML::NotificationSchedulerCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesSkin' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketMenuMove' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::Output::HTML::ToolBarLink' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                   'Kernel::Scheduler' => 1,
                                   'Kernel::Scheduler::TaskHandler' => 1,
                                   'Kernel::Scheduler::TaskHandler::GenericInterface' => 1,
                                   'Kernel::Scheduler::TaskHandler::Test' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::Cache::FileRaw' => 1,
                                   'Kernel::System::Cache::FileStorable' => 1,
                                   'Kernel::System::CacheInternal' => 1,
                                   'Kernel::System::DB::postgresql_before_8_2' => 1,
                                   'Kernel::System::DynamicField' => 1,
                                   'Kernel::System::DynamicField::Backend' => 1,
                                   'Kernel::System::DynamicField::Backend::BackendCommon' => 1,
                                   'Kernel::System::DynamicField::Backend::Checkbox' => 1,
                                   'Kernel::System::DynamicField::Backend::Date' => 1,
                                   'Kernel::System::DynamicField::Backend::DateTime' => 1,
                                   'Kernel::System::DynamicField::Backend::Dropdown' => 1,
                                   'Kernel::System::DynamicField::Backend::Multiselect' => 1,
                                   'Kernel::System::DynamicField::Backend::Text' => 1,
                                   'Kernel::System::DynamicField::Backend::TextArea' => 1,
                                   'Kernel::System::DynamicField::ObjectType::Article' => 1,
                                   'Kernel::System::DynamicField::ObjectType::Ticket' => 1,
                                   'Kernel::System::DynamicFieldValue' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::Email::SMTPTLS' => 1,
                                   'Kernel::System::EventHandler' => 1,
                                   'Kernel::System::GenericAgent::TriggerEscalationStartEvents' => 1,
                                   'Kernel::System::GenericInterface::DebugLog' => 1,
                                   'Kernel::System::GenericInterface::ObjectLockState' => 1,
                                   'Kernel::System::GenericInterface::Webservice' => 1,
                                   'Kernel::System::GenericInterface::WebserviceHistory' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::JSON' => 1,
                                   'Kernel::System::Loader' => 1,
                                   'Kernel::System::MailAccount::IMAPTLS' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::ReferenceData' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Scheduler::TaskManager' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::StandardResponse' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::SysConfig' => 1,
                                   'Kernel::System::SysConfig::PriorityValidate' => 1,
                                   'Kernel::System::SysConfig::QueueValidate' => 1,
                                   'Kernel::System::SysConfig::StateValidate' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketDynamicFieldDefault' => 1,
                                   'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                   'Kernel::System::Ticket::Event::TriggerEscalationStopEvents' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::TicketSearch' => 1,
                                   'Kernel::System::UnitTest::Helper' => 1,
                                   'Kernel::System::UnitTest::Selenium' => 1,
                                   'Kernel::System::VariableCheck' => 1,
                                   'Kernel::System::VirtualFS' => 1,
                                   'Kernel::System::VirtualFS::DB' => 1,
                                   'Kernel::System::VirtualFS::FS' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::DBI' => 1,
                                   'CGI' => 1,
                                   'CGI::Apache' => 1,
                                   'CGI::Carp' => 1,
                                   'CGI::Cookie' => 1,
                                   'CGI::Fast' => 1,
                                   'CGI::Pretty' => 1,
                                   'CGI::Push' => 1,
                                   'CGI::Switch' => 1,
                                   'CGI::Util' => 1,
                                   'CSS::Minifier' => 1,
                                   'Class::Inspector' => 1,
                                   'Class::Inspector::Functions' => 1,
                                   'Digest::SHA::PurePerl' => 1,
                                   'Encode::Locale' => 1,
                                   'HTTP::Config' => 1,
                                   'HTTP::Headers' => 1,
                                   'HTTP::Headers::Auth' => 1,
                                   'HTTP::Headers::ETag' => 1,
                                   'HTTP::Headers::Util' => 1,
                                   'HTTP::Message' => 1,
                                   'HTTP::Request' => 1,
                                   'HTTP::Request::Common' => 1,
                                   'HTTP::Response' => 1,
                                   'HTTP::Status' => 1,
                                   'JSON' => 1,
                                   'JSON::PP' => 1,
                                   'JSON::PP::Boolean' => 1,
                                   'JSON::backportPP' => 1,
                                   'JSON::backportPP::Boolean' => 1,
                                   'JSON::backportPP::Compat5005' => 1,
                                   'JSON::backportPP::Compat5006' => 1,
                                   'JavaScript::Minifier' => 1,
                                   'LWP' => 1,
                                   'LWP::Authen::Basic' => 1,
                                   'LWP::Authen::Digest' => 1,
                                   'LWP::Authen::Ntlm' => 1,
                                   'LWP::ConnCache' => 1,
                                   'LWP::Debug' => 1,
                                   'LWP::DebugFile' => 1,
                                   'LWP::MemberMixin' => 1,
                                   'LWP::Protocol' => 1,
                                   'LWP::Protocol::GHTTP' => 1,
                                   'LWP::Protocol::cpan' => 1,
                                   'LWP::Protocol::data' => 1,
                                   'LWP::Protocol::file' => 1,
                                   'LWP::Protocol::ftp' => 1,
                                   'LWP::Protocol::gopher' => 1,
                                   'LWP::Protocol::http' => 1,
                                   'LWP::Protocol::loopback' => 1,
                                   'LWP::Protocol::mailto' => 1,
                                   'LWP::Protocol::nntp' => 1,
                                   'LWP::Protocol::nogo' => 1,
                                   'LWP::RobotUA' => 1,
                                   'LWP::Simple' => 1,
                                   'LWP::UserAgent' => 1,
                                   'Locale::Codes' => 1,
                                   'Locale::Codes::Constants' => 1,
                                   'Locale::Codes::Country' => 1,
                                   'Locale::Codes::Country_Codes' => 1,
                                   'Mail::Mailer::smtps' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Mozilla::CA' => 1,
                                   'Net::IMAP::Simple::PipeSocket' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'Net::SMTP::TLS::ButMaintained' => 1,
                                   'Proc::Daemon' => 1,
                                   'SOAP::Constants' => 1,
                                   'SOAP::Lite' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchema1999' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchema2001' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchemaSOAP1_1' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchemaSOAP1_2' => 1,
                                   'SOAP::Lite::Packager' => 1,
                                   'SOAP::Lite::Utils' => 1,
                                   'SOAP::Packager' => 1,
                                   'SOAP::Transport::HTTP' => 1,
                                   'Text::Diff::Config' => 1,
                                   'URI' => 1,
                                   'URI::Escape' => 1,
                                   'URI::Heuristic' => 1,
                                   'URI::IRI' => 1,
                                   'URI::QueryParam' => 1,
                                   'URI::Split' => 1,
                                   'URI::URL' => 1,
                                   'URI::WithBase' => 1,
                                   'URI::_foreign' => 1,
                                   'URI::_generic' => 1,
                                   'URI::_idna' => 1,
                                   'URI::_ldap' => 1,
                                   'URI::_login' => 1,
                                   'URI::_punycode' => 1,
                                   'URI::_query' => 1,
                                   'URI::_segment' => 1,
                                   'URI::_server' => 1,
                                   'URI::_userpass' => 1,
                                   'URI::data' => 1,
                                   'URI::file' => 1,
                                   'URI::file::Base' => 1,
                                   'URI::file::FAT' => 1,
                                   'URI::file::Mac' => 1,
                                   'URI::file::OS2' => 1,
                                   'URI::file::QNX' => 1,
                                   'URI::file::Unix' => 1,
                                   'URI::file::Win32' => 1,
                                   'URI::ftp' => 1,
                                   'URI::gopher' => 1,
                                   'URI::http' => 1,
                                   'URI::https' => 1,
                                   'URI::ldap' => 1,
                                   'URI::ldapi' => 1,
                                   'URI::ldaps' => 1,
                                   'URI::mailto' => 1,
                                   'URI::mms' => 1,
                                   'URI::news' => 1,
                                   'URI::nntp' => 1,
                                   'URI::pop' => 1,
                                   'URI::rlogin' => 1,
                                   'URI::rsync' => 1,
                                   'URI::rtsp' => 1,
                                   'URI::rtspu' => 1,
                                   'URI::sip' => 1,
                                   'URI::sips' => 1,
                                   'URI::snews' => 1,
                                   'URI::ssh' => 1,
                                   'URI::telnet' => 1,
                                   'URI::tn3270' => 1,
                                   'URI::urn' => 1,
                                   'URI::urn::isbn' => 1,
                                   'URI::urn::oid' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1,
                                   'YAML' => 1,
                                   'YAML::Any' => 1,
                                   'YAML::Base' => 1,
                                   'YAML::Dumper' => 1,
                                   'YAML::Dumper::Base' => 1,
                                   'YAML::Error' => 1,
                                   'YAML::Loader' => 1,
                                   'YAML::Loader::Base' => 1,
                                   'YAML::Marshall' => 1,
                                   'YAML::Mo' => 1,
                                   'YAML::Node' => 1,
                                   'YAML::Tag' => 1,
                                   'YAML::Types' => 1,
                                   'parent' => 1
                                 }
                     },
          '3.1.10' => {
                        'core' => {
                                    'Kernel::GenericInterface::Debugger' => 1,
                                    'Kernel::GenericInterface::Event::Handler' => 1,
                                    'Kernel::GenericInterface::Invoker' => 1,
                                    'Kernel::GenericInterface::Invoker::Test::Test' => 1,
                                    'Kernel::GenericInterface::Invoker::Test::TestSimple' => 1,
                                    'Kernel::GenericInterface::Mapping' => 1,
                                    'Kernel::GenericInterface::Mapping::Simple' => 1,
                                    'Kernel::GenericInterface::Mapping::Test' => 1,
                                    'Kernel::GenericInterface::Operation' => 1,
                                    'Kernel::GenericInterface::Operation::Common' => 1,
                                    'Kernel::GenericInterface::Operation::Session::Common' => 1,
                                    'Kernel::GenericInterface::Operation::Session::SessionCreate' => 1,
                                    'Kernel::GenericInterface::Operation::Test::Test' => 1,
                                    'Kernel::GenericInterface::Operation::Ticket::Common' => 1,
                                    'Kernel::GenericInterface::Operation::Ticket::TicketCreate' => 1,
                                    'Kernel::GenericInterface::Operation::Ticket::TicketGet' => 1,
                                    'Kernel::GenericInterface::Operation::Ticket::TicketSearch' => 1,
                                    'Kernel::GenericInterface::Operation::Ticket::TicketUpdate' => 1,
                                    'Kernel::GenericInterface::Provider' => 1,
                                    'Kernel::GenericInterface::Requester' => 1,
                                    'Kernel::GenericInterface::Transport' => 1,
                                    'Kernel::GenericInterface::Transport::HTTP::REST' => 1,
                                    'Kernel::GenericInterface::Transport::HTTP::SOAP' => 1,
                                    'Kernel::GenericInterface::Transport::HTTP::Test' => 1,
                                    'Kernel::Language::ca' => 1,
                                    'Kernel::Language::cs' => 1,
                                    'Kernel::Language::en_CA' => 1,
                                    'Kernel::Language::en_GB' => 1,
                                    'Kernel::Language::es_MX' => 1,
                                    'Kernel::Language::hi' => 1,
                                    'Kernel::Language::hr' => 1,
                                    'Kernel::Language::ja' => 1,
                                    'Kernel::Language::lt' => 1,
                                    'Kernel::Language::lv' => 1,
                                    'Kernel::Language::sl' => 1,
                                    'Kernel::Language::sr_Cyrl' => 1,
                                    'Kernel::Language::sr_Latn' => 1,
                                    'Kernel::Language::uk' => 1,
                                    'Kernel::Language::zh_TW' => 1,
                                    'Kernel::Modules::AdminDynamicField' => 1,
                                    'Kernel::Modules::AdminDynamicFieldCheckbox' => 1,
                                    'Kernel::Modules::AdminDynamicFieldDateTime' => 1,
                                    'Kernel::Modules::AdminDynamicFieldDropdown' => 1,
                                    'Kernel::Modules::AdminDynamicFieldMultiselect' => 1,
                                    'Kernel::Modules::AdminDynamicFieldText' => 1,
                                    'Kernel::Modules::AdminGenericInterfaceDebugger' => 1,
                                    'Kernel::Modules::AdminGenericInterfaceInvokerDefault' => 1,
                                    'Kernel::Modules::AdminGenericInterfaceMappingSimple' => 1,
                                    'Kernel::Modules::AdminGenericInterfaceOperationDefault' => 1,
                                    'Kernel::Modules::AdminGenericInterfaceTransportHTTPSOAP' => 1,
                                    'Kernel::Modules::AdminGenericInterfaceWebservice' => 1,
                                    'Kernel::Modules::AdminGenericInterfaceWebserviceHistory' => 1,
                                    'Kernel::Modules::AdminNotificationEvent' => 1,
                                    'Kernel::Modules::AdminScheduler' => 1,
                                    'Kernel::Modules::AgentCustomerSearch' => 1,
                                    'Kernel::Modules::AgentDashboard' => 1,
                                    'Kernel::Modules::AgentHTMLReference' => 1,
                                    'Kernel::Modules::AgentSearch' => 1,
                                    'Kernel::Modules::AgentTicketActionCommon' => 1,
                                    'Kernel::Modules::AgentTicketLockedView' => 1,
                                    'Kernel::Modules::AgentTicketPhoneCommon' => 1,
                                    'Kernel::Modules::AgentTicketPhoneInbound' => 1,
                                    'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                    'Kernel::Modules::AgentTicketWatchView' => 1,
                                    'Kernel::Modules::CustomerTicketOverview' => 1,
                                    'Kernel::Modules::PictureUpload' => 1,
                                    'Kernel::Modules::PublicDefault' => 1,
                                    'Kernel::Modules::SpellingInline' => 1,
                                    'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                    'Kernel::Output::HTML::DashboardCalendar' => 1,
                                    'Kernel::Output::HTML::DashboardIFrame' => 1,
                                    'Kernel::Output::HTML::DashboardImage' => 1,
                                    'Kernel::Output::HTML::DashboardMOTD' => 1,
                                    'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                    'Kernel::Output::HTML::DashboardRSS' => 1,
                                    'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                    'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                    'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                    'Kernel::Output::HTML::LayoutLoader' => 1,
                                    'Kernel::Output::HTML::LayoutPopup' => 1,
                                    'Kernel::Output::HTML::NotificationGeneric' => 1,
                                    'Kernel::Output::HTML::NotificationOutofOfficeCheck' => 1,
                                    'Kernel::Output::HTML::NotificationSchedulerCheck' => 1,
                                    'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                    'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                    'Kernel::Output::HTML::PreferencesSkin' => 1,
                                    'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                    'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                    'Kernel::Output::HTML::TicketMenuMove' => 1,
                                    'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                    'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                    'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                    'Kernel::Output::HTML::ToolBarLink' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                    'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                    'Kernel::Scheduler' => 1,
                                    'Kernel::Scheduler::TaskHandler' => 1,
                                    'Kernel::Scheduler::TaskHandler::GenericInterface' => 1,
                                    'Kernel::Scheduler::TaskHandler::Test' => 1,
                                    'Kernel::System::Auth::Sync::LDAP' => 1,
                                    'Kernel::System::Cache::FileRaw' => 1,
                                    'Kernel::System::Cache::FileStorable' => 1,
                                    'Kernel::System::CacheInternal' => 1,
                                    'Kernel::System::DB::postgresql_before_8_2' => 1,
                                    'Kernel::System::DynamicField' => 1,
                                    'Kernel::System::DynamicField::Backend' => 1,
                                    'Kernel::System::DynamicField::Backend::BackendCommon' => 1,
                                    'Kernel::System::DynamicField::Backend::Checkbox' => 1,
                                    'Kernel::System::DynamicField::Backend::Date' => 1,
                                    'Kernel::System::DynamicField::Backend::DateTime' => 1,
                                    'Kernel::System::DynamicField::Backend::Dropdown' => 1,
                                    'Kernel::System::DynamicField::Backend::Multiselect' => 1,
                                    'Kernel::System::DynamicField::Backend::Text' => 1,
                                    'Kernel::System::DynamicField::Backend::TextArea' => 1,
                                    'Kernel::System::DynamicField::ObjectType::Article' => 1,
                                    'Kernel::System::DynamicField::ObjectType::Ticket' => 1,
                                    'Kernel::System::DynamicFieldValue' => 1,
                                    'Kernel::System::Email::SMTPS' => 1,
                                    'Kernel::System::Email::SMTPTLS' => 1,
                                    'Kernel::System::EventHandler' => 1,
                                    'Kernel::System::GenericAgent::TriggerEscalationStartEvents' => 1,
                                    'Kernel::System::GenericInterface::DebugLog' => 1,
                                    'Kernel::System::GenericInterface::ObjectLockState' => 1,
                                    'Kernel::System::GenericInterface::Webservice' => 1,
                                    'Kernel::System::GenericInterface::WebserviceHistory' => 1,
                                    'Kernel::System::HTMLUtils' => 1,
                                    'Kernel::System::JSON' => 1,
                                    'Kernel::System::Loader' => 1,
                                    'Kernel::System::MailAccount::IMAPTLS' => 1,
                                    'Kernel::System::NotificationEvent' => 1,
                                    'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                    'Kernel::System::ReferenceData' => 1,
                                    'Kernel::System::SLA::PreferencesDB' => 1,
                                    'Kernel::System::Scheduler::TaskManager' => 1,
                                    'Kernel::System::Service::PreferencesDB' => 1,
                                    'Kernel::System::StandardResponse' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                    'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                    'Kernel::System::Stats::Static::StateAction' => 1,
                                    'Kernel::System::SysConfig' => 1,
                                    'Kernel::System::SysConfig::PriorityValidate' => 1,
                                    'Kernel::System::SysConfig::QueueValidate' => 1,
                                    'Kernel::System::SysConfig::StateValidate' => 1,
                                    'Kernel::System::TemplateGenerator' => 1,
                                    'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                    'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                    'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketDynamicFieldDefault' => 1,
                                    'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                    'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                    'Kernel::System::Ticket::Event::TriggerEscalationStopEvents' => 1,
                                    'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                    'Kernel::System::TicketSearch' => 1,
                                    'Kernel::System::UnitTest::Helper' => 1,
                                    'Kernel::System::UnitTest::Selenium' => 1,
                                    'Kernel::System::VariableCheck' => 1,
                                    'Kernel::System::VirtualFS' => 1,
                                    'Kernel::System::VirtualFS::DB' => 1,
                                    'Kernel::System::VirtualFS::FS' => 1,
                                    'Kernel::System::Web::InterfaceInstaller' => 1,
                                    'Kernel::System::WebUserAgent' => 1
                                  },
                        'cpan' => {
                                    'Apache2::Reload' => 1,
                                    'Apache::DBI' => 1,
                                    'CGI' => 1,
                                    'CGI::Apache' => 1,
                                    'CGI::Carp' => 1,
                                    'CGI::Cookie' => 1,
                                    'CGI::Fast' => 1,
                                    'CGI::Pretty' => 1,
                                    'CGI::Push' => 1,
                                    'CGI::Switch' => 1,
                                    'CGI::Util' => 1,
                                    'CSS::Minifier' => 1,
                                    'Class::Inspector' => 1,
                                    'Class::Inspector::Functions' => 1,
                                    'Digest::SHA::PurePerl' => 1,
                                    'Encode::Locale' => 1,
                                    'HTTP::Config' => 1,
                                    'HTTP::Headers' => 1,
                                    'HTTP::Headers::Auth' => 1,
                                    'HTTP::Headers::ETag' => 1,
                                    'HTTP::Headers::Util' => 1,
                                    'HTTP::Message' => 1,
                                    'HTTP::Request' => 1,
                                    'HTTP::Request::Common' => 1,
                                    'HTTP::Response' => 1,
                                    'HTTP::Status' => 1,
                                    'JSON' => 1,
                                    'JSON::PP' => 1,
                                    'JSON::PP::Boolean' => 1,
                                    'JSON::backportPP' => 1,
                                    'JSON::backportPP::Boolean' => 1,
                                    'JSON::backportPP::Compat5005' => 1,
                                    'JSON::backportPP::Compat5006' => 1,
                                    'JavaScript::Minifier' => 1,
                                    'LWP' => 1,
                                    'LWP::Authen::Basic' => 1,
                                    'LWP::Authen::Digest' => 1,
                                    'LWP::Authen::Ntlm' => 1,
                                    'LWP::ConnCache' => 1,
                                    'LWP::Debug' => 1,
                                    'LWP::DebugFile' => 1,
                                    'LWP::MemberMixin' => 1,
                                    'LWP::Protocol' => 1,
                                    'LWP::Protocol::GHTTP' => 1,
                                    'LWP::Protocol::cpan' => 1,
                                    'LWP::Protocol::data' => 1,
                                    'LWP::Protocol::file' => 1,
                                    'LWP::Protocol::ftp' => 1,
                                    'LWP::Protocol::gopher' => 1,
                                    'LWP::Protocol::http' => 1,
                                    'LWP::Protocol::loopback' => 1,
                                    'LWP::Protocol::mailto' => 1,
                                    'LWP::Protocol::nntp' => 1,
                                    'LWP::Protocol::nogo' => 1,
                                    'LWP::RobotUA' => 1,
                                    'LWP::Simple' => 1,
                                    'LWP::UserAgent' => 1,
                                    'Locale::Codes' => 1,
                                    'Locale::Codes::Constants' => 1,
                                    'Locale::Codes::Country' => 1,
                                    'Locale::Codes::Country_Codes' => 1,
                                    'Mail::Mailer::smtps' => 1,
                                    'Mail::POP3Client' => 1,
                                    'Mozilla::CA' => 1,
                                    'Net::IMAP::Simple::PipeSocket' => 1,
                                    'Net::SMTP::SSL' => 1,
                                    'Net::SMTP::TLS::ButMaintained' => 1,
                                    'Proc::Daemon' => 1,
                                    'SOAP::Constants' => 1,
                                    'SOAP::Lite' => 1,
                                    'SOAP::Lite::Deserializer::XMLSchema1999' => 1,
                                    'SOAP::Lite::Deserializer::XMLSchema2001' => 1,
                                    'SOAP::Lite::Deserializer::XMLSchemaSOAP1_1' => 1,
                                    'SOAP::Lite::Deserializer::XMLSchemaSOAP1_2' => 1,
                                    'SOAP::Lite::Packager' => 1,
                                    'SOAP::Lite::Utils' => 1,
                                    'SOAP::Packager' => 1,
                                    'SOAP::Transport::HTTP' => 1,
                                    'Text::Diff::Config' => 1,
                                    'URI' => 1,
                                    'URI::Escape' => 1,
                                    'URI::Heuristic' => 1,
                                    'URI::IRI' => 1,
                                    'URI::QueryParam' => 1,
                                    'URI::Split' => 1,
                                    'URI::URL' => 1,
                                    'URI::WithBase' => 1,
                                    'URI::_foreign' => 1,
                                    'URI::_generic' => 1,
                                    'URI::_idna' => 1,
                                    'URI::_ldap' => 1,
                                    'URI::_login' => 1,
                                    'URI::_punycode' => 1,
                                    'URI::_query' => 1,
                                    'URI::_segment' => 1,
                                    'URI::_server' => 1,
                                    'URI::_userpass' => 1,
                                    'URI::data' => 1,
                                    'URI::file' => 1,
                                    'URI::file::Base' => 1,
                                    'URI::file::FAT' => 1,
                                    'URI::file::Mac' => 1,
                                    'URI::file::OS2' => 1,
                                    'URI::file::QNX' => 1,
                                    'URI::file::Unix' => 1,
                                    'URI::file::Win32' => 1,
                                    'URI::ftp' => 1,
                                    'URI::gopher' => 1,
                                    'URI::http' => 1,
                                    'URI::https' => 1,
                                    'URI::ldap' => 1,
                                    'URI::ldapi' => 1,
                                    'URI::ldaps' => 1,
                                    'URI::mailto' => 1,
                                    'URI::mms' => 1,
                                    'URI::news' => 1,
                                    'URI::nntp' => 1,
                                    'URI::pop' => 1,
                                    'URI::rlogin' => 1,
                                    'URI::rsync' => 1,
                                    'URI::rtsp' => 1,
                                    'URI::rtspu' => 1,
                                    'URI::sip' => 1,
                                    'URI::sips' => 1,
                                    'URI::snews' => 1,
                                    'URI::ssh' => 1,
                                    'URI::telnet' => 1,
                                    'URI::tn3270' => 1,
                                    'URI::urn' => 1,
                                    'URI::urn::isbn' => 1,
                                    'URI::urn::oid' => 1,
                                    'XML::FeedPP' => 1,
                                    'XML::TreePP' => 1,
                                    'YAML' => 1,
                                    'YAML::Any' => 1,
                                    'YAML::Base' => 1,
                                    'YAML::Dumper' => 1,
                                    'YAML::Dumper::Base' => 1,
                                    'YAML::Error' => 1,
                                    'YAML::Loader' => 1,
                                    'YAML::Loader::Base' => 1,
                                    'YAML::Marshall' => 1,
                                    'YAML::Mo' => 1,
                                    'YAML::Node' => 1,
                                    'YAML::Tag' => 1,
                                    'YAML::Types' => 1,
                                    'parent' => 1
                                  }
                      },
          '3.1.2' => {
                       'core' => {
                                   'Kernel::GenericInterface::Debugger' => 1,
                                   'Kernel::GenericInterface::Event::Handler' => 1,
                                   'Kernel::GenericInterface::Invoker' => 1,
                                   'Kernel::GenericInterface::Invoker::Test::Test' => 1,
                                   'Kernel::GenericInterface::Invoker::Test::TestSimple' => 1,
                                   'Kernel::GenericInterface::Mapping' => 1,
                                   'Kernel::GenericInterface::Mapping::Simple' => 1,
                                   'Kernel::GenericInterface::Mapping::Test' => 1,
                                   'Kernel::GenericInterface::Operation' => 1,
                                   'Kernel::GenericInterface::Operation::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Session::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Session::SessionCreate' => 1,
                                   'Kernel::GenericInterface::Operation::Test::Test' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketCreate' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketGet' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketSearch' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketUpdate' => 1,
                                   'Kernel::GenericInterface::Provider' => 1,
                                   'Kernel::GenericInterface::Requester' => 1,
                                   'Kernel::GenericInterface::Transport' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::REST' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::SOAP' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::Test' => 1,
                                   'Kernel::Language::ca' => 1,
                                   'Kernel::Language::cs' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::es_MX' => 1,
                                   'Kernel::Language::hi' => 1,
                                   'Kernel::Language::hr' => 1,
                                   'Kernel::Language::ja' => 1,
                                   'Kernel::Language::lt' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::sr_Cyrl' => 1,
                                   'Kernel::Language::sr_Latn' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminDynamicField' => 1,
                                   'Kernel::Modules::AdminDynamicFieldCheckbox' => 1,
                                   'Kernel::Modules::AdminDynamicFieldDateTime' => 1,
                                   'Kernel::Modules::AdminDynamicFieldDropdown' => 1,
                                   'Kernel::Modules::AdminDynamicFieldMultiselect' => 1,
                                   'Kernel::Modules::AdminDynamicFieldText' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceDebugger' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceInvokerDefault' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceMappingSimple' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceOperationDefault' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceTransportHTTPSOAP' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceWebservice' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceWebserviceHistory' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AdminScheduler' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentHTMLReference' => 1,
                                   'Kernel::Modules::AgentSearch' => 1,
                                   'Kernel::Modules::AgentTicketActionCommon' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketPhoneCommon' => 1,
                                   'Kernel::Modules::AgentTicketPhoneInbound' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerTicketOverview' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardIFrame' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardMOTD' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                   'Kernel::Output::HTML::LayoutLoader' => 1,
                                   'Kernel::Output::HTML::LayoutPopup' => 1,
                                   'Kernel::Output::HTML::NotificationGeneric' => 1,
                                   'Kernel::Output::HTML::NotificationOutofOfficeCheck' => 1,
                                   'Kernel::Output::HTML::NotificationSchedulerCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesSkin' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketMenuMove' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::Output::HTML::ToolBarLink' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                   'Kernel::Scheduler' => 1,
                                   'Kernel::Scheduler::TaskHandler' => 1,
                                   'Kernel::Scheduler::TaskHandler::GenericInterface' => 1,
                                   'Kernel::Scheduler::TaskHandler::Test' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::Cache::FileRaw' => 1,
                                   'Kernel::System::Cache::FileStorable' => 1,
                                   'Kernel::System::CacheInternal' => 1,
                                   'Kernel::System::DB::postgresql_before_8_2' => 1,
                                   'Kernel::System::DynamicField' => 1,
                                   'Kernel::System::DynamicField::Backend' => 1,
                                   'Kernel::System::DynamicField::Backend::BackendCommon' => 1,
                                   'Kernel::System::DynamicField::Backend::Checkbox' => 1,
                                   'Kernel::System::DynamicField::Backend::Date' => 1,
                                   'Kernel::System::DynamicField::Backend::DateTime' => 1,
                                   'Kernel::System::DynamicField::Backend::Dropdown' => 1,
                                   'Kernel::System::DynamicField::Backend::Multiselect' => 1,
                                   'Kernel::System::DynamicField::Backend::Text' => 1,
                                   'Kernel::System::DynamicField::Backend::TextArea' => 1,
                                   'Kernel::System::DynamicField::ObjectType::Article' => 1,
                                   'Kernel::System::DynamicField::ObjectType::Ticket' => 1,
                                   'Kernel::System::DynamicFieldValue' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::Email::SMTPTLS' => 1,
                                   'Kernel::System::EventHandler' => 1,
                                   'Kernel::System::GenericAgent::TriggerEscalationStartEvents' => 1,
                                   'Kernel::System::GenericInterface::DebugLog' => 1,
                                   'Kernel::System::GenericInterface::ObjectLockState' => 1,
                                   'Kernel::System::GenericInterface::Webservice' => 1,
                                   'Kernel::System::GenericInterface::WebserviceHistory' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::JSON' => 1,
                                   'Kernel::System::Loader' => 1,
                                   'Kernel::System::MailAccount::IMAPTLS' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::ReferenceData' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Scheduler::TaskManager' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::StandardResponse' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::SysConfig' => 1,
                                   'Kernel::System::SysConfig::PriorityValidate' => 1,
                                   'Kernel::System::SysConfig::QueueValidate' => 1,
                                   'Kernel::System::SysConfig::StateValidate' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketDynamicFieldDefault' => 1,
                                   'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                   'Kernel::System::Ticket::Event::TriggerEscalationStopEvents' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::TicketSearch' => 1,
                                   'Kernel::System::UnitTest::Helper' => 1,
                                   'Kernel::System::UnitTest::Selenium' => 1,
                                   'Kernel::System::VariableCheck' => 1,
                                   'Kernel::System::VirtualFS' => 1,
                                   'Kernel::System::VirtualFS::DB' => 1,
                                   'Kernel::System::VirtualFS::FS' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::DBI' => 1,
                                   'CGI' => 1,
                                   'CGI::Apache' => 1,
                                   'CGI::Carp' => 1,
                                   'CGI::Cookie' => 1,
                                   'CGI::Fast' => 1,
                                   'CGI::Pretty' => 1,
                                   'CGI::Push' => 1,
                                   'CGI::Switch' => 1,
                                   'CGI::Util' => 1,
                                   'CSS::Minifier' => 1,
                                   'Class::Inspector' => 1,
                                   'Class::Inspector::Functions' => 1,
                                   'Digest::SHA::PurePerl' => 1,
                                   'Encode::Locale' => 1,
                                   'HTTP::Config' => 1,
                                   'HTTP::Headers' => 1,
                                   'HTTP::Headers::Auth' => 1,
                                   'HTTP::Headers::ETag' => 1,
                                   'HTTP::Headers::Util' => 1,
                                   'HTTP::Message' => 1,
                                   'HTTP::Request' => 1,
                                   'HTTP::Request::Common' => 1,
                                   'HTTP::Response' => 1,
                                   'HTTP::Status' => 1,
                                   'JSON' => 1,
                                   'JSON::PP' => 1,
                                   'JSON::PP::Boolean' => 1,
                                   'JSON::backportPP' => 1,
                                   'JSON::backportPP::Boolean' => 1,
                                   'JSON::backportPP::Compat5005' => 1,
                                   'JSON::backportPP::Compat5006' => 1,
                                   'JavaScript::Minifier' => 1,
                                   'LWP' => 1,
                                   'LWP::Authen::Basic' => 1,
                                   'LWP::Authen::Digest' => 1,
                                   'LWP::Authen::Ntlm' => 1,
                                   'LWP::ConnCache' => 1,
                                   'LWP::Debug' => 1,
                                   'LWP::DebugFile' => 1,
                                   'LWP::MemberMixin' => 1,
                                   'LWP::Protocol' => 1,
                                   'LWP::Protocol::GHTTP' => 1,
                                   'LWP::Protocol::cpan' => 1,
                                   'LWP::Protocol::data' => 1,
                                   'LWP::Protocol::file' => 1,
                                   'LWP::Protocol::ftp' => 1,
                                   'LWP::Protocol::gopher' => 1,
                                   'LWP::Protocol::http' => 1,
                                   'LWP::Protocol::loopback' => 1,
                                   'LWP::Protocol::mailto' => 1,
                                   'LWP::Protocol::nntp' => 1,
                                   'LWP::Protocol::nogo' => 1,
                                   'LWP::RobotUA' => 1,
                                   'LWP::Simple' => 1,
                                   'LWP::UserAgent' => 1,
                                   'Locale::Codes' => 1,
                                   'Locale::Codes::Constants' => 1,
                                   'Locale::Codes::Country' => 1,
                                   'Locale::Codes::Country_Codes' => 1,
                                   'Mail::Mailer::smtps' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Mozilla::CA' => 1,
                                   'Net::IMAP::Simple::PipeSocket' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'Net::SMTP::TLS::ButMaintained' => 1,
                                   'Proc::Daemon' => 1,
                                   'SOAP::Constants' => 1,
                                   'SOAP::Lite' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchema1999' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchema2001' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchemaSOAP1_1' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchemaSOAP1_2' => 1,
                                   'SOAP::Lite::Packager' => 1,
                                   'SOAP::Lite::Utils' => 1,
                                   'SOAP::Packager' => 1,
                                   'SOAP::Transport::HTTP' => 1,
                                   'Text::Diff::Config' => 1,
                                   'URI' => 1,
                                   'URI::Escape' => 1,
                                   'URI::Heuristic' => 1,
                                   'URI::IRI' => 1,
                                   'URI::QueryParam' => 1,
                                   'URI::Split' => 1,
                                   'URI::URL' => 1,
                                   'URI::WithBase' => 1,
                                   'URI::_foreign' => 1,
                                   'URI::_generic' => 1,
                                   'URI::_idna' => 1,
                                   'URI::_ldap' => 1,
                                   'URI::_login' => 1,
                                   'URI::_punycode' => 1,
                                   'URI::_query' => 1,
                                   'URI::_segment' => 1,
                                   'URI::_server' => 1,
                                   'URI::_userpass' => 1,
                                   'URI::data' => 1,
                                   'URI::file' => 1,
                                   'URI::file::Base' => 1,
                                   'URI::file::FAT' => 1,
                                   'URI::file::Mac' => 1,
                                   'URI::file::OS2' => 1,
                                   'URI::file::QNX' => 1,
                                   'URI::file::Unix' => 1,
                                   'URI::file::Win32' => 1,
                                   'URI::ftp' => 1,
                                   'URI::gopher' => 1,
                                   'URI::http' => 1,
                                   'URI::https' => 1,
                                   'URI::ldap' => 1,
                                   'URI::ldapi' => 1,
                                   'URI::ldaps' => 1,
                                   'URI::mailto' => 1,
                                   'URI::mms' => 1,
                                   'URI::news' => 1,
                                   'URI::nntp' => 1,
                                   'URI::pop' => 1,
                                   'URI::rlogin' => 1,
                                   'URI::rsync' => 1,
                                   'URI::rtsp' => 1,
                                   'URI::rtspu' => 1,
                                   'URI::sip' => 1,
                                   'URI::sips' => 1,
                                   'URI::snews' => 1,
                                   'URI::ssh' => 1,
                                   'URI::telnet' => 1,
                                   'URI::tn3270' => 1,
                                   'URI::urn' => 1,
                                   'URI::urn::isbn' => 1,
                                   'URI::urn::oid' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1,
                                   'YAML' => 1,
                                   'YAML::Any' => 1,
                                   'YAML::Base' => 1,
                                   'YAML::Dumper' => 1,
                                   'YAML::Dumper::Base' => 1,
                                   'YAML::Error' => 1,
                                   'YAML::Loader' => 1,
                                   'YAML::Loader::Base' => 1,
                                   'YAML::Marshall' => 1,
                                   'YAML::Mo' => 1,
                                   'YAML::Node' => 1,
                                   'YAML::Tag' => 1,
                                   'YAML::Types' => 1,
                                   'parent' => 1
                                 }
                     },
          '3.1.3' => {
                       'core' => {
                                   'Kernel::GenericInterface::Debugger' => 1,
                                   'Kernel::GenericInterface::Event::Handler' => 1,
                                   'Kernel::GenericInterface::Invoker' => 1,
                                   'Kernel::GenericInterface::Invoker::Test::Test' => 1,
                                   'Kernel::GenericInterface::Invoker::Test::TestSimple' => 1,
                                   'Kernel::GenericInterface::Mapping' => 1,
                                   'Kernel::GenericInterface::Mapping::Simple' => 1,
                                   'Kernel::GenericInterface::Mapping::Test' => 1,
                                   'Kernel::GenericInterface::Operation' => 1,
                                   'Kernel::GenericInterface::Operation::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Session::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Session::SessionCreate' => 1,
                                   'Kernel::GenericInterface::Operation::Test::Test' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketCreate' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketGet' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketSearch' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketUpdate' => 1,
                                   'Kernel::GenericInterface::Provider' => 1,
                                   'Kernel::GenericInterface::Requester' => 1,
                                   'Kernel::GenericInterface::Transport' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::REST' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::SOAP' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::Test' => 1,
                                   'Kernel::Language::ca' => 1,
                                   'Kernel::Language::cs' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::es_MX' => 1,
                                   'Kernel::Language::hi' => 1,
                                   'Kernel::Language::hr' => 1,
                                   'Kernel::Language::ja' => 1,
                                   'Kernel::Language::lt' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::sr_Cyrl' => 1,
                                   'Kernel::Language::sr_Latn' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminDynamicField' => 1,
                                   'Kernel::Modules::AdminDynamicFieldCheckbox' => 1,
                                   'Kernel::Modules::AdminDynamicFieldDateTime' => 1,
                                   'Kernel::Modules::AdminDynamicFieldDropdown' => 1,
                                   'Kernel::Modules::AdminDynamicFieldMultiselect' => 1,
                                   'Kernel::Modules::AdminDynamicFieldText' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceDebugger' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceInvokerDefault' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceMappingSimple' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceOperationDefault' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceTransportHTTPSOAP' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceWebservice' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceWebserviceHistory' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AdminScheduler' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentHTMLReference' => 1,
                                   'Kernel::Modules::AgentSearch' => 1,
                                   'Kernel::Modules::AgentTicketActionCommon' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketPhoneCommon' => 1,
                                   'Kernel::Modules::AgentTicketPhoneInbound' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerTicketOverview' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardIFrame' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardMOTD' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                   'Kernel::Output::HTML::LayoutLoader' => 1,
                                   'Kernel::Output::HTML::LayoutPopup' => 1,
                                   'Kernel::Output::HTML::NotificationGeneric' => 1,
                                   'Kernel::Output::HTML::NotificationOutofOfficeCheck' => 1,
                                   'Kernel::Output::HTML::NotificationSchedulerCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesSkin' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketMenuMove' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::Output::HTML::ToolBarLink' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                   'Kernel::Scheduler' => 1,
                                   'Kernel::Scheduler::TaskHandler' => 1,
                                   'Kernel::Scheduler::TaskHandler::GenericInterface' => 1,
                                   'Kernel::Scheduler::TaskHandler::Test' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::Cache::FileRaw' => 1,
                                   'Kernel::System::Cache::FileStorable' => 1,
                                   'Kernel::System::CacheInternal' => 1,
                                   'Kernel::System::DB::postgresql_before_8_2' => 1,
                                   'Kernel::System::DynamicField' => 1,
                                   'Kernel::System::DynamicField::Backend' => 1,
                                   'Kernel::System::DynamicField::Backend::BackendCommon' => 1,
                                   'Kernel::System::DynamicField::Backend::Checkbox' => 1,
                                   'Kernel::System::DynamicField::Backend::Date' => 1,
                                   'Kernel::System::DynamicField::Backend::DateTime' => 1,
                                   'Kernel::System::DynamicField::Backend::Dropdown' => 1,
                                   'Kernel::System::DynamicField::Backend::Multiselect' => 1,
                                   'Kernel::System::DynamicField::Backend::Text' => 1,
                                   'Kernel::System::DynamicField::Backend::TextArea' => 1,
                                   'Kernel::System::DynamicField::ObjectType::Article' => 1,
                                   'Kernel::System::DynamicField::ObjectType::Ticket' => 1,
                                   'Kernel::System::DynamicFieldValue' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::Email::SMTPTLS' => 1,
                                   'Kernel::System::EventHandler' => 1,
                                   'Kernel::System::GenericAgent::TriggerEscalationStartEvents' => 1,
                                   'Kernel::System::GenericInterface::DebugLog' => 1,
                                   'Kernel::System::GenericInterface::ObjectLockState' => 1,
                                   'Kernel::System::GenericInterface::Webservice' => 1,
                                   'Kernel::System::GenericInterface::WebserviceHistory' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::JSON' => 1,
                                   'Kernel::System::Loader' => 1,
                                   'Kernel::System::MailAccount::IMAPTLS' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::ReferenceData' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Scheduler::TaskManager' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::StandardResponse' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::SysConfig' => 1,
                                   'Kernel::System::SysConfig::PriorityValidate' => 1,
                                   'Kernel::System::SysConfig::QueueValidate' => 1,
                                   'Kernel::System::SysConfig::StateValidate' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketDynamicFieldDefault' => 1,
                                   'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                   'Kernel::System::Ticket::Event::TriggerEscalationStopEvents' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::TicketSearch' => 1,
                                   'Kernel::System::UnitTest::Helper' => 1,
                                   'Kernel::System::UnitTest::Selenium' => 1,
                                   'Kernel::System::VariableCheck' => 1,
                                   'Kernel::System::VirtualFS' => 1,
                                   'Kernel::System::VirtualFS::DB' => 1,
                                   'Kernel::System::VirtualFS::FS' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::DBI' => 1,
                                   'CGI' => 1,
                                   'CGI::Apache' => 1,
                                   'CGI::Carp' => 1,
                                   'CGI::Cookie' => 1,
                                   'CGI::Fast' => 1,
                                   'CGI::Pretty' => 1,
                                   'CGI::Push' => 1,
                                   'CGI::Switch' => 1,
                                   'CGI::Util' => 1,
                                   'CSS::Minifier' => 1,
                                   'Class::Inspector' => 1,
                                   'Class::Inspector::Functions' => 1,
                                   'Digest::SHA::PurePerl' => 1,
                                   'Encode::Locale' => 1,
                                   'HTTP::Config' => 1,
                                   'HTTP::Headers' => 1,
                                   'HTTP::Headers::Auth' => 1,
                                   'HTTP::Headers::ETag' => 1,
                                   'HTTP::Headers::Util' => 1,
                                   'HTTP::Message' => 1,
                                   'HTTP::Request' => 1,
                                   'HTTP::Request::Common' => 1,
                                   'HTTP::Response' => 1,
                                   'HTTP::Status' => 1,
                                   'JSON' => 1,
                                   'JSON::PP' => 1,
                                   'JSON::PP::Boolean' => 1,
                                   'JSON::backportPP' => 1,
                                   'JSON::backportPP::Boolean' => 1,
                                   'JSON::backportPP::Compat5005' => 1,
                                   'JSON::backportPP::Compat5006' => 1,
                                   'JavaScript::Minifier' => 1,
                                   'LWP' => 1,
                                   'LWP::Authen::Basic' => 1,
                                   'LWP::Authen::Digest' => 1,
                                   'LWP::Authen::Ntlm' => 1,
                                   'LWP::ConnCache' => 1,
                                   'LWP::Debug' => 1,
                                   'LWP::DebugFile' => 1,
                                   'LWP::MemberMixin' => 1,
                                   'LWP::Protocol' => 1,
                                   'LWP::Protocol::GHTTP' => 1,
                                   'LWP::Protocol::cpan' => 1,
                                   'LWP::Protocol::data' => 1,
                                   'LWP::Protocol::file' => 1,
                                   'LWP::Protocol::ftp' => 1,
                                   'LWP::Protocol::gopher' => 1,
                                   'LWP::Protocol::http' => 1,
                                   'LWP::Protocol::loopback' => 1,
                                   'LWP::Protocol::mailto' => 1,
                                   'LWP::Protocol::nntp' => 1,
                                   'LWP::Protocol::nogo' => 1,
                                   'LWP::RobotUA' => 1,
                                   'LWP::Simple' => 1,
                                   'LWP::UserAgent' => 1,
                                   'Locale::Codes' => 1,
                                   'Locale::Codes::Constants' => 1,
                                   'Locale::Codes::Country' => 1,
                                   'Locale::Codes::Country_Codes' => 1,
                                   'Mail::Mailer::smtps' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Mozilla::CA' => 1,
                                   'Net::IMAP::Simple::PipeSocket' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'Net::SMTP::TLS::ButMaintained' => 1,
                                   'Proc::Daemon' => 1,
                                   'SOAP::Constants' => 1,
                                   'SOAP::Lite' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchema1999' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchema2001' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchemaSOAP1_1' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchemaSOAP1_2' => 1,
                                   'SOAP::Lite::Packager' => 1,
                                   'SOAP::Lite::Utils' => 1,
                                   'SOAP::Packager' => 1,
                                   'SOAP::Transport::HTTP' => 1,
                                   'Text::Diff::Config' => 1,
                                   'URI' => 1,
                                   'URI::Escape' => 1,
                                   'URI::Heuristic' => 1,
                                   'URI::IRI' => 1,
                                   'URI::QueryParam' => 1,
                                   'URI::Split' => 1,
                                   'URI::URL' => 1,
                                   'URI::WithBase' => 1,
                                   'URI::_foreign' => 1,
                                   'URI::_generic' => 1,
                                   'URI::_idna' => 1,
                                   'URI::_ldap' => 1,
                                   'URI::_login' => 1,
                                   'URI::_punycode' => 1,
                                   'URI::_query' => 1,
                                   'URI::_segment' => 1,
                                   'URI::_server' => 1,
                                   'URI::_userpass' => 1,
                                   'URI::data' => 1,
                                   'URI::file' => 1,
                                   'URI::file::Base' => 1,
                                   'URI::file::FAT' => 1,
                                   'URI::file::Mac' => 1,
                                   'URI::file::OS2' => 1,
                                   'URI::file::QNX' => 1,
                                   'URI::file::Unix' => 1,
                                   'URI::file::Win32' => 1,
                                   'URI::ftp' => 1,
                                   'URI::gopher' => 1,
                                   'URI::http' => 1,
                                   'URI::https' => 1,
                                   'URI::ldap' => 1,
                                   'URI::ldapi' => 1,
                                   'URI::ldaps' => 1,
                                   'URI::mailto' => 1,
                                   'URI::mms' => 1,
                                   'URI::news' => 1,
                                   'URI::nntp' => 1,
                                   'URI::pop' => 1,
                                   'URI::rlogin' => 1,
                                   'URI::rsync' => 1,
                                   'URI::rtsp' => 1,
                                   'URI::rtspu' => 1,
                                   'URI::sip' => 1,
                                   'URI::sips' => 1,
                                   'URI::snews' => 1,
                                   'URI::ssh' => 1,
                                   'URI::telnet' => 1,
                                   'URI::tn3270' => 1,
                                   'URI::urn' => 1,
                                   'URI::urn::isbn' => 1,
                                   'URI::urn::oid' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1,
                                   'YAML' => 1,
                                   'YAML::Any' => 1,
                                   'YAML::Base' => 1,
                                   'YAML::Dumper' => 1,
                                   'YAML::Dumper::Base' => 1,
                                   'YAML::Error' => 1,
                                   'YAML::Loader' => 1,
                                   'YAML::Loader::Base' => 1,
                                   'YAML::Marshall' => 1,
                                   'YAML::Mo' => 1,
                                   'YAML::Node' => 1,
                                   'YAML::Tag' => 1,
                                   'YAML::Types' => 1,
                                   'parent' => 1
                                 }
                     },
          '3.1.4' => {
                       'core' => {
                                   'Kernel::GenericInterface::Debugger' => 1,
                                   'Kernel::GenericInterface::Event::Handler' => 1,
                                   'Kernel::GenericInterface::Invoker' => 1,
                                   'Kernel::GenericInterface::Invoker::Test::Test' => 1,
                                   'Kernel::GenericInterface::Invoker::Test::TestSimple' => 1,
                                   'Kernel::GenericInterface::Mapping' => 1,
                                   'Kernel::GenericInterface::Mapping::Simple' => 1,
                                   'Kernel::GenericInterface::Mapping::Test' => 1,
                                   'Kernel::GenericInterface::Operation' => 1,
                                   'Kernel::GenericInterface::Operation::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Session::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Session::SessionCreate' => 1,
                                   'Kernel::GenericInterface::Operation::Test::Test' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketCreate' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketGet' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketSearch' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketUpdate' => 1,
                                   'Kernel::GenericInterface::Provider' => 1,
                                   'Kernel::GenericInterface::Requester' => 1,
                                   'Kernel::GenericInterface::Transport' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::REST' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::SOAP' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::Test' => 1,
                                   'Kernel::Language::ca' => 1,
                                   'Kernel::Language::cs' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::es_MX' => 1,
                                   'Kernel::Language::hi' => 1,
                                   'Kernel::Language::hr' => 1,
                                   'Kernel::Language::ja' => 1,
                                   'Kernel::Language::lt' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::sl' => 1,
                                   'Kernel::Language::sr_Cyrl' => 1,
                                   'Kernel::Language::sr_Latn' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminDynamicField' => 1,
                                   'Kernel::Modules::AdminDynamicFieldCheckbox' => 1,
                                   'Kernel::Modules::AdminDynamicFieldDateTime' => 1,
                                   'Kernel::Modules::AdminDynamicFieldDropdown' => 1,
                                   'Kernel::Modules::AdminDynamicFieldMultiselect' => 1,
                                   'Kernel::Modules::AdminDynamicFieldText' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceDebugger' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceInvokerDefault' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceMappingSimple' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceOperationDefault' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceTransportHTTPSOAP' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceWebservice' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceWebserviceHistory' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AdminScheduler' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentHTMLReference' => 1,
                                   'Kernel::Modules::AgentSearch' => 1,
                                   'Kernel::Modules::AgentTicketActionCommon' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketPhoneCommon' => 1,
                                   'Kernel::Modules::AgentTicketPhoneInbound' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerTicketOverview' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardIFrame' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardMOTD' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                   'Kernel::Output::HTML::LayoutLoader' => 1,
                                   'Kernel::Output::HTML::LayoutPopup' => 1,
                                   'Kernel::Output::HTML::NotificationGeneric' => 1,
                                   'Kernel::Output::HTML::NotificationOutofOfficeCheck' => 1,
                                   'Kernel::Output::HTML::NotificationSchedulerCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesSkin' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketMenuMove' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::Output::HTML::ToolBarLink' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                   'Kernel::Scheduler' => 1,
                                   'Kernel::Scheduler::TaskHandler' => 1,
                                   'Kernel::Scheduler::TaskHandler::GenericInterface' => 1,
                                   'Kernel::Scheduler::TaskHandler::Test' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::Cache::FileRaw' => 1,
                                   'Kernel::System::Cache::FileStorable' => 1,
                                   'Kernel::System::CacheInternal' => 1,
                                   'Kernel::System::DB::postgresql_before_8_2' => 1,
                                   'Kernel::System::DynamicField' => 1,
                                   'Kernel::System::DynamicField::Backend' => 1,
                                   'Kernel::System::DynamicField::Backend::BackendCommon' => 1,
                                   'Kernel::System::DynamicField::Backend::Checkbox' => 1,
                                   'Kernel::System::DynamicField::Backend::Date' => 1,
                                   'Kernel::System::DynamicField::Backend::DateTime' => 1,
                                   'Kernel::System::DynamicField::Backend::Dropdown' => 1,
                                   'Kernel::System::DynamicField::Backend::Multiselect' => 1,
                                   'Kernel::System::DynamicField::Backend::Text' => 1,
                                   'Kernel::System::DynamicField::Backend::TextArea' => 1,
                                   'Kernel::System::DynamicField::ObjectType::Article' => 1,
                                   'Kernel::System::DynamicField::ObjectType::Ticket' => 1,
                                   'Kernel::System::DynamicFieldValue' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::Email::SMTPTLS' => 1,
                                   'Kernel::System::EventHandler' => 1,
                                   'Kernel::System::GenericAgent::TriggerEscalationStartEvents' => 1,
                                   'Kernel::System::GenericInterface::DebugLog' => 1,
                                   'Kernel::System::GenericInterface::ObjectLockState' => 1,
                                   'Kernel::System::GenericInterface::Webservice' => 1,
                                   'Kernel::System::GenericInterface::WebserviceHistory' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::JSON' => 1,
                                   'Kernel::System::Loader' => 1,
                                   'Kernel::System::MailAccount::IMAPTLS' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::ReferenceData' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Scheduler::TaskManager' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::StandardResponse' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::SysConfig' => 1,
                                   'Kernel::System::SysConfig::PriorityValidate' => 1,
                                   'Kernel::System::SysConfig::QueueValidate' => 1,
                                   'Kernel::System::SysConfig::StateValidate' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketDynamicFieldDefault' => 1,
                                   'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                   'Kernel::System::Ticket::Event::TriggerEscalationStopEvents' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::TicketSearch' => 1,
                                   'Kernel::System::UnitTest::Helper' => 1,
                                   'Kernel::System::UnitTest::Selenium' => 1,
                                   'Kernel::System::VariableCheck' => 1,
                                   'Kernel::System::VirtualFS' => 1,
                                   'Kernel::System::VirtualFS::DB' => 1,
                                   'Kernel::System::VirtualFS::FS' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::DBI' => 1,
                                   'CGI' => 1,
                                   'CGI::Apache' => 1,
                                   'CGI::Carp' => 1,
                                   'CGI::Cookie' => 1,
                                   'CGI::Fast' => 1,
                                   'CGI::Pretty' => 1,
                                   'CGI::Push' => 1,
                                   'CGI::Switch' => 1,
                                   'CGI::Util' => 1,
                                   'CSS::Minifier' => 1,
                                   'Class::Inspector' => 1,
                                   'Class::Inspector::Functions' => 1,
                                   'Digest::SHA::PurePerl' => 1,
                                   'Encode::Locale' => 1,
                                   'HTTP::Config' => 1,
                                   'HTTP::Headers' => 1,
                                   'HTTP::Headers::Auth' => 1,
                                   'HTTP::Headers::ETag' => 1,
                                   'HTTP::Headers::Util' => 1,
                                   'HTTP::Message' => 1,
                                   'HTTP::Request' => 1,
                                   'HTTP::Request::Common' => 1,
                                   'HTTP::Response' => 1,
                                   'HTTP::Status' => 1,
                                   'JSON' => 1,
                                   'JSON::PP' => 1,
                                   'JSON::PP::Boolean' => 1,
                                   'JSON::backportPP' => 1,
                                   'JSON::backportPP::Boolean' => 1,
                                   'JSON::backportPP::Compat5005' => 1,
                                   'JSON::backportPP::Compat5006' => 1,
                                   'JavaScript::Minifier' => 1,
                                   'LWP' => 1,
                                   'LWP::Authen::Basic' => 1,
                                   'LWP::Authen::Digest' => 1,
                                   'LWP::Authen::Ntlm' => 1,
                                   'LWP::ConnCache' => 1,
                                   'LWP::Debug' => 1,
                                   'LWP::DebugFile' => 1,
                                   'LWP::MemberMixin' => 1,
                                   'LWP::Protocol' => 1,
                                   'LWP::Protocol::GHTTP' => 1,
                                   'LWP::Protocol::cpan' => 1,
                                   'LWP::Protocol::data' => 1,
                                   'LWP::Protocol::file' => 1,
                                   'LWP::Protocol::ftp' => 1,
                                   'LWP::Protocol::gopher' => 1,
                                   'LWP::Protocol::http' => 1,
                                   'LWP::Protocol::loopback' => 1,
                                   'LWP::Protocol::mailto' => 1,
                                   'LWP::Protocol::nntp' => 1,
                                   'LWP::Protocol::nogo' => 1,
                                   'LWP::RobotUA' => 1,
                                   'LWP::Simple' => 1,
                                   'LWP::UserAgent' => 1,
                                   'Locale::Codes' => 1,
                                   'Locale::Codes::Constants' => 1,
                                   'Locale::Codes::Country' => 1,
                                   'Locale::Codes::Country_Codes' => 1,
                                   'Mail::Mailer::smtps' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Mozilla::CA' => 1,
                                   'Net::IMAP::Simple::PipeSocket' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'Net::SMTP::TLS::ButMaintained' => 1,
                                   'Proc::Daemon' => 1,
                                   'SOAP::Constants' => 1,
                                   'SOAP::Lite' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchema1999' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchema2001' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchemaSOAP1_1' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchemaSOAP1_2' => 1,
                                   'SOAP::Lite::Packager' => 1,
                                   'SOAP::Lite::Utils' => 1,
                                   'SOAP::Packager' => 1,
                                   'SOAP::Transport::HTTP' => 1,
                                   'Text::Diff::Config' => 1,
                                   'URI' => 1,
                                   'URI::Escape' => 1,
                                   'URI::Heuristic' => 1,
                                   'URI::IRI' => 1,
                                   'URI::QueryParam' => 1,
                                   'URI::Split' => 1,
                                   'URI::URL' => 1,
                                   'URI::WithBase' => 1,
                                   'URI::_foreign' => 1,
                                   'URI::_generic' => 1,
                                   'URI::_idna' => 1,
                                   'URI::_ldap' => 1,
                                   'URI::_login' => 1,
                                   'URI::_punycode' => 1,
                                   'URI::_query' => 1,
                                   'URI::_segment' => 1,
                                   'URI::_server' => 1,
                                   'URI::_userpass' => 1,
                                   'URI::data' => 1,
                                   'URI::file' => 1,
                                   'URI::file::Base' => 1,
                                   'URI::file::FAT' => 1,
                                   'URI::file::Mac' => 1,
                                   'URI::file::OS2' => 1,
                                   'URI::file::QNX' => 1,
                                   'URI::file::Unix' => 1,
                                   'URI::file::Win32' => 1,
                                   'URI::ftp' => 1,
                                   'URI::gopher' => 1,
                                   'URI::http' => 1,
                                   'URI::https' => 1,
                                   'URI::ldap' => 1,
                                   'URI::ldapi' => 1,
                                   'URI::ldaps' => 1,
                                   'URI::mailto' => 1,
                                   'URI::mms' => 1,
                                   'URI::news' => 1,
                                   'URI::nntp' => 1,
                                   'URI::pop' => 1,
                                   'URI::rlogin' => 1,
                                   'URI::rsync' => 1,
                                   'URI::rtsp' => 1,
                                   'URI::rtspu' => 1,
                                   'URI::sip' => 1,
                                   'URI::sips' => 1,
                                   'URI::snews' => 1,
                                   'URI::ssh' => 1,
                                   'URI::telnet' => 1,
                                   'URI::tn3270' => 1,
                                   'URI::urn' => 1,
                                   'URI::urn::isbn' => 1,
                                   'URI::urn::oid' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1,
                                   'YAML' => 1,
                                   'YAML::Any' => 1,
                                   'YAML::Base' => 1,
                                   'YAML::Dumper' => 1,
                                   'YAML::Dumper::Base' => 1,
                                   'YAML::Error' => 1,
                                   'YAML::Loader' => 1,
                                   'YAML::Loader::Base' => 1,
                                   'YAML::Marshall' => 1,
                                   'YAML::Mo' => 1,
                                   'YAML::Node' => 1,
                                   'YAML::Tag' => 1,
                                   'YAML::Types' => 1,
                                   'parent' => 1
                                 }
                     },
          '3.1.5' => {
                       'core' => {
                                   'Kernel::GenericInterface::Debugger' => 1,
                                   'Kernel::GenericInterface::Event::Handler' => 1,
                                   'Kernel::GenericInterface::Invoker' => 1,
                                   'Kernel::GenericInterface::Invoker::Test::Test' => 1,
                                   'Kernel::GenericInterface::Invoker::Test::TestSimple' => 1,
                                   'Kernel::GenericInterface::Mapping' => 1,
                                   'Kernel::GenericInterface::Mapping::Simple' => 1,
                                   'Kernel::GenericInterface::Mapping::Test' => 1,
                                   'Kernel::GenericInterface::Operation' => 1,
                                   'Kernel::GenericInterface::Operation::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Session::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Session::SessionCreate' => 1,
                                   'Kernel::GenericInterface::Operation::Test::Test' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketCreate' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketGet' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketSearch' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketUpdate' => 1,
                                   'Kernel::GenericInterface::Provider' => 1,
                                   'Kernel::GenericInterface::Requester' => 1,
                                   'Kernel::GenericInterface::Transport' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::REST' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::SOAP' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::Test' => 1,
                                   'Kernel::Language::ca' => 1,
                                   'Kernel::Language::cs' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::es_MX' => 1,
                                   'Kernel::Language::hi' => 1,
                                   'Kernel::Language::hr' => 1,
                                   'Kernel::Language::ja' => 1,
                                   'Kernel::Language::lt' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::sl' => 1,
                                   'Kernel::Language::sr_Cyrl' => 1,
                                   'Kernel::Language::sr_Latn' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminDynamicField' => 1,
                                   'Kernel::Modules::AdminDynamicFieldCheckbox' => 1,
                                   'Kernel::Modules::AdminDynamicFieldDateTime' => 1,
                                   'Kernel::Modules::AdminDynamicFieldDropdown' => 1,
                                   'Kernel::Modules::AdminDynamicFieldMultiselect' => 1,
                                   'Kernel::Modules::AdminDynamicFieldText' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceDebugger' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceInvokerDefault' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceMappingSimple' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceOperationDefault' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceTransportHTTPSOAP' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceWebservice' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceWebserviceHistory' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AdminScheduler' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentHTMLReference' => 1,
                                   'Kernel::Modules::AgentSearch' => 1,
                                   'Kernel::Modules::AgentTicketActionCommon' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketPhoneCommon' => 1,
                                   'Kernel::Modules::AgentTicketPhoneInbound' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerTicketOverview' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardIFrame' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardMOTD' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                   'Kernel::Output::HTML::LayoutLoader' => 1,
                                   'Kernel::Output::HTML::LayoutPopup' => 1,
                                   'Kernel::Output::HTML::NotificationGeneric' => 1,
                                   'Kernel::Output::HTML::NotificationOutofOfficeCheck' => 1,
                                   'Kernel::Output::HTML::NotificationSchedulerCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesSkin' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketMenuMove' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::Output::HTML::ToolBarLink' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                   'Kernel::Scheduler' => 1,
                                   'Kernel::Scheduler::TaskHandler' => 1,
                                   'Kernel::Scheduler::TaskHandler::GenericInterface' => 1,
                                   'Kernel::Scheduler::TaskHandler::Test' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::Cache::FileRaw' => 1,
                                   'Kernel::System::Cache::FileStorable' => 1,
                                   'Kernel::System::CacheInternal' => 1,
                                   'Kernel::System::DB::postgresql_before_8_2' => 1,
                                   'Kernel::System::DynamicField' => 1,
                                   'Kernel::System::DynamicField::Backend' => 1,
                                   'Kernel::System::DynamicField::Backend::BackendCommon' => 1,
                                   'Kernel::System::DynamicField::Backend::Checkbox' => 1,
                                   'Kernel::System::DynamicField::Backend::Date' => 1,
                                   'Kernel::System::DynamicField::Backend::DateTime' => 1,
                                   'Kernel::System::DynamicField::Backend::Dropdown' => 1,
                                   'Kernel::System::DynamicField::Backend::Multiselect' => 1,
                                   'Kernel::System::DynamicField::Backend::Text' => 1,
                                   'Kernel::System::DynamicField::Backend::TextArea' => 1,
                                   'Kernel::System::DynamicField::ObjectType::Article' => 1,
                                   'Kernel::System::DynamicField::ObjectType::Ticket' => 1,
                                   'Kernel::System::DynamicFieldValue' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::Email::SMTPTLS' => 1,
                                   'Kernel::System::EventHandler' => 1,
                                   'Kernel::System::GenericAgent::TriggerEscalationStartEvents' => 1,
                                   'Kernel::System::GenericInterface::DebugLog' => 1,
                                   'Kernel::System::GenericInterface::ObjectLockState' => 1,
                                   'Kernel::System::GenericInterface::Webservice' => 1,
                                   'Kernel::System::GenericInterface::WebserviceHistory' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::JSON' => 1,
                                   'Kernel::System::Loader' => 1,
                                   'Kernel::System::MailAccount::IMAPTLS' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::ReferenceData' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Scheduler::TaskManager' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::StandardResponse' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::SysConfig' => 1,
                                   'Kernel::System::SysConfig::PriorityValidate' => 1,
                                   'Kernel::System::SysConfig::QueueValidate' => 1,
                                   'Kernel::System::SysConfig::StateValidate' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketDynamicFieldDefault' => 1,
                                   'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                   'Kernel::System::Ticket::Event::TriggerEscalationStopEvents' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::TicketSearch' => 1,
                                   'Kernel::System::UnitTest::Helper' => 1,
                                   'Kernel::System::UnitTest::Selenium' => 1,
                                   'Kernel::System::VariableCheck' => 1,
                                   'Kernel::System::VirtualFS' => 1,
                                   'Kernel::System::VirtualFS::DB' => 1,
                                   'Kernel::System::VirtualFS::FS' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::DBI' => 1,
                                   'CGI' => 1,
                                   'CGI::Apache' => 1,
                                   'CGI::Carp' => 1,
                                   'CGI::Cookie' => 1,
                                   'CGI::Fast' => 1,
                                   'CGI::Pretty' => 1,
                                   'CGI::Push' => 1,
                                   'CGI::Switch' => 1,
                                   'CGI::Util' => 1,
                                   'CSS::Minifier' => 1,
                                   'Class::Inspector' => 1,
                                   'Class::Inspector::Functions' => 1,
                                   'Digest::SHA::PurePerl' => 1,
                                   'Encode::Locale' => 1,
                                   'HTTP::Config' => 1,
                                   'HTTP::Headers' => 1,
                                   'HTTP::Headers::Auth' => 1,
                                   'HTTP::Headers::ETag' => 1,
                                   'HTTP::Headers::Util' => 1,
                                   'HTTP::Message' => 1,
                                   'HTTP::Request' => 1,
                                   'HTTP::Request::Common' => 1,
                                   'HTTP::Response' => 1,
                                   'HTTP::Status' => 1,
                                   'JSON' => 1,
                                   'JSON::PP' => 1,
                                   'JSON::PP::Boolean' => 1,
                                   'JSON::backportPP' => 1,
                                   'JSON::backportPP::Boolean' => 1,
                                   'JSON::backportPP::Compat5005' => 1,
                                   'JSON::backportPP::Compat5006' => 1,
                                   'JavaScript::Minifier' => 1,
                                   'LWP' => 1,
                                   'LWP::Authen::Basic' => 1,
                                   'LWP::Authen::Digest' => 1,
                                   'LWP::Authen::Ntlm' => 1,
                                   'LWP::ConnCache' => 1,
                                   'LWP::Debug' => 1,
                                   'LWP::DebugFile' => 1,
                                   'LWP::MemberMixin' => 1,
                                   'LWP::Protocol' => 1,
                                   'LWP::Protocol::GHTTP' => 1,
                                   'LWP::Protocol::cpan' => 1,
                                   'LWP::Protocol::data' => 1,
                                   'LWP::Protocol::file' => 1,
                                   'LWP::Protocol::ftp' => 1,
                                   'LWP::Protocol::gopher' => 1,
                                   'LWP::Protocol::http' => 1,
                                   'LWP::Protocol::loopback' => 1,
                                   'LWP::Protocol::mailto' => 1,
                                   'LWP::Protocol::nntp' => 1,
                                   'LWP::Protocol::nogo' => 1,
                                   'LWP::RobotUA' => 1,
                                   'LWP::Simple' => 1,
                                   'LWP::UserAgent' => 1,
                                   'Locale::Codes' => 1,
                                   'Locale::Codes::Constants' => 1,
                                   'Locale::Codes::Country' => 1,
                                   'Locale::Codes::Country_Codes' => 1,
                                   'Mail::Mailer::smtps' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Mozilla::CA' => 1,
                                   'Net::IMAP::Simple::PipeSocket' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'Net::SMTP::TLS::ButMaintained' => 1,
                                   'Proc::Daemon' => 1,
                                   'SOAP::Constants' => 1,
                                   'SOAP::Lite' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchema1999' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchema2001' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchemaSOAP1_1' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchemaSOAP1_2' => 1,
                                   'SOAP::Lite::Packager' => 1,
                                   'SOAP::Lite::Utils' => 1,
                                   'SOAP::Packager' => 1,
                                   'SOAP::Transport::HTTP' => 1,
                                   'Text::Diff::Config' => 1,
                                   'URI' => 1,
                                   'URI::Escape' => 1,
                                   'URI::Heuristic' => 1,
                                   'URI::IRI' => 1,
                                   'URI::QueryParam' => 1,
                                   'URI::Split' => 1,
                                   'URI::URL' => 1,
                                   'URI::WithBase' => 1,
                                   'URI::_foreign' => 1,
                                   'URI::_generic' => 1,
                                   'URI::_idna' => 1,
                                   'URI::_ldap' => 1,
                                   'URI::_login' => 1,
                                   'URI::_punycode' => 1,
                                   'URI::_query' => 1,
                                   'URI::_segment' => 1,
                                   'URI::_server' => 1,
                                   'URI::_userpass' => 1,
                                   'URI::data' => 1,
                                   'URI::file' => 1,
                                   'URI::file::Base' => 1,
                                   'URI::file::FAT' => 1,
                                   'URI::file::Mac' => 1,
                                   'URI::file::OS2' => 1,
                                   'URI::file::QNX' => 1,
                                   'URI::file::Unix' => 1,
                                   'URI::file::Win32' => 1,
                                   'URI::ftp' => 1,
                                   'URI::gopher' => 1,
                                   'URI::http' => 1,
                                   'URI::https' => 1,
                                   'URI::ldap' => 1,
                                   'URI::ldapi' => 1,
                                   'URI::ldaps' => 1,
                                   'URI::mailto' => 1,
                                   'URI::mms' => 1,
                                   'URI::news' => 1,
                                   'URI::nntp' => 1,
                                   'URI::pop' => 1,
                                   'URI::rlogin' => 1,
                                   'URI::rsync' => 1,
                                   'URI::rtsp' => 1,
                                   'URI::rtspu' => 1,
                                   'URI::sip' => 1,
                                   'URI::sips' => 1,
                                   'URI::snews' => 1,
                                   'URI::ssh' => 1,
                                   'URI::telnet' => 1,
                                   'URI::tn3270' => 1,
                                   'URI::urn' => 1,
                                   'URI::urn::isbn' => 1,
                                   'URI::urn::oid' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1,
                                   'YAML' => 1,
                                   'YAML::Any' => 1,
                                   'YAML::Base' => 1,
                                   'YAML::Dumper' => 1,
                                   'YAML::Dumper::Base' => 1,
                                   'YAML::Error' => 1,
                                   'YAML::Loader' => 1,
                                   'YAML::Loader::Base' => 1,
                                   'YAML::Marshall' => 1,
                                   'YAML::Mo' => 1,
                                   'YAML::Node' => 1,
                                   'YAML::Tag' => 1,
                                   'YAML::Types' => 1,
                                   'parent' => 1
                                 }
                     },
          '3.1.6' => {
                       'core' => {
                                   'Kernel::GenericInterface::Debugger' => 1,
                                   'Kernel::GenericInterface::Event::Handler' => 1,
                                   'Kernel::GenericInterface::Invoker' => 1,
                                   'Kernel::GenericInterface::Invoker::Test::Test' => 1,
                                   'Kernel::GenericInterface::Invoker::Test::TestSimple' => 1,
                                   'Kernel::GenericInterface::Mapping' => 1,
                                   'Kernel::GenericInterface::Mapping::Simple' => 1,
                                   'Kernel::GenericInterface::Mapping::Test' => 1,
                                   'Kernel::GenericInterface::Operation' => 1,
                                   'Kernel::GenericInterface::Operation::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Session::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Session::SessionCreate' => 1,
                                   'Kernel::GenericInterface::Operation::Test::Test' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketCreate' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketGet' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketSearch' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketUpdate' => 1,
                                   'Kernel::GenericInterface::Provider' => 1,
                                   'Kernel::GenericInterface::Requester' => 1,
                                   'Kernel::GenericInterface::Transport' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::REST' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::SOAP' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::Test' => 1,
                                   'Kernel::Language::ca' => 1,
                                   'Kernel::Language::cs' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::es_MX' => 1,
                                   'Kernel::Language::hi' => 1,
                                   'Kernel::Language::hr' => 1,
                                   'Kernel::Language::ja' => 1,
                                   'Kernel::Language::lt' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::sl' => 1,
                                   'Kernel::Language::sr_Cyrl' => 1,
                                   'Kernel::Language::sr_Latn' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminDynamicField' => 1,
                                   'Kernel::Modules::AdminDynamicFieldCheckbox' => 1,
                                   'Kernel::Modules::AdminDynamicFieldDateTime' => 1,
                                   'Kernel::Modules::AdminDynamicFieldDropdown' => 1,
                                   'Kernel::Modules::AdminDynamicFieldMultiselect' => 1,
                                   'Kernel::Modules::AdminDynamicFieldText' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceDebugger' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceInvokerDefault' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceMappingSimple' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceOperationDefault' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceTransportHTTPSOAP' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceWebservice' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceWebserviceHistory' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AdminScheduler' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentHTMLReference' => 1,
                                   'Kernel::Modules::AgentSearch' => 1,
                                   'Kernel::Modules::AgentTicketActionCommon' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketPhoneCommon' => 1,
                                   'Kernel::Modules::AgentTicketPhoneInbound' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerTicketOverview' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardIFrame' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardMOTD' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                   'Kernel::Output::HTML::LayoutLoader' => 1,
                                   'Kernel::Output::HTML::LayoutPopup' => 1,
                                   'Kernel::Output::HTML::NotificationGeneric' => 1,
                                   'Kernel::Output::HTML::NotificationOutofOfficeCheck' => 1,
                                   'Kernel::Output::HTML::NotificationSchedulerCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesSkin' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketMenuMove' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::Output::HTML::ToolBarLink' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                   'Kernel::Scheduler' => 1,
                                   'Kernel::Scheduler::TaskHandler' => 1,
                                   'Kernel::Scheduler::TaskHandler::GenericInterface' => 1,
                                   'Kernel::Scheduler::TaskHandler::Test' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::Cache::FileRaw' => 1,
                                   'Kernel::System::Cache::FileStorable' => 1,
                                   'Kernel::System::CacheInternal' => 1,
                                   'Kernel::System::DB::postgresql_before_8_2' => 1,
                                   'Kernel::System::DynamicField' => 1,
                                   'Kernel::System::DynamicField::Backend' => 1,
                                   'Kernel::System::DynamicField::Backend::BackendCommon' => 1,
                                   'Kernel::System::DynamicField::Backend::Checkbox' => 1,
                                   'Kernel::System::DynamicField::Backend::Date' => 1,
                                   'Kernel::System::DynamicField::Backend::DateTime' => 1,
                                   'Kernel::System::DynamicField::Backend::Dropdown' => 1,
                                   'Kernel::System::DynamicField::Backend::Multiselect' => 1,
                                   'Kernel::System::DynamicField::Backend::Text' => 1,
                                   'Kernel::System::DynamicField::Backend::TextArea' => 1,
                                   'Kernel::System::DynamicField::ObjectType::Article' => 1,
                                   'Kernel::System::DynamicField::ObjectType::Ticket' => 1,
                                   'Kernel::System::DynamicFieldValue' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::Email::SMTPTLS' => 1,
                                   'Kernel::System::EventHandler' => 1,
                                   'Kernel::System::GenericAgent::TriggerEscalationStartEvents' => 1,
                                   'Kernel::System::GenericInterface::DebugLog' => 1,
                                   'Kernel::System::GenericInterface::ObjectLockState' => 1,
                                   'Kernel::System::GenericInterface::Webservice' => 1,
                                   'Kernel::System::GenericInterface::WebserviceHistory' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::JSON' => 1,
                                   'Kernel::System::Loader' => 1,
                                   'Kernel::System::MailAccount::IMAPTLS' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::ReferenceData' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Scheduler::TaskManager' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::StandardResponse' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::SysConfig' => 1,
                                   'Kernel::System::SysConfig::PriorityValidate' => 1,
                                   'Kernel::System::SysConfig::QueueValidate' => 1,
                                   'Kernel::System::SysConfig::StateValidate' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketDynamicFieldDefault' => 1,
                                   'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                   'Kernel::System::Ticket::Event::TriggerEscalationStopEvents' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::TicketSearch' => 1,
                                   'Kernel::System::UnitTest::Helper' => 1,
                                   'Kernel::System::UnitTest::Selenium' => 1,
                                   'Kernel::System::VariableCheck' => 1,
                                   'Kernel::System::VirtualFS' => 1,
                                   'Kernel::System::VirtualFS::DB' => 1,
                                   'Kernel::System::VirtualFS::FS' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::DBI' => 1,
                                   'CGI' => 1,
                                   'CGI::Apache' => 1,
                                   'CGI::Carp' => 1,
                                   'CGI::Cookie' => 1,
                                   'CGI::Fast' => 1,
                                   'CGI::Pretty' => 1,
                                   'CGI::Push' => 1,
                                   'CGI::Switch' => 1,
                                   'CGI::Util' => 1,
                                   'CSS::Minifier' => 1,
                                   'Class::Inspector' => 1,
                                   'Class::Inspector::Functions' => 1,
                                   'Digest::SHA::PurePerl' => 1,
                                   'Encode::Locale' => 1,
                                   'HTTP::Config' => 1,
                                   'HTTP::Headers' => 1,
                                   'HTTP::Headers::Auth' => 1,
                                   'HTTP::Headers::ETag' => 1,
                                   'HTTP::Headers::Util' => 1,
                                   'HTTP::Message' => 1,
                                   'HTTP::Request' => 1,
                                   'HTTP::Request::Common' => 1,
                                   'HTTP::Response' => 1,
                                   'HTTP::Status' => 1,
                                   'JSON' => 1,
                                   'JSON::PP' => 1,
                                   'JSON::PP::Boolean' => 1,
                                   'JSON::backportPP' => 1,
                                   'JSON::backportPP::Boolean' => 1,
                                   'JSON::backportPP::Compat5005' => 1,
                                   'JSON::backportPP::Compat5006' => 1,
                                   'JavaScript::Minifier' => 1,
                                   'LWP' => 1,
                                   'LWP::Authen::Basic' => 1,
                                   'LWP::Authen::Digest' => 1,
                                   'LWP::Authen::Ntlm' => 1,
                                   'LWP::ConnCache' => 1,
                                   'LWP::Debug' => 1,
                                   'LWP::DebugFile' => 1,
                                   'LWP::MemberMixin' => 1,
                                   'LWP::Protocol' => 1,
                                   'LWP::Protocol::GHTTP' => 1,
                                   'LWP::Protocol::cpan' => 1,
                                   'LWP::Protocol::data' => 1,
                                   'LWP::Protocol::file' => 1,
                                   'LWP::Protocol::ftp' => 1,
                                   'LWP::Protocol::gopher' => 1,
                                   'LWP::Protocol::http' => 1,
                                   'LWP::Protocol::loopback' => 1,
                                   'LWP::Protocol::mailto' => 1,
                                   'LWP::Protocol::nntp' => 1,
                                   'LWP::Protocol::nogo' => 1,
                                   'LWP::RobotUA' => 1,
                                   'LWP::Simple' => 1,
                                   'LWP::UserAgent' => 1,
                                   'Locale::Codes' => 1,
                                   'Locale::Codes::Constants' => 1,
                                   'Locale::Codes::Country' => 1,
                                   'Locale::Codes::Country_Codes' => 1,
                                   'Mail::Mailer::smtps' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Mozilla::CA' => 1,
                                   'Net::IMAP::Simple::PipeSocket' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'Net::SMTP::TLS::ButMaintained' => 1,
                                   'Proc::Daemon' => 1,
                                   'SOAP::Constants' => 1,
                                   'SOAP::Lite' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchema1999' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchema2001' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchemaSOAP1_1' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchemaSOAP1_2' => 1,
                                   'SOAP::Lite::Packager' => 1,
                                   'SOAP::Lite::Utils' => 1,
                                   'SOAP::Packager' => 1,
                                   'SOAP::Transport::HTTP' => 1,
                                   'Text::Diff::Config' => 1,
                                   'URI' => 1,
                                   'URI::Escape' => 1,
                                   'URI::Heuristic' => 1,
                                   'URI::IRI' => 1,
                                   'URI::QueryParam' => 1,
                                   'URI::Split' => 1,
                                   'URI::URL' => 1,
                                   'URI::WithBase' => 1,
                                   'URI::_foreign' => 1,
                                   'URI::_generic' => 1,
                                   'URI::_idna' => 1,
                                   'URI::_ldap' => 1,
                                   'URI::_login' => 1,
                                   'URI::_punycode' => 1,
                                   'URI::_query' => 1,
                                   'URI::_segment' => 1,
                                   'URI::_server' => 1,
                                   'URI::_userpass' => 1,
                                   'URI::data' => 1,
                                   'URI::file' => 1,
                                   'URI::file::Base' => 1,
                                   'URI::file::FAT' => 1,
                                   'URI::file::Mac' => 1,
                                   'URI::file::OS2' => 1,
                                   'URI::file::QNX' => 1,
                                   'URI::file::Unix' => 1,
                                   'URI::file::Win32' => 1,
                                   'URI::ftp' => 1,
                                   'URI::gopher' => 1,
                                   'URI::http' => 1,
                                   'URI::https' => 1,
                                   'URI::ldap' => 1,
                                   'URI::ldapi' => 1,
                                   'URI::ldaps' => 1,
                                   'URI::mailto' => 1,
                                   'URI::mms' => 1,
                                   'URI::news' => 1,
                                   'URI::nntp' => 1,
                                   'URI::pop' => 1,
                                   'URI::rlogin' => 1,
                                   'URI::rsync' => 1,
                                   'URI::rtsp' => 1,
                                   'URI::rtspu' => 1,
                                   'URI::sip' => 1,
                                   'URI::sips' => 1,
                                   'URI::snews' => 1,
                                   'URI::ssh' => 1,
                                   'URI::telnet' => 1,
                                   'URI::tn3270' => 1,
                                   'URI::urn' => 1,
                                   'URI::urn::isbn' => 1,
                                   'URI::urn::oid' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1,
                                   'YAML' => 1,
                                   'YAML::Any' => 1,
                                   'YAML::Base' => 1,
                                   'YAML::Dumper' => 1,
                                   'YAML::Dumper::Base' => 1,
                                   'YAML::Error' => 1,
                                   'YAML::Loader' => 1,
                                   'YAML::Loader::Base' => 1,
                                   'YAML::Marshall' => 1,
                                   'YAML::Mo' => 1,
                                   'YAML::Node' => 1,
                                   'YAML::Tag' => 1,
                                   'YAML::Types' => 1,
                                   'parent' => 1
                                 }
                     },
          '3.1.7' => {
                       'core' => {
                                   'Kernel::GenericInterface::Debugger' => 1,
                                   'Kernel::GenericInterface::Event::Handler' => 1,
                                   'Kernel::GenericInterface::Invoker' => 1,
                                   'Kernel::GenericInterface::Invoker::Test::Test' => 1,
                                   'Kernel::GenericInterface::Invoker::Test::TestSimple' => 1,
                                   'Kernel::GenericInterface::Mapping' => 1,
                                   'Kernel::GenericInterface::Mapping::Simple' => 1,
                                   'Kernel::GenericInterface::Mapping::Test' => 1,
                                   'Kernel::GenericInterface::Operation' => 1,
                                   'Kernel::GenericInterface::Operation::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Session::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Session::SessionCreate' => 1,
                                   'Kernel::GenericInterface::Operation::Test::Test' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketCreate' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketGet' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketSearch' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketUpdate' => 1,
                                   'Kernel::GenericInterface::Provider' => 1,
                                   'Kernel::GenericInterface::Requester' => 1,
                                   'Kernel::GenericInterface::Transport' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::REST' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::SOAP' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::Test' => 1,
                                   'Kernel::Language::ca' => 1,
                                   'Kernel::Language::cs' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::es_MX' => 1,
                                   'Kernel::Language::hi' => 1,
                                   'Kernel::Language::hr' => 1,
                                   'Kernel::Language::ja' => 1,
                                   'Kernel::Language::lt' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::sl' => 1,
                                   'Kernel::Language::sr_Cyrl' => 1,
                                   'Kernel::Language::sr_Latn' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminDynamicField' => 1,
                                   'Kernel::Modules::AdminDynamicFieldCheckbox' => 1,
                                   'Kernel::Modules::AdminDynamicFieldDateTime' => 1,
                                   'Kernel::Modules::AdminDynamicFieldDropdown' => 1,
                                   'Kernel::Modules::AdminDynamicFieldMultiselect' => 1,
                                   'Kernel::Modules::AdminDynamicFieldText' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceDebugger' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceInvokerDefault' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceMappingSimple' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceOperationDefault' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceTransportHTTPSOAP' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceWebservice' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceWebserviceHistory' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AdminScheduler' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentHTMLReference' => 1,
                                   'Kernel::Modules::AgentSearch' => 1,
                                   'Kernel::Modules::AgentTicketActionCommon' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketPhoneCommon' => 1,
                                   'Kernel::Modules::AgentTicketPhoneInbound' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerTicketOverview' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardIFrame' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardMOTD' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                   'Kernel::Output::HTML::LayoutLoader' => 1,
                                   'Kernel::Output::HTML::LayoutPopup' => 1,
                                   'Kernel::Output::HTML::NotificationGeneric' => 1,
                                   'Kernel::Output::HTML::NotificationOutofOfficeCheck' => 1,
                                   'Kernel::Output::HTML::NotificationSchedulerCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesSkin' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketMenuMove' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::Output::HTML::ToolBarLink' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                   'Kernel::Scheduler' => 1,
                                   'Kernel::Scheduler::TaskHandler' => 1,
                                   'Kernel::Scheduler::TaskHandler::GenericInterface' => 1,
                                   'Kernel::Scheduler::TaskHandler::Test' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::Cache::FileRaw' => 1,
                                   'Kernel::System::Cache::FileStorable' => 1,
                                   'Kernel::System::CacheInternal' => 1,
                                   'Kernel::System::DB::postgresql_before_8_2' => 1,
                                   'Kernel::System::DynamicField' => 1,
                                   'Kernel::System::DynamicField::Backend' => 1,
                                   'Kernel::System::DynamicField::Backend::BackendCommon' => 1,
                                   'Kernel::System::DynamicField::Backend::Checkbox' => 1,
                                   'Kernel::System::DynamicField::Backend::Date' => 1,
                                   'Kernel::System::DynamicField::Backend::DateTime' => 1,
                                   'Kernel::System::DynamicField::Backend::Dropdown' => 1,
                                   'Kernel::System::DynamicField::Backend::Multiselect' => 1,
                                   'Kernel::System::DynamicField::Backend::Text' => 1,
                                   'Kernel::System::DynamicField::Backend::TextArea' => 1,
                                   'Kernel::System::DynamicField::ObjectType::Article' => 1,
                                   'Kernel::System::DynamicField::ObjectType::Ticket' => 1,
                                   'Kernel::System::DynamicFieldValue' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::Email::SMTPTLS' => 1,
                                   'Kernel::System::EventHandler' => 1,
                                   'Kernel::System::GenericAgent::TriggerEscalationStartEvents' => 1,
                                   'Kernel::System::GenericInterface::DebugLog' => 1,
                                   'Kernel::System::GenericInterface::ObjectLockState' => 1,
                                   'Kernel::System::GenericInterface::Webservice' => 1,
                                   'Kernel::System::GenericInterface::WebserviceHistory' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::JSON' => 1,
                                   'Kernel::System::Loader' => 1,
                                   'Kernel::System::MailAccount::IMAPTLS' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::ReferenceData' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Scheduler::TaskManager' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::StandardResponse' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::SysConfig' => 1,
                                   'Kernel::System::SysConfig::PriorityValidate' => 1,
                                   'Kernel::System::SysConfig::QueueValidate' => 1,
                                   'Kernel::System::SysConfig::StateValidate' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketDynamicFieldDefault' => 1,
                                   'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                   'Kernel::System::Ticket::Event::TriggerEscalationStopEvents' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::TicketSearch' => 1,
                                   'Kernel::System::UnitTest::Helper' => 1,
                                   'Kernel::System::UnitTest::Selenium' => 1,
                                   'Kernel::System::VariableCheck' => 1,
                                   'Kernel::System::VirtualFS' => 1,
                                   'Kernel::System::VirtualFS::DB' => 1,
                                   'Kernel::System::VirtualFS::FS' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::DBI' => 1,
                                   'CGI' => 1,
                                   'CGI::Apache' => 1,
                                   'CGI::Carp' => 1,
                                   'CGI::Cookie' => 1,
                                   'CGI::Fast' => 1,
                                   'CGI::Pretty' => 1,
                                   'CGI::Push' => 1,
                                   'CGI::Switch' => 1,
                                   'CGI::Util' => 1,
                                   'CSS::Minifier' => 1,
                                   'Class::Inspector' => 1,
                                   'Class::Inspector::Functions' => 1,
                                   'Digest::SHA::PurePerl' => 1,
                                   'Encode::Locale' => 1,
                                   'HTTP::Config' => 1,
                                   'HTTP::Headers' => 1,
                                   'HTTP::Headers::Auth' => 1,
                                   'HTTP::Headers::ETag' => 1,
                                   'HTTP::Headers::Util' => 1,
                                   'HTTP::Message' => 1,
                                   'HTTP::Request' => 1,
                                   'HTTP::Request::Common' => 1,
                                   'HTTP::Response' => 1,
                                   'HTTP::Status' => 1,
                                   'JSON' => 1,
                                   'JSON::PP' => 1,
                                   'JSON::PP::Boolean' => 1,
                                   'JSON::backportPP' => 1,
                                   'JSON::backportPP::Boolean' => 1,
                                   'JSON::backportPP::Compat5005' => 1,
                                   'JSON::backportPP::Compat5006' => 1,
                                   'JavaScript::Minifier' => 1,
                                   'LWP' => 1,
                                   'LWP::Authen::Basic' => 1,
                                   'LWP::Authen::Digest' => 1,
                                   'LWP::Authen::Ntlm' => 1,
                                   'LWP::ConnCache' => 1,
                                   'LWP::Debug' => 1,
                                   'LWP::DebugFile' => 1,
                                   'LWP::MemberMixin' => 1,
                                   'LWP::Protocol' => 1,
                                   'LWP::Protocol::GHTTP' => 1,
                                   'LWP::Protocol::cpan' => 1,
                                   'LWP::Protocol::data' => 1,
                                   'LWP::Protocol::file' => 1,
                                   'LWP::Protocol::ftp' => 1,
                                   'LWP::Protocol::gopher' => 1,
                                   'LWP::Protocol::http' => 1,
                                   'LWP::Protocol::loopback' => 1,
                                   'LWP::Protocol::mailto' => 1,
                                   'LWP::Protocol::nntp' => 1,
                                   'LWP::Protocol::nogo' => 1,
                                   'LWP::RobotUA' => 1,
                                   'LWP::Simple' => 1,
                                   'LWP::UserAgent' => 1,
                                   'Locale::Codes' => 1,
                                   'Locale::Codes::Constants' => 1,
                                   'Locale::Codes::Country' => 1,
                                   'Locale::Codes::Country_Codes' => 1,
                                   'Mail::Mailer::smtps' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Mozilla::CA' => 1,
                                   'Net::IMAP::Simple::PipeSocket' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'Net::SMTP::TLS::ButMaintained' => 1,
                                   'Proc::Daemon' => 1,
                                   'SOAP::Constants' => 1,
                                   'SOAP::Lite' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchema1999' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchema2001' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchemaSOAP1_1' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchemaSOAP1_2' => 1,
                                   'SOAP::Lite::Packager' => 1,
                                   'SOAP::Lite::Utils' => 1,
                                   'SOAP::Packager' => 1,
                                   'SOAP::Transport::HTTP' => 1,
                                   'Text::Diff::Config' => 1,
                                   'URI' => 1,
                                   'URI::Escape' => 1,
                                   'URI::Heuristic' => 1,
                                   'URI::IRI' => 1,
                                   'URI::QueryParam' => 1,
                                   'URI::Split' => 1,
                                   'URI::URL' => 1,
                                   'URI::WithBase' => 1,
                                   'URI::_foreign' => 1,
                                   'URI::_generic' => 1,
                                   'URI::_idna' => 1,
                                   'URI::_ldap' => 1,
                                   'URI::_login' => 1,
                                   'URI::_punycode' => 1,
                                   'URI::_query' => 1,
                                   'URI::_segment' => 1,
                                   'URI::_server' => 1,
                                   'URI::_userpass' => 1,
                                   'URI::data' => 1,
                                   'URI::file' => 1,
                                   'URI::file::Base' => 1,
                                   'URI::file::FAT' => 1,
                                   'URI::file::Mac' => 1,
                                   'URI::file::OS2' => 1,
                                   'URI::file::QNX' => 1,
                                   'URI::file::Unix' => 1,
                                   'URI::file::Win32' => 1,
                                   'URI::ftp' => 1,
                                   'URI::gopher' => 1,
                                   'URI::http' => 1,
                                   'URI::https' => 1,
                                   'URI::ldap' => 1,
                                   'URI::ldapi' => 1,
                                   'URI::ldaps' => 1,
                                   'URI::mailto' => 1,
                                   'URI::mms' => 1,
                                   'URI::news' => 1,
                                   'URI::nntp' => 1,
                                   'URI::pop' => 1,
                                   'URI::rlogin' => 1,
                                   'URI::rsync' => 1,
                                   'URI::rtsp' => 1,
                                   'URI::rtspu' => 1,
                                   'URI::sip' => 1,
                                   'URI::sips' => 1,
                                   'URI::snews' => 1,
                                   'URI::ssh' => 1,
                                   'URI::telnet' => 1,
                                   'URI::tn3270' => 1,
                                   'URI::urn' => 1,
                                   'URI::urn::isbn' => 1,
                                   'URI::urn::oid' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1,
                                   'YAML' => 1,
                                   'YAML::Any' => 1,
                                   'YAML::Base' => 1,
                                   'YAML::Dumper' => 1,
                                   'YAML::Dumper::Base' => 1,
                                   'YAML::Error' => 1,
                                   'YAML::Loader' => 1,
                                   'YAML::Loader::Base' => 1,
                                   'YAML::Marshall' => 1,
                                   'YAML::Mo' => 1,
                                   'YAML::Node' => 1,
                                   'YAML::Tag' => 1,
                                   'YAML::Types' => 1,
                                   'parent' => 1
                                 }
                     },
          '3.1.8' => {
                       'core' => {
                                   'Kernel::GenericInterface::Debugger' => 1,
                                   'Kernel::GenericInterface::Event::Handler' => 1,
                                   'Kernel::GenericInterface::Invoker' => 1,
                                   'Kernel::GenericInterface::Invoker::Test::Test' => 1,
                                   'Kernel::GenericInterface::Invoker::Test::TestSimple' => 1,
                                   'Kernel::GenericInterface::Mapping' => 1,
                                   'Kernel::GenericInterface::Mapping::Simple' => 1,
                                   'Kernel::GenericInterface::Mapping::Test' => 1,
                                   'Kernel::GenericInterface::Operation' => 1,
                                   'Kernel::GenericInterface::Operation::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Session::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Session::SessionCreate' => 1,
                                   'Kernel::GenericInterface::Operation::Test::Test' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketCreate' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketGet' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketSearch' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketUpdate' => 1,
                                   'Kernel::GenericInterface::Provider' => 1,
                                   'Kernel::GenericInterface::Requester' => 1,
                                   'Kernel::GenericInterface::Transport' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::REST' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::SOAP' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::Test' => 1,
                                   'Kernel::Language::ca' => 1,
                                   'Kernel::Language::cs' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::es_MX' => 1,
                                   'Kernel::Language::hi' => 1,
                                   'Kernel::Language::hr' => 1,
                                   'Kernel::Language::ja' => 1,
                                   'Kernel::Language::lt' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::sl' => 1,
                                   'Kernel::Language::sr_Cyrl' => 1,
                                   'Kernel::Language::sr_Latn' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminDynamicField' => 1,
                                   'Kernel::Modules::AdminDynamicFieldCheckbox' => 1,
                                   'Kernel::Modules::AdminDynamicFieldDateTime' => 1,
                                   'Kernel::Modules::AdminDynamicFieldDropdown' => 1,
                                   'Kernel::Modules::AdminDynamicFieldMultiselect' => 1,
                                   'Kernel::Modules::AdminDynamicFieldText' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceDebugger' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceInvokerDefault' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceMappingSimple' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceOperationDefault' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceTransportHTTPSOAP' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceWebservice' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceWebserviceHistory' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AdminScheduler' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentHTMLReference' => 1,
                                   'Kernel::Modules::AgentSearch' => 1,
                                   'Kernel::Modules::AgentTicketActionCommon' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketPhoneCommon' => 1,
                                   'Kernel::Modules::AgentTicketPhoneInbound' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerTicketOverview' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardIFrame' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardMOTD' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                   'Kernel::Output::HTML::LayoutLoader' => 1,
                                   'Kernel::Output::HTML::LayoutPopup' => 1,
                                   'Kernel::Output::HTML::NotificationGeneric' => 1,
                                   'Kernel::Output::HTML::NotificationOutofOfficeCheck' => 1,
                                   'Kernel::Output::HTML::NotificationSchedulerCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesSkin' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketMenuMove' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::Output::HTML::ToolBarLink' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                   'Kernel::Scheduler' => 1,
                                   'Kernel::Scheduler::TaskHandler' => 1,
                                   'Kernel::Scheduler::TaskHandler::GenericInterface' => 1,
                                   'Kernel::Scheduler::TaskHandler::Test' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::Cache::FileRaw' => 1,
                                   'Kernel::System::Cache::FileStorable' => 1,
                                   'Kernel::System::CacheInternal' => 1,
                                   'Kernel::System::DB::postgresql_before_8_2' => 1,
                                   'Kernel::System::DynamicField' => 1,
                                   'Kernel::System::DynamicField::Backend' => 1,
                                   'Kernel::System::DynamicField::Backend::BackendCommon' => 1,
                                   'Kernel::System::DynamicField::Backend::Checkbox' => 1,
                                   'Kernel::System::DynamicField::Backend::Date' => 1,
                                   'Kernel::System::DynamicField::Backend::DateTime' => 1,
                                   'Kernel::System::DynamicField::Backend::Dropdown' => 1,
                                   'Kernel::System::DynamicField::Backend::Multiselect' => 1,
                                   'Kernel::System::DynamicField::Backend::Text' => 1,
                                   'Kernel::System::DynamicField::Backend::TextArea' => 1,
                                   'Kernel::System::DynamicField::ObjectType::Article' => 1,
                                   'Kernel::System::DynamicField::ObjectType::Ticket' => 1,
                                   'Kernel::System::DynamicFieldValue' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::Email::SMTPTLS' => 1,
                                   'Kernel::System::EventHandler' => 1,
                                   'Kernel::System::GenericAgent::TriggerEscalationStartEvents' => 1,
                                   'Kernel::System::GenericInterface::DebugLog' => 1,
                                   'Kernel::System::GenericInterface::ObjectLockState' => 1,
                                   'Kernel::System::GenericInterface::Webservice' => 1,
                                   'Kernel::System::GenericInterface::WebserviceHistory' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::JSON' => 1,
                                   'Kernel::System::Loader' => 1,
                                   'Kernel::System::MailAccount::IMAPTLS' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::ReferenceData' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Scheduler::TaskManager' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::StandardResponse' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::SysConfig' => 1,
                                   'Kernel::System::SysConfig::PriorityValidate' => 1,
                                   'Kernel::System::SysConfig::QueueValidate' => 1,
                                   'Kernel::System::SysConfig::StateValidate' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketDynamicFieldDefault' => 1,
                                   'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                   'Kernel::System::Ticket::Event::TriggerEscalationStopEvents' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::TicketSearch' => 1,
                                   'Kernel::System::UnitTest::Helper' => 1,
                                   'Kernel::System::UnitTest::Selenium' => 1,
                                   'Kernel::System::VariableCheck' => 1,
                                   'Kernel::System::VirtualFS' => 1,
                                   'Kernel::System::VirtualFS::DB' => 1,
                                   'Kernel::System::VirtualFS::FS' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::DBI' => 1,
                                   'CGI' => 1,
                                   'CGI::Apache' => 1,
                                   'CGI::Carp' => 1,
                                   'CGI::Cookie' => 1,
                                   'CGI::Fast' => 1,
                                   'CGI::Pretty' => 1,
                                   'CGI::Push' => 1,
                                   'CGI::Switch' => 1,
                                   'CGI::Util' => 1,
                                   'CSS::Minifier' => 1,
                                   'Class::Inspector' => 1,
                                   'Class::Inspector::Functions' => 1,
                                   'Digest::SHA::PurePerl' => 1,
                                   'Encode::Locale' => 1,
                                   'HTTP::Config' => 1,
                                   'HTTP::Headers' => 1,
                                   'HTTP::Headers::Auth' => 1,
                                   'HTTP::Headers::ETag' => 1,
                                   'HTTP::Headers::Util' => 1,
                                   'HTTP::Message' => 1,
                                   'HTTP::Request' => 1,
                                   'HTTP::Request::Common' => 1,
                                   'HTTP::Response' => 1,
                                   'HTTP::Status' => 1,
                                   'JSON' => 1,
                                   'JSON::PP' => 1,
                                   'JSON::PP::Boolean' => 1,
                                   'JSON::backportPP' => 1,
                                   'JSON::backportPP::Boolean' => 1,
                                   'JSON::backportPP::Compat5005' => 1,
                                   'JSON::backportPP::Compat5006' => 1,
                                   'JavaScript::Minifier' => 1,
                                   'LWP' => 1,
                                   'LWP::Authen::Basic' => 1,
                                   'LWP::Authen::Digest' => 1,
                                   'LWP::Authen::Ntlm' => 1,
                                   'LWP::ConnCache' => 1,
                                   'LWP::Debug' => 1,
                                   'LWP::DebugFile' => 1,
                                   'LWP::MemberMixin' => 1,
                                   'LWP::Protocol' => 1,
                                   'LWP::Protocol::GHTTP' => 1,
                                   'LWP::Protocol::cpan' => 1,
                                   'LWP::Protocol::data' => 1,
                                   'LWP::Protocol::file' => 1,
                                   'LWP::Protocol::ftp' => 1,
                                   'LWP::Protocol::gopher' => 1,
                                   'LWP::Protocol::http' => 1,
                                   'LWP::Protocol::loopback' => 1,
                                   'LWP::Protocol::mailto' => 1,
                                   'LWP::Protocol::nntp' => 1,
                                   'LWP::Protocol::nogo' => 1,
                                   'LWP::RobotUA' => 1,
                                   'LWP::Simple' => 1,
                                   'LWP::UserAgent' => 1,
                                   'Locale::Codes' => 1,
                                   'Locale::Codes::Constants' => 1,
                                   'Locale::Codes::Country' => 1,
                                   'Locale::Codes::Country_Codes' => 1,
                                   'Mail::Mailer::smtps' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Mozilla::CA' => 1,
                                   'Net::IMAP::Simple::PipeSocket' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'Net::SMTP::TLS::ButMaintained' => 1,
                                   'Proc::Daemon' => 1,
                                   'SOAP::Constants' => 1,
                                   'SOAP::Lite' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchema1999' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchema2001' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchemaSOAP1_1' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchemaSOAP1_2' => 1,
                                   'SOAP::Lite::Packager' => 1,
                                   'SOAP::Lite::Utils' => 1,
                                   'SOAP::Packager' => 1,
                                   'SOAP::Transport::HTTP' => 1,
                                   'Text::Diff::Config' => 1,
                                   'URI' => 1,
                                   'URI::Escape' => 1,
                                   'URI::Heuristic' => 1,
                                   'URI::IRI' => 1,
                                   'URI::QueryParam' => 1,
                                   'URI::Split' => 1,
                                   'URI::URL' => 1,
                                   'URI::WithBase' => 1,
                                   'URI::_foreign' => 1,
                                   'URI::_generic' => 1,
                                   'URI::_idna' => 1,
                                   'URI::_ldap' => 1,
                                   'URI::_login' => 1,
                                   'URI::_punycode' => 1,
                                   'URI::_query' => 1,
                                   'URI::_segment' => 1,
                                   'URI::_server' => 1,
                                   'URI::_userpass' => 1,
                                   'URI::data' => 1,
                                   'URI::file' => 1,
                                   'URI::file::Base' => 1,
                                   'URI::file::FAT' => 1,
                                   'URI::file::Mac' => 1,
                                   'URI::file::OS2' => 1,
                                   'URI::file::QNX' => 1,
                                   'URI::file::Unix' => 1,
                                   'URI::file::Win32' => 1,
                                   'URI::ftp' => 1,
                                   'URI::gopher' => 1,
                                   'URI::http' => 1,
                                   'URI::https' => 1,
                                   'URI::ldap' => 1,
                                   'URI::ldapi' => 1,
                                   'URI::ldaps' => 1,
                                   'URI::mailto' => 1,
                                   'URI::mms' => 1,
                                   'URI::news' => 1,
                                   'URI::nntp' => 1,
                                   'URI::pop' => 1,
                                   'URI::rlogin' => 1,
                                   'URI::rsync' => 1,
                                   'URI::rtsp' => 1,
                                   'URI::rtspu' => 1,
                                   'URI::sip' => 1,
                                   'URI::sips' => 1,
                                   'URI::snews' => 1,
                                   'URI::ssh' => 1,
                                   'URI::telnet' => 1,
                                   'URI::tn3270' => 1,
                                   'URI::urn' => 1,
                                   'URI::urn::isbn' => 1,
                                   'URI::urn::oid' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1,
                                   'YAML' => 1,
                                   'YAML::Any' => 1,
                                   'YAML::Base' => 1,
                                   'YAML::Dumper' => 1,
                                   'YAML::Dumper::Base' => 1,
                                   'YAML::Error' => 1,
                                   'YAML::Loader' => 1,
                                   'YAML::Loader::Base' => 1,
                                   'YAML::Marshall' => 1,
                                   'YAML::Mo' => 1,
                                   'YAML::Node' => 1,
                                   'YAML::Tag' => 1,
                                   'YAML::Types' => 1,
                                   'parent' => 1
                                 }
                     },
          '3.1.9' => {
                       'core' => {
                                   'Kernel::GenericInterface::Debugger' => 1,
                                   'Kernel::GenericInterface::Event::Handler' => 1,
                                   'Kernel::GenericInterface::Invoker' => 1,
                                   'Kernel::GenericInterface::Invoker::Test::Test' => 1,
                                   'Kernel::GenericInterface::Invoker::Test::TestSimple' => 1,
                                   'Kernel::GenericInterface::Mapping' => 1,
                                   'Kernel::GenericInterface::Mapping::Simple' => 1,
                                   'Kernel::GenericInterface::Mapping::Test' => 1,
                                   'Kernel::GenericInterface::Operation' => 1,
                                   'Kernel::GenericInterface::Operation::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Session::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Session::SessionCreate' => 1,
                                   'Kernel::GenericInterface::Operation::Test::Test' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::Common' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketCreate' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketGet' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketSearch' => 1,
                                   'Kernel::GenericInterface::Operation::Ticket::TicketUpdate' => 1,
                                   'Kernel::GenericInterface::Provider' => 1,
                                   'Kernel::GenericInterface::Requester' => 1,
                                   'Kernel::GenericInterface::Transport' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::REST' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::SOAP' => 1,
                                   'Kernel::GenericInterface::Transport::HTTP::Test' => 1,
                                   'Kernel::Language::ca' => 1,
                                   'Kernel::Language::cs' => 1,
                                   'Kernel::Language::en_CA' => 1,
                                   'Kernel::Language::en_GB' => 1,
                                   'Kernel::Language::es_MX' => 1,
                                   'Kernel::Language::hi' => 1,
                                   'Kernel::Language::hr' => 1,
                                   'Kernel::Language::ja' => 1,
                                   'Kernel::Language::lt' => 1,
                                   'Kernel::Language::lv' => 1,
                                   'Kernel::Language::sl' => 1,
                                   'Kernel::Language::sr_Cyrl' => 1,
                                   'Kernel::Language::sr_Latn' => 1,
                                   'Kernel::Language::uk' => 1,
                                   'Kernel::Language::zh_TW' => 1,
                                   'Kernel::Modules::AdminDynamicField' => 1,
                                   'Kernel::Modules::AdminDynamicFieldCheckbox' => 1,
                                   'Kernel::Modules::AdminDynamicFieldDateTime' => 1,
                                   'Kernel::Modules::AdminDynamicFieldDropdown' => 1,
                                   'Kernel::Modules::AdminDynamicFieldMultiselect' => 1,
                                   'Kernel::Modules::AdminDynamicFieldText' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceDebugger' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceInvokerDefault' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceMappingSimple' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceOperationDefault' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceTransportHTTPSOAP' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceWebservice' => 1,
                                   'Kernel::Modules::AdminGenericInterfaceWebserviceHistory' => 1,
                                   'Kernel::Modules::AdminNotificationEvent' => 1,
                                   'Kernel::Modules::AdminScheduler' => 1,
                                   'Kernel::Modules::AgentCustomerSearch' => 1,
                                   'Kernel::Modules::AgentDashboard' => 1,
                                   'Kernel::Modules::AgentHTMLReference' => 1,
                                   'Kernel::Modules::AgentSearch' => 1,
                                   'Kernel::Modules::AgentTicketActionCommon' => 1,
                                   'Kernel::Modules::AgentTicketLockedView' => 1,
                                   'Kernel::Modules::AgentTicketPhoneCommon' => 1,
                                   'Kernel::Modules::AgentTicketPhoneInbound' => 1,
                                   'Kernel::Modules::AgentTicketResponsibleView' => 1,
                                   'Kernel::Modules::AgentTicketWatchView' => 1,
                                   'Kernel::Modules::CustomerTicketOverview' => 1,
                                   'Kernel::Modules::PictureUpload' => 1,
                                   'Kernel::Modules::PublicDefault' => 1,
                                   'Kernel::Modules::SpellingInline' => 1,
                                   'Kernel::Output::HTML::CustomerHeaderMetaTicketSearch' => 1,
                                   'Kernel::Output::HTML::DashboardCalendar' => 1,
                                   'Kernel::Output::HTML::DashboardIFrame' => 1,
                                   'Kernel::Output::HTML::DashboardImage' => 1,
                                   'Kernel::Output::HTML::DashboardMOTD' => 1,
                                   'Kernel::Output::HTML::DashboardProductNotify' => 1,
                                   'Kernel::Output::HTML::DashboardRSS' => 1,
                                   'Kernel::Output::HTML::DashboardTicketGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardTicketStatsGeneric' => 1,
                                   'Kernel::Output::HTML::DashboardUserOnline' => 1,
                                   'Kernel::Output::HTML::LayoutDatepicker' => 1,
                                   'Kernel::Output::HTML::LayoutLoader' => 1,
                                   'Kernel::Output::HTML::LayoutPopup' => 1,
                                   'Kernel::Output::HTML::NotificationGeneric' => 1,
                                   'Kernel::Output::HTML::NotificationOutofOfficeCheck' => 1,
                                   'Kernel::Output::HTML::NotificationSchedulerCheck' => 1,
                                   'Kernel::Output::HTML::OutputFilterTextAutoLink' => 1,
                                   'Kernel::Output::HTML::PreferencesOutOfOffice' => 1,
                                   'Kernel::Output::HTML::PreferencesSkin' => 1,
                                   'Kernel::Output::HTML::PreferencesTicketWatcher' => 1,
                                   'Kernel::Output::HTML::SLAPreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::ServicePreferencesGeneric' => 1,
                                   'Kernel::Output::HTML::TicketMenuMove' => 1,
                                   'Kernel::Output::HTML::TicketOverviewMedium' => 1,
                                   'Kernel::Output::HTML::TicketOverviewPreview' => 1,
                                   'Kernel::Output::HTML::TicketOverviewSmall' => 1,
                                   'Kernel::Output::HTML::ToolBarLink' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketLocked' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketResponsible' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchFulltext' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketSearchProfile' => 1,
                                   'Kernel::Output::HTML::ToolBarTicketWatcher' => 1,
                                   'Kernel::Scheduler' => 1,
                                   'Kernel::Scheduler::TaskHandler' => 1,
                                   'Kernel::Scheduler::TaskHandler::GenericInterface' => 1,
                                   'Kernel::Scheduler::TaskHandler::Test' => 1,
                                   'Kernel::System::Auth::Sync::LDAP' => 1,
                                   'Kernel::System::Cache::FileRaw' => 1,
                                   'Kernel::System::Cache::FileStorable' => 1,
                                   'Kernel::System::CacheInternal' => 1,
                                   'Kernel::System::DB::postgresql_before_8_2' => 1,
                                   'Kernel::System::DynamicField' => 1,
                                   'Kernel::System::DynamicField::Backend' => 1,
                                   'Kernel::System::DynamicField::Backend::BackendCommon' => 1,
                                   'Kernel::System::DynamicField::Backend::Checkbox' => 1,
                                   'Kernel::System::DynamicField::Backend::Date' => 1,
                                   'Kernel::System::DynamicField::Backend::DateTime' => 1,
                                   'Kernel::System::DynamicField::Backend::Dropdown' => 1,
                                   'Kernel::System::DynamicField::Backend::Multiselect' => 1,
                                   'Kernel::System::DynamicField::Backend::Text' => 1,
                                   'Kernel::System::DynamicField::Backend::TextArea' => 1,
                                   'Kernel::System::DynamicField::ObjectType::Article' => 1,
                                   'Kernel::System::DynamicField::ObjectType::Ticket' => 1,
                                   'Kernel::System::DynamicFieldValue' => 1,
                                   'Kernel::System::Email::SMTPS' => 1,
                                   'Kernel::System::Email::SMTPTLS' => 1,
                                   'Kernel::System::EventHandler' => 1,
                                   'Kernel::System::GenericAgent::TriggerEscalationStartEvents' => 1,
                                   'Kernel::System::GenericInterface::DebugLog' => 1,
                                   'Kernel::System::GenericInterface::ObjectLockState' => 1,
                                   'Kernel::System::GenericInterface::Webservice' => 1,
                                   'Kernel::System::GenericInterface::WebserviceHistory' => 1,
                                   'Kernel::System::HTMLUtils' => 1,
                                   'Kernel::System::JSON' => 1,
                                   'Kernel::System::Loader' => 1,
                                   'Kernel::System::MailAccount::IMAPTLS' => 1,
                                   'Kernel::System::NotificationEvent' => 1,
                                   'Kernel::System::PostMaster::Filter::FollowUpArticleTypeCheck' => 1,
                                   'Kernel::System::ReferenceData' => 1,
                                   'Kernel::System::SLA::PreferencesDB' => 1,
                                   'Kernel::System::Scheduler::TaskManager' => 1,
                                   'Kernel::System::Service::PreferencesDB' => 1,
                                   'Kernel::System::StandardResponse' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketAccountedTime' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketList' => 1,
                                   'Kernel::System::Stats::Dynamic::TicketSolutionResponseTime' => 1,
                                   'Kernel::System::Stats::Static::StateAction' => 1,
                                   'Kernel::System::SysConfig' => 1,
                                   'Kernel::System::SysConfig::PriorityValidate' => 1,
                                   'Kernel::System::SysConfig::QueueValidate' => 1,
                                   'Kernel::System::SysConfig::StateValidate' => 1,
                                   'Kernel::System::TemplateGenerator' => 1,
                                   'Kernel::System::Ticket::Event::ArchiveRestore' => 1,
                                   'Kernel::System::Ticket::Event::NotificationEvent' => 1,
                                   'Kernel::System::Ticket::Event::TicketAcceleratorUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketDynamicFieldDefault' => 1,
                                   'Kernel::System::Ticket::Event::TicketNewMessageUpdate' => 1,
                                   'Kernel::System::Ticket::Event::TicketPendingTimeReset' => 1,
                                   'Kernel::System::Ticket::Event::TriggerEscalationStopEvents' => 1,
                                   'Kernel::System::Ticket::Permission::WatcherCheck' => 1,
                                   'Kernel::System::TicketSearch' => 1,
                                   'Kernel::System::UnitTest::Helper' => 1,
                                   'Kernel::System::UnitTest::Selenium' => 1,
                                   'Kernel::System::VariableCheck' => 1,
                                   'Kernel::System::VirtualFS' => 1,
                                   'Kernel::System::VirtualFS::DB' => 1,
                                   'Kernel::System::VirtualFS::FS' => 1,
                                   'Kernel::System::Web::InterfaceInstaller' => 1,
                                   'Kernel::System::WebUserAgent' => 1
                                 },
                       'cpan' => {
                                   'Apache2::Reload' => 1,
                                   'Apache::DBI' => 1,
                                   'CGI' => 1,
                                   'CGI::Apache' => 1,
                                   'CGI::Carp' => 1,
                                   'CGI::Cookie' => 1,
                                   'CGI::Fast' => 1,
                                   'CGI::Pretty' => 1,
                                   'CGI::Push' => 1,
                                   'CGI::Switch' => 1,
                                   'CGI::Util' => 1,
                                   'CSS::Minifier' => 1,
                                   'Class::Inspector' => 1,
                                   'Class::Inspector::Functions' => 1,
                                   'Digest::SHA::PurePerl' => 1,
                                   'Encode::Locale' => 1,
                                   'HTTP::Config' => 1,
                                   'HTTP::Headers' => 1,
                                   'HTTP::Headers::Auth' => 1,
                                   'HTTP::Headers::ETag' => 1,
                                   'HTTP::Headers::Util' => 1,
                                   'HTTP::Message' => 1,
                                   'HTTP::Request' => 1,
                                   'HTTP::Request::Common' => 1,
                                   'HTTP::Response' => 1,
                                   'HTTP::Status' => 1,
                                   'JSON' => 1,
                                   'JSON::PP' => 1,
                                   'JSON::PP::Boolean' => 1,
                                   'JSON::backportPP' => 1,
                                   'JSON::backportPP::Boolean' => 1,
                                   'JSON::backportPP::Compat5005' => 1,
                                   'JSON::backportPP::Compat5006' => 1,
                                   'JavaScript::Minifier' => 1,
                                   'LWP' => 1,
                                   'LWP::Authen::Basic' => 1,
                                   'LWP::Authen::Digest' => 1,
                                   'LWP::Authen::Ntlm' => 1,
                                   'LWP::ConnCache' => 1,
                                   'LWP::Debug' => 1,
                                   'LWP::DebugFile' => 1,
                                   'LWP::MemberMixin' => 1,
                                   'LWP::Protocol' => 1,
                                   'LWP::Protocol::GHTTP' => 1,
                                   'LWP::Protocol::cpan' => 1,
                                   'LWP::Protocol::data' => 1,
                                   'LWP::Protocol::file' => 1,
                                   'LWP::Protocol::ftp' => 1,
                                   'LWP::Protocol::gopher' => 1,
                                   'LWP::Protocol::http' => 1,
                                   'LWP::Protocol::loopback' => 1,
                                   'LWP::Protocol::mailto' => 1,
                                   'LWP::Protocol::nntp' => 1,
                                   'LWP::Protocol::nogo' => 1,
                                   'LWP::RobotUA' => 1,
                                   'LWP::Simple' => 1,
                                   'LWP::UserAgent' => 1,
                                   'Locale::Codes' => 1,
                                   'Locale::Codes::Constants' => 1,
                                   'Locale::Codes::Country' => 1,
                                   'Locale::Codes::Country_Codes' => 1,
                                   'Mail::Mailer::smtps' => 1,
                                   'Mail::POP3Client' => 1,
                                   'Mozilla::CA' => 1,
                                   'Net::IMAP::Simple::PipeSocket' => 1,
                                   'Net::SMTP::SSL' => 1,
                                   'Net::SMTP::TLS::ButMaintained' => 1,
                                   'Proc::Daemon' => 1,
                                   'SOAP::Constants' => 1,
                                   'SOAP::Lite' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchema1999' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchema2001' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchemaSOAP1_1' => 1,
                                   'SOAP::Lite::Deserializer::XMLSchemaSOAP1_2' => 1,
                                   'SOAP::Lite::Packager' => 1,
                                   'SOAP::Lite::Utils' => 1,
                                   'SOAP::Packager' => 1,
                                   'SOAP::Transport::HTTP' => 1,
                                   'Text::Diff::Config' => 1,
                                   'URI' => 1,
                                   'URI::Escape' => 1,
                                   'URI::Heuristic' => 1,
                                   'URI::IRI' => 1,
                                   'URI::QueryParam' => 1,
                                   'URI::Split' => 1,
                                   'URI::URL' => 1,
                                   'URI::WithBase' => 1,
                                   'URI::_foreign' => 1,
                                   'URI::_generic' => 1,
                                   'URI::_idna' => 1,
                                   'URI::_ldap' => 1,
                                   'URI::_login' => 1,
                                   'URI::_punycode' => 1,
                                   'URI::_query' => 1,
                                   'URI::_segment' => 1,
                                   'URI::_server' => 1,
                                   'URI::_userpass' => 1,
                                   'URI::data' => 1,
                                   'URI::file' => 1,
                                   'URI::file::Base' => 1,
                                   'URI::file::FAT' => 1,
                                   'URI::file::Mac' => 1,
                                   'URI::file::OS2' => 1,
                                   'URI::file::QNX' => 1,
                                   'URI::file::Unix' => 1,
                                   'URI::file::Win32' => 1,
                                   'URI::ftp' => 1,
                                   'URI::gopher' => 1,
                                   'URI::http' => 1,
                                   'URI::https' => 1,
                                   'URI::ldap' => 1,
                                   'URI::ldapi' => 1,
                                   'URI::ldaps' => 1,
                                   'URI::mailto' => 1,
                                   'URI::mms' => 1,
                                   'URI::news' => 1,
                                   'URI::nntp' => 1,
                                   'URI::pop' => 1,
                                   'URI::rlogin' => 1,
                                   'URI::rsync' => 1,
                                   'URI::rtsp' => 1,
                                   'URI::rtspu' => 1,
                                   'URI::sip' => 1,
                                   'URI::sips' => 1,
                                   'URI::snews' => 1,
                                   'URI::ssh' => 1,
                                   'URI::telnet' => 1,
                                   'URI::tn3270' => 1,
                                   'URI::urn' => 1,
                                   'URI::urn::isbn' => 1,
                                   'URI::urn::oid' => 1,
                                   'XML::FeedPP' => 1,
                                   'XML::TreePP' => 1,
                                   'YAML' => 1,
                                   'YAML::Any' => 1,
                                   'YAML::Base' => 1,
                                   'YAML::Dumper' => 1,
                                   'YAML::Dumper::Base' => 1,
                                   'YAML::Error' => 1,
                                   'YAML::Loader' => 1,
                                   'YAML::Loader::Base' => 1,
                                   'YAML::Marshall' => 1,
                                   'YAML::Mo' => 1,
                                   'YAML::Node' => 1,
                                   'YAML::Tag' => 1,
                                   'YAML::Types' => 1,
                                   'parent' => 1
                                 }
    }
);

sub shipped {
    my ($class,$version,$module) = @_;

    return if !$version =~ m{ \A [0-9]+\.[0-9]\.(?:[0-9]+|x) \z }xms;

    $version =~ s{\.}{\.}g;
    $version =~ s{x}{.*};

    my $version_re = qr{ \A $version \z }xms;

    my @versions_with_module;

    OTRSVERSION:
    for my $otrs_version ( sort keys %modules ) {
        next unless $otrs_version =~ $version_re;

        if ( $modules{$otrs_version}->{core}->{$module} ||
             $modules{$otrs_version}->{cpan}->{$module} ||
             $global{core}->{$module} ||
             $global{cpan}->{$module} ) {
            push @versions_with_module, $otrs_version;
        }
    }

    return @versions_with_module;
}

sub modules {
    my ($class,$version) = @_;

    return if !$version =~ m{ \A [0-9]+\.[0-9]\.(?:[0-9]+|x) \z }xms;

    $version =~ s{\.}{\.}g;
    $version =~ s{x}{.*};

    my $version_re = qr{ \A $version \z }xms;

    my %modules;

    OTRSVERSION:
    for my $otrs_version ( keys %modules ) {
        next unless $otrs_version =~ $version_re;

        my $hashref = $modules{$otrs_version}->{core};
        my @modulenames = keys %{$hashref || {}};

        @modules{@modulenames} = (1) x @modulenames;
    }

    if ( $version =~ m{x} || exists $modules{$version} ) {
        my @global_modules = keys %{ $global{core} };
        @modules{@global_modules} = (1) x @global_modules;
    }

    return keys %modules;
}

sub cpan_modules {
    my ($class,$version) = @_;

    return if !$version =~ m{ \A [0-9]+\.[0-9]\.(?:[0-9]+|x) \z }xms;

    $version =~ s{\.}{\.}g;
    $version =~ s{x}{.*};

    my $version_re = qr{ \A $version \z }xms;

    my %modules;

    OTRSVERSION:
    for my $otrs_version ( keys %modules ) {
        next unless $otrs_version =~ $version_re;

        my $hashref = $modules{$otrs_version}->{cpan};
        my @modulenames = keys %{$hashref || {}};

        @modules{@modulenames} = (1) x @modulenames;
    }

    if ( $version =~ m{x} || exists $modules{$version} ) {
        my @global_modules = keys %{ $global{cpan} };
        @modules{@global_modules} = (1) x @global_modules;
    }

    return keys %modules;
}

1;

__END__
=pod

=head1 NAME

Module::OTRS::CoreList - what modules shipped with versions of OTRS (>= 2.3.x)

=head1 VERSION

version 0.03

=head1 SYNOPSIS

 use Module::OTRS::CoreList;

 my @otrs_versions = Module::OTRS::CoreList->shipped(
    '2.4.x',
    'Kernel::System::DB',
 );
 
 # returns (2.4.0, 2.4.1, 2.4.2,...)
 
 my @modules = Module::OTRS::CoreList->modules( '2.4.8' );
 my @modules = Module::OTRS::CoreList->modules( '2.4.x' );
 
 # methods to check for CPAN modules shipped with OTRS
 
 my @cpan_modules = Module::OTRS::CoreList->cpan_modules( '2.4.x' );

 my @otrs_versions = Module::OTRS::CoreList->shipped(
    '3.0.x',
    'CGI',
 );

=head1 AUTHOR

Renee Baecker <module@renee-baecker.de>

=head1 COPYRIGHT AND LICENSE

This software is Copyright (c) 2010 by Renee Baecker.

This is free software, licensed under:

  The Artistic License 2.0 (GPL Compatible)

=cut

